--  Created by zhangchao on 16-03-29.
TestBattleLayer = class("TestBattleLayer", function(tab)
    return ZCDialog:create()
end)

function TestBattleLayer:ctor(tab)
    -- cc.Director:getInstance():getScheduler():setTimeScale(0.3)
    -- local bg = zc.createSprite("res/image/battle/fightBg/fit.jpg")
    -- bg:setPosition(cc.p(self:getContentSize().width / 2 , self:getContentSize().height / 2))
    -- self:addChild(bg)

    -- local path = "res/Main/copy/fightScene/4/"
    -- local bgImg = SpineBase:createWithParams({jsonFile = path.."sz.json" ,atlasFile = path.."sz.atlas"})
    -- bgImg:setPosition(self:getContentSize().width / 2 ,0)
    -- bgImg:playAnimation("idle",true)
    local bgImg = zc.getFightScene(9)
    bgImg:setPosition(self:getContentSize().width / 2 ,0)
    self:addChild(bgImg)

    local bg = self
    local title = zc.createLabel({text = "第一波对战怪物"})
    title:setPosition(cc.p(bg:getContentSize().width / 2 , bg:getContentSize().height ))
    bg:addChild(title)

     --关闭按钮
    local close_btn = zc.createBtnClose(function()
        cc.Director:getInstance():popScene()
    end)
    close_btn:setPosition(bg:getContentSize().width - 10, bg:getContentSize().height - 10)
    bg:addChild(close_btn)


    zc.addEventListener({name = EVENT_NAME_BATTLE_SCREEN_FLASH , callback = function(event)
        local data      = event.data
        local time      = data.time
        if time == nil then
            time = 0.3
        end
        local whiteLayer = cc.LayerColor:create(cc.c4b(255, 255, 255, 255), winWidth + 100, winHeight + 100)
        whiteLayer:setOpacity(255*0.8)
        whiteLayer:setPosition(-50, -50)
        self:addChild(whiteLayer, 1000)
        whiteLayer:runAction(cc.Sequence:create(
            cc.FadeTo:create(time, 0),
            cc.RemoveSelf:create()
        ))
    end})

    local drawNode = cc.DrawNode:create()
    local vertices = { cc.p(100, 100), cc.p(200, 100), cc.p(150,300), cc.p(50,300) }
    drawNode:drawPoly(vertices, 4, true, cc.c4f(100, 0, 255, 0))
    drawNode:setPosition(ccp(-100, -200))
    -- self:addChild(drawNode,10)

    local _sprite = zc.createSprite("res/Main/hero/list/1.png")
    local _sprite2 = zc.createSprite("res/Main/copy/heroCopy/red_bg.png")

    -- local clipNode = cc.ClippingNode:create()
    -- clipNode:setPosition(cc.p(200, 300))
    -- self:addChild(clipNode,10)
    -- clipNode:setContentSize(cc.size(zc.width, zc.height))
    -- clipNode:setAnchorPoint(cc.p(0,0)) 
    -- clipNode:setInverted(false)
    -- clipNode:addChild(_sprite2)
    -- clipNode:addChild(_sprite)
    -- clipNode:setAlphaThreshold(0.5)

    -- local action = cc.RepeatForever:create( CCSequence:create( CCMoveBy:create(1, ccp(0, -50)), CCMoveBy:create(1, ccp(0, 50)) ))
    -- _sprite:runAction(action)
    -- _sprite:setPosition(ccp(0, 0))

    -- local _sprite3 = zc.createSprite("res/Main/copy/heroCopy/red_bg.png")
    
    -- clipNode:setStencil(_sprite3)


    zc.addEventListener({name = EVENT_NAME_BATTLE_SCREEN_SHAKE , callback = function(event)
        local data      = event.data

        local times     = 6
        local w         = 0  
        local h         = 24 
        local s         = 4
        local step      = s or 3
        local speed     = 1/20

        if data then
             times  = data.times
             w      = data.w
             h      = data.h
             s      = data.s
             step   = data.step
             speed  = data.speed
        end

        local scene = self
        local times = 6
        local w     = 0  
        local h     = 24 
        local s     = 4
        local step  = s or 3
        local speed = 1/20
        --  pos
        local posTable = {
            cc.p( w, h ),
            cc.p( -w, -h)
        }
        local array = {}
        while times > 0 do
            for i,v in ipairs(posTable) do
                local moveAction = cc.MoveTo:create(speed, v)
                table.insert(array,cc.EaseOut:create(moveAction, 1))
                if v.x > 0 then v.x = v.x / step
                elseif v.x < 0 then v.x = v.x / step
                else v.x = 0
                end
                if v.y > 0 then v.y = v.y / step
                elseif v.y < 0 then v.y = v.y / step
                else v.y = 0
                end
                times = times - 1
                if times == 0 then
                    break
                end
            end
        end
        local backAction = cc.MoveTo:create(speed, cc.p(0, 0))
        table.insert(array, cc.EaseOut:create(backAction, 1))
        
        scene:stopActionByTag(1000)
        local seq = cc.Sequence:create(array)
        seq:setTag(1000)
        scene:runAction(seq)
    end})
    
    zc.addEventListener({name = EVENT_NAME_BATTLE_PLAY_EFFECT , callback = function(event)
        local data      = event.data
        local node      = data.node
        local zorder    = data.zorder
        if node ~= nil then
            if zorder == nil then
                zorder = node:getLocalZOrder()
            end
            --[[设置层级]]
            self:addChild(node,zorder)
        end
    end})

    local firstTarget = BattleHero:createWithParams({isDemo = true ,heroData = {
        100000,
            1,
            5,
            1,
            "敌人1",
            53,
            7160,
            7160,
            0,
            10,
            10,
            "liaohua",
            "0"
        }})
    self:addChild(firstTarget)

    local demoTargets = {}
    demoTargets[#demoTargets + 1] = firstTarget
   
    local leftHero = BattleHero:createWithParams({isDemo = true ,
        demoTargets = demoTargets,
        heroDataModelId = "simayi",
        heroData = {
        100000,
            0,
            5,
            1,
            "乐进",
            53,
            7160,
            7160,
            0,  
            10,
            10,
            "simayi",
            "0"
        }})
    self:addChild(leftHero)

    -- local armature = zc.battle.createBattleEffect({fileName = "simayi", actName = "atk_buff", loop = true})
    -- armature:setPosition(ccp(zc.width/2, zc.height/2))
    -- self:addChild(armature) 

    local _armature = zc.battle.createHeroArmature({
        -- fileName = self._heroData.modelId,
        fileName = "nanzhu",
        heroDataWeaponId = 35,
        -- heroDataWeaponId = _mainWeaponData and _mainWeaponData.weaponId or 0,
        async = true,
        asyncCallback = function( _armature_ , fileName , num )
            _armature_:getAnimation():play("idle_caiquan")
        end
    })
    self:addChild(_armature,10) 

    local demoTargets2 = {}
    demoTargets2[#demoTargets2 + 1] = leftHero

    local rightHero = BattleHero:createWithParams({isDemo = true ,
        demoTargets = demoTargets2,
        heroDataModelId = "sunjian",
        heroData = {
        100000,
            1,
            6,
            1,
            "敌人2",
            53,
            7160,
            7160,
            0,
            10,
            10,
            "liaohua",
            "20"
        }})
    self:addChild(rightHero)
    -- for i=1,9 do
    --     local rightHero = BattleHero:createWithParams({isDemo = true ,
    --         demoTargets = demoTargets2,
    --         heroDataModelId = "sunjian",
    --         heroData = {
    --         100000,
    --             1,
    --             i,
    --             1,
    --             "董卓",
    --             53,
    --             7160,
    --             7160,
    --             0,
    --             10,
    --             10,
    --             "xlms",
    --             "34"
    --         }})
    --     self:addChild(rightHero)
    -- end
    
    -- self.count = 1
    -- self.changeLayer = zc.getFightScene(self.count)
    -- self.changeLayer:setPosition(ccp(zc.width/2, 0))
    -- self:addChild(self.changeLayer,5)

    -- local funcChangeScene = function()
    --     if self.changeLayer then
    --         self.changeLayer:removeFromParent()
    --         self.count = self.count + 1
    --         if self.count == 15 then
    --             self.count = 1
    --         end
    --         self.changeLayer = zc.getFightScene(self.count)
    --         self:addChild(self.changeLayer,5)
    --         self.changeLayer:setPosition(ccp(zc.width/2, 0))
    --     end
    -- end

    -- self.buyBtn = zc.createPushButton({
    --     normalFile = "res/Main/common/button/common_btn2_u.png",
    --     selectedFile = "res/Main/common/button/common_btn2_d.png",
    --     disableFile = "res/Main/common/button/common_btn2_g.png",
    --     needSwallow = false,
    --     endCallback = function()
    --         funcChangeScene()
    --     end,
    --     pos = ccp(zc.width/2, zc.height/2)
    -- })
    -- self:addChild(self.buyBtn,6)

    local tmp_node = zc.createLayer()
    self:addChild(tmp_node)

    for i=1,3 do
        local labTxt =  zc.createRichLabel({}) 
        labTxt:setPosition(100 * i,50)
        labTxt:setFontSize(30)
        local atkName = "atk"
        labTxt:setString("atk")
        if i == 2 then
            atkName = ("atk0")
        elseif i == 3 then
            atkName = ("atk3")
        end
        -- atkName = "chuxian"
        labTxt:setString(atkName)
        labTxt:enableShadow( cc.size(1,-1), 0xff000000, 1 )
        self:addChild(labTxt)
        labTxt:setTouchEndedCallback(function()

            -- local director = cc.Director:getInstance()
            -- local winSize = director:getWinSize();
            -- local winWidth = winSize.width;
            -- local winHeight = winSize.height;
            -- local armature = zc.battle.createBattleEffect({fileName = "boss_bai" , actName = "chuxian"})
            -- armature:setPosition(cc.p(winWidth / 2 , winHeight / 2))
            
            -- zc.dispatchEvent({
            --     name = EVENT_NAME_BATTLE_PLAY_EFFECT,
            --     data = {node = armature, zorder = 100},
            -- })
            -- leftHero:playAction(atkName)
            -- leftHero:showTip({blood = 1000})

            -- zc.soldierChangeWeapon(leftHero:getArmature(), 1003)


            -- local targetHero = leftHero
            -- local node,str  = zc.battle.getBuffType(2)
            -- local topPoint  = targetHero:getSlotPositionInNode(BATTLE_BONE_NAME.MID,targetHero)
            -- node:setPosition(cc.p(topPoint.x , topPoint.y))
            -- targetHero:getRectEffectNode():addChild(node)
            -- node:setScaleX(-1)
            -- tmp_node:addChild(zc.createSprite("res/image/battle/hero/liubei0.png"))

            -- local node = BattleNodeFitSkill:createWithParams({beijing  = "lbbejing",skeletonActName = "lvbu", name = "lvbu",completeCallback = function( ... )
                
            -- end})
            -- tmp_node:addChild(node)

            -- do
            --     local node = BattleNodeFitSkill:createWithParams({beijing  = "jxbejing",skeletonActName = "jiaxu", name = "jiaxu",heroActName = "animation",completeCallback = function( ... ) 
            --     end})
            --     tmp_node:addChild(node)
            -- end
            -- local tmp_ = zc.createArmature({fileName = "liubei" })
            -- tmp_:setPosition(300,100)
            -- tmp_node:addChild(tmp_)

            -- do
            --     local tmp_ = zc.createArmature({fileName = "nanzhu" })
            --     tmp_:setPosition(300,100)
            --     tmp_node:addChild(tmp_)
            -- end
            -- do
            --     local tmp_ = zc.createArmature({fileName = "guanyu" })
            --     tmp_:setPosition(300,100)
            --     tmp_node:addChild(tmp_)
            -- end
            -- do
            --     local tmp_ = zc.createArmature({fileName = "nvzhujue" })
            --     tmp_:setPosition(300,100)
            --     tmp_node:addChild(tmp_)
            -- end
            leftHero:doSkill({skillType = i , firstTarget = firstTarget})
        end)
    end

    for i=1,3 do
        local labTxt =  zc.createRichLabel({}) 
        labTxt:setPosition(700+100 * i,50)
        labTxt:setFontSize(30)
        local atkName = "atk"
        labTxt:setString("atk")
        if i == 2 then
            atkName = ("atk0")
        elseif i == 3 then
            atkName = ("atk3")
        end
        -- atkName = "chuxian"
        labTxt:setString(atkName)
        labTxt:enableShadow( cc.size(1,-1), 0xff000000, 1 )
        self:addChild(labTxt)
        labTxt:setTouchEndedCallback(function()

            -- local director = cc.Director:getInstance()
            -- local winSize = director:getWinSize();
            -- local winWidth = winSize.width;
            -- local winHeight = winSize.height;
            -- local armature = zc.battle.createBattleEffect({fileName = "boss_bai" , actName = "chuxian"})
            -- armature:setPosition(cc.p(winWidth / 2 , winHeight / 2))
            
            -- zc.dispatchEvent({
            --     name = EVENT_NAME_BATTLE_PLAY_EFFECT,
            --     data = {node = armature, zorder = 100},
            -- })
            -- hero:playAction("change")
            tmp_node:removeAllChildren()
            zc.dispatchEvent({name = "REMOVE_UNUSED_SPINES"})
            zc.dispatchEvent({name = "CLEAR_CACHED_CSB_DATA"})
            ccs.ArmatureDataManager:getInstance():removeArmatureFileInfo("res/image/battle/hero/liubei.csb")
            ccs.ArmatureDataManager:getInstance():removeArmatureFileInfo("res/image/battle/hero/nanzhu.csb")
            ccs.ArmatureDataManager:getInstance():removeArmatureFileInfo("res/image/battle/hero/guanyu.csb")
            ccs.ArmatureDataManager:getInstance():removeArmatureFileInfo("res/image/battle/hero/nvzhujue.csb")
            helper.collectMemory(true)
            collectgarbage("collect")
            local textureCache = cc.Director:getInstance():getTextureCache()
            -- textureCache:removeTextureForKey("res/image/battle/hero/liubei0.png")
                textureCache:getCachedTextureInfo()
            rightHero:doSkill({skillType = i , firstTarget = leftHero})
        end)
    end
end

function TestBattleLayer:_removeEventListener()
    zc.removeEventListener(EVENT_NAME_BATTLE_PLAY_EFFECT)
end

function TestBattleLayer:onCleanup()
    cc.Director:getInstance():getScheduler():setTimeScale(1.0)
    self:removeAllChildren()
    self:_removeEventListener()
end

function TestBattleLayer:create()
    return TestBattleLayer.new()
end
