--  Created by zhangchao on 16-03-29.
local boss = class("boss", function ( params )
	local hero = BattleHero.new(params)
	return hero
end)

function boss:create(params)
	return boss.new(params)
end
local csbs = nil
function boss:ctor(params)
	csbs = {"boss_bai","boss_atk_1"}
	for k,v in pairs(csbs) do
		zc.createArmature({
			fileName = v,
			async = true,
			completeCallback = function() end,
			eventCallback = function() end,
			moveCallback = function() end,
		})
	end
end

function boss:getCsbFiles()
	return csbs
end


function boss:doAttack(params)
	local skillType 	= params.skillType
	local process 		= params.process
	local evt     		= params.evt
	local hurtTargets   = params.hurtTargets

	local runningScene 	= cc.Director:getInstance():getRunningScene()

	-- if evt == "do_atk_hit1" or evt == "do_atk_hit2" then
	-- 	for k,hero in pairs(hurtTargets) do
	-- 		local _fileName = "boss_atk_1"
	-- 		local _actName  = "atk"
	-- 		local point  		= hero:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene)
	-- 	    local armature = zc.battle.createBattleEffect({fileName = _fileName , actName = _actName ,  moveCallback = function (armatureBack,movementType,movementID)
 --                if movementType == ccs.MovementEventType.complete and (movementID == "atk" ) then
 --                    xpcall(function() armatureBack:removeFromParent() end, function ()
 --                            print("armatureBack已被删除")
 --                        end)
 --                end
 --            end})
	-- 	    armature:setPosition(point)
		   	
	-- 		zc.dispatchEvent({
	-- 			name = EVENT_NAME_BATTLE_PLAY_EFFECT,
	-- 			data = {node = armature, zorder = hero:getLocalZOrder() + 1},
	-- 		})
	-- 	end
	-- else
	if string.find(evt,"do_atk3_hit") then
		for k,hero in pairs(hurtTargets) do
			local _fileName = "boss_atk_1"
			local _actName  = "atk3"
			local point  		= hero:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene)
		    local armature = zc.battle.createBattleEffect({fileName = _fileName , actName = _actName ,  moveCallback = function (armatureBack,movementType,movementID)
                if movementType == ccs.MovementEventType.complete and (movementID == "atk3" ) then
                    xpcall(function() armatureBack:removeFromParent() end, function ()
                            print("armatureBack已被删除")
                        end)
                end
            end})
		    armature:setPosition(point)
		   	
			zc.dispatchEvent({
				name = EVENT_NAME_BATTLE_PLAY_EFFECT,
				data = {node = armature, zorder = hero:getLocalZOrder() + 1},
			})
		end
	end
	self:doHurt(params)

end


function boss:preAttack(params)
	local skillType 	= params.skillType
	local firstTarget   = params.firstTarget

    local director = cc.Director:getInstance()
    local winSize = director:getWinSize();
    local winWidth = winSize.width;
    local winHeight = winSize.height;
	if skillType == BATTLE_SKILL_TYPE.SUPER then--3.士气技能 大招
	    local armature = zc.battle.createBattleEffect({fileName = "boss_bai" , actName = "atk3"})
	    armature:setPosition(cc.p(winWidth / 2 , winHeight / 2))
	    
		zc.dispatchEvent({
			name = EVENT_NAME_BATTLE_PLAY_EFFECT,
			data = {node = armature, zorder = 0},
		})
	elseif skillType == BATTLE_SKILL_TYPE.ATK and firstTarget then
		local armature = zc.battle.createBattleEffect({fileName = "boss_atk_1" , actName = "Animation1"})
	    armature:setPosition(firstTarget:getPosition())
	    if self:getSide() == BATTLE_SIDE.LEFT then
	    	armature:setScaleX(-1 * armature:getScaleX())
	    end
		zc.dispatchEvent({
			name = EVENT_NAME_BATTLE_PLAY_EFFECT,
			data = {node = armature, zorder = self:getLocalZOrder() + 1},
		})
		local armature_atk = zc.battle.createBattleEffect({fileName = "boss_atk_1" , actName = "atk"})
	    armature_atk:setPosition(firstTarget:getPosition())
	    if self:getSide() == BATTLE_SIDE.LEFT then
	    	armature_atk:setScaleX(-1 * armature_atk:getScaleX())
	    end
		zc.dispatchEvent({
			name = EVENT_NAME_BATTLE_PLAY_EFFECT,
			data = {node = armature_atk, zorder = self:getLocalZOrder() + 1},
		})
    end
end

function boss:getSkillHurtCount(skillType)
	local count = 1
	if skillType == 1 then
		count = 5
	elseif skillType == 3 then
		count = 7
	end
	return count
end

function boss:shouldMoveAttack(atkName)
	local ret = false
	return ret
end

return boss




