
net = net or {}
require("pack")
local zlib = require "zlib" 
local MessagePack = requires("src/netcenter/MessagePack.lua")

net.Buffer = class("Buffer")

function net.Buffer:ctor()
end

function net.Buffer:pack(buffer)
    local len
    if buffer == nil then
        buffer = ""
    end
    local _buffer = json.encode(buffer)--zc.table2json(buffer)--MessagePack.pack(buffer)
    local pack
    if #_buffer > 256 then 
        local _buffer, eof,  bytes_in, bytes_out = zlib.deflate()(_buffer,"finish")
        -- print("---zlib----",_buffer, eof,  bytes_in, bytes_out)
        pack  = string.pack(">AIIA", "pack", 1, string.len(_buffer), _buffer)
    else
        pack  = string.pack(">AIIA", "pack", 0, string.len(_buffer), _buffer)
    end
    return pack
end

--返回headlen包头长度 len data的长度,data的内容
function net.Buffer:unpack(data)
    local headlen, pack, zip, len = string.unpack(data, ">A4IIa")
    print("head:", headlen, pack, zip, len)
    if zip == 1 then 
        data = zlib.inflate()(string.sub(data, headlen, headlen+len-1))
        -- data = MessagePack.unpack(data)
    else
        data = string.sub(data, headlen, headlen+len-1)
        -- data = MessagePack.unpack(string.sub(data, headlen, headlen+len))
    end
    data = json.decode(data)
    return headlen,len, data
end

