-- 阵法.xls
-- {
-- 	id = 阵法ID
-- 	needLevel = 开启所需玩家等级
-- 	needVip = 开启所需vip等级
-- 	effect1 = 效果1
-- 	effectTarget1 = 效果1作用对象
-- 	effectLayer1 = 效果1作用层级
-- 	effect2 = 效果2
-- 	effectTarget2 = 效果2作用对象
-- 	effectLayer2 = 效果2作用层级
-- 	effect3 = 效果3
-- 	effectTarget3 = 效果3作用对象
-- 	effectLayer3 = 效果3作用层级
-- 	effect4 = 效果4
-- 	effectTarget4 = 效果4作用对象
-- 	effectLayer4 = 效果4作用层级
-- 	name = 名字
-- 	color = 阵法类型
-- }
local formation = {
	["1"] = {
		["effectLayer4"] = "",
		["effectTarget2"] = "",
		["effectLayer2"] = "",
		["effectLayer3"] = "",
		["effectLayer1"] = 2,
		["effectTarget1"] = 0,
		["effectTarget3"] = "",
		["needLevel"] = 0,
		["effectTarget4"] = "",
		["color"] = 1,
		["effect4"] = "",
		["effect2"] = "",
		["effect3"] = "",
		["effect1"] = "7|0.075|0.045",
		["needVip"] = 0,
		["id"] = 1,
		["name"] = "锥形阵",
	},
	["2"] = {
		["effectLayer4"] = "",
		["effectTarget2"] = "",
		["effectLayer2"] = "",
		["effectLayer3"] = "",
		["effectLayer1"] = 2,
		["effectTarget1"] = 0,
		["effectTarget3"] = "",
		["needLevel"] = 10,
		["effectTarget4"] = "",
		["color"] = 1,
		["effect4"] = "",
		["effect2"] = "",
		["effect3"] = "",
		["effect1"] = "11|0.075|0.045",
		["needVip"] = 0,
		["id"] = 2,
		["name"] = "锋矢阵",
	},
	["3"] = {
		["effectLayer4"] = "",
		["effectTarget2"] = "",
		["effectLayer2"] = "",
		["effectLayer3"] = "",
		["effectLayer1"] = 2,
		["effectTarget1"] = 0,
		["effectTarget3"] = "",
		["needLevel"] = 20,
		["effectTarget4"] = "",
		["color"] = 2,
		["effect4"] = "",
		["effect2"] = "",
		["effect3"] = "",
		["effect1"] = "7|0.075|0.045",
		["needVip"] = 0,
		["id"] = 3,
		["name"] = "八卦阵",
	},
	["4"] = {
		["effectLayer4"] = "",
		["effectTarget2"] = "",
		["effectLayer2"] = "",
		["effectLayer3"] = "",
		["effectLayer1"] = 2,
		["effectTarget1"] = 0,
		["effectTarget3"] = "",
		["needLevel"] = 20,
		["effectTarget4"] = "",
		["color"] = 2,
		["effect4"] = "",
		["effect2"] = "",
		["effect3"] = "",
		["effect1"] = "11|0.075|0.045",
		["needVip"] = 0,
		["id"] = 4,
		["name"] = "七星阵",
	},
	["5"] = {
		["effectLayer4"] = "",
		["effectTarget2"] = "",
		["effectLayer2"] = "",
		["effectLayer3"] = "",
		["effectLayer1"] = 2,
		["effectTarget1"] = 0,
		["effectTarget3"] = "",
		["needLevel"] = 30,
		["effectTarget4"] = "",
		["color"] = 1,
		["effect4"] = "",
		["effect2"] = "",
		["effect3"] = "",
		["effect1"] = "9|0.075|0.045",
		["needVip"] = 0,
		["id"] = 5,
		["name"] = "鱼鳞阵",
	},
	["6"] = {
		["effectLayer4"] = "",
		["effectTarget2"] = "",
		["effectLayer2"] = "",
		["effectLayer3"] = "",
		["effectLayer1"] = 2,
		["effectTarget1"] = 0,
		["effectTarget3"] = "",
		["needLevel"] = 30,
		["effectTarget4"] = "",
		["color"] = 1,
		["effect4"] = "",
		["effect2"] = "",
		["effect3"] = "",
		["effect1"] = "9|0.075|0.045",
		["needVip"] = 0,
		["id"] = 6,
		["name"] = "雁行阵",
	},
	["7"] = {
		["effectLayer4"] = "",
		["effectTarget2"] = "",
		["effectLayer2"] = "",
		["effectLayer3"] = "",
		["effectLayer1"] = 2,
		["effectTarget1"] = 0,
		["effectTarget3"] = "",
		["needLevel"] = 40,
		["effectTarget4"] = "",
		["color"] = 2,
		["effect4"] = "",
		["effect2"] = "",
		["effect3"] = "",
		["effect1"] = "13|0.075|0.045",
		["needVip"] = 0,
		["id"] = 7,
		["name"] = "偃月阵",
	},
	["8"] = {
		["effectLayer4"] = "",
		["effectTarget2"] = "",
		["effectLayer2"] = "",
		["effectLayer3"] = "",
		["effectLayer1"] = 2,
		["effectTarget1"] = 0,
		["effectTarget3"] = "",
		["needLevel"] = 40,
		["effectTarget4"] = "",
		["color"] = 2,
		["effect4"] = "",
		["effect2"] = "",
		["effect3"] = "",
		["effect1"] = "13|0.075|0.045",
		["needVip"] = 0,
		["id"] = 8,
		["name"] = "长蛇阵",
	},
	["9"] = {
		["effectLayer4"] = "",
		["effectTarget2"] = "",
		["effectLayer2"] = "",
		["effectLayer3"] = "",
		["effectLayer1"] = 2,
		["effectTarget1"] = 0,
		["effectTarget3"] = "",
		["needLevel"] = 0,
		["effectTarget4"] = "",
		["color"] = 1,
		["effect4"] = "",
		["effect2"] = "",
		["effect3"] = "",
		["effect1"] = "32|0.075|0.045",
		["needVip"] = 7,
		["id"] = 9,
		["name"] = "壁垒阵",
	},
	["10"] = {
		["effectLayer4"] = "",
		["effectTarget2"] = "",
		["effectLayer2"] = "",
		["effectLayer3"] = "",
		["effectLayer1"] = 2,
		["effectTarget1"] = 0,
		["effectTarget3"] = "",
		["needLevel"] = 0,
		["effectTarget4"] = "",
		["color"] = 1,
		["effect4"] = "",
		["effect2"] = "",
		["effect3"] = "",
		["effect1"] = "32|0.075|0.045",
		["needVip"] = 9,
		["id"] = 10,
		["name"] = "冲锋阵",
	},
	["11"] = {
		["effectLayer4"] = "",
		["effectTarget2"] = 0,
		["effectLayer2"] = 2,
		["effectLayer3"] = "",
		["effectLayer1"] = 2,
		["effectTarget1"] = 0,
		["effectTarget3"] = "",
		["needLevel"] = 0,
		["effectTarget4"] = "",
		["color"] = 1,
		["effect4"] = "",
		["effect2"] = "33|0.3|0.01",
		["effect3"] = "",
		["effect1"] = "32|0.075|0.045",
		["needVip"] = 10,
		["id"] = 11,
		["name"] = "至尊阵",
	},
}
return formation