-- 兵器锻造数据表.xls
-- {
-- 	id = id
-- 	weaponNum = 消耗兵器个数
-- 	weaponLv = 消耗兵器等级
-- 	expend = 其他消耗
-- 	attackStep = 物攻成长
-- 	attackStrategyStep = 策攻成长
-- 	defenseStep = 物防成长
-- 	defenseStrategyStep = 策防
-- 	hpLimitStep = 生命
-- 	hit = 命中
-- 	precision = 精准
-- 	dodge = 闪避
-- 	foresight = 识破
-- 	crit = 暴击
-- 	critValue = 暴击效果值
-- 	damageDerate = 减伤
-- 	hpLimitAddition = 生命加成
-- 	speed = 速度
-- }
local weapon_foundry_info = {
	["1"] = {
		["dodge"] = 0,
		["foresight"] = 0,
		["expend"] = "1|10|500",
		["hit"] = 0,
		["weaponNum"] = 2,
		["weaponLv"] = 0,
		["damageDerate"] = 0,
		["precision"] = 0,
		["crit"] = 0,
		["attackStep"] = 1.200000,
		["defenseStep"] = 1.200000,
		["hpLimitAddition"] = 0,
		["critValue"] = 0,
		["hpLimitStep"] = 1.200000,
		["defenseStrategyStep"] = 1.200000,
		["attackStrategyStep"] = 1.200000,
		["speed"] = 2.200000,
		["id"] = 1,
	},
	["2"] = {
		["dodge"] = 0,
		["foresight"] = 0,
		["expend"] = "1|10|1000",
		["hit"] = 0,
		["weaponNum"] = 2,
		["weaponLv"] = 1,
		["damageDerate"] = 0,
		["precision"] = 0,
		["crit"] = 0,
		["attackStep"] = 1.500000,
		["defenseStep"] = 1.500000,
		["hpLimitAddition"] = 0,
		["critValue"] = 0,
		["hpLimitStep"] = 1.500000,
		["defenseStrategyStep"] = 1.500000,
		["attackStrategyStep"] = 1.500000,
		["speed"] = 3.640000,
		["id"] = 2,
	},
	["3"] = {
		["dodge"] = 0,
		["foresight"] = 0,
		["expend"] = "1|10|3000",
		["hit"] = 0,
		["weaponNum"] = 3,
		["weaponLv"] = 2,
		["damageDerate"] = 0,
		["precision"] = 0,
		["crit"] = 0,
		["attackStep"] = 2.200000,
		["defenseStep"] = 2.200000,
		["hpLimitAddition"] = 0,
		["critValue"] = 0,
		["hpLimitStep"] = 2.200000,
		["defenseStrategyStep"] = 2.200000,
		["attackStrategyStep"] = 2.200000,
		["speed"] = 5.368000,
		["id"] = 3,
	},
	["4"] = {
		["dodge"] = 0,
		["foresight"] = 0,
		["expend"] = "1|10|6000",
		["hit"] = 0.030000,
		["weaponNum"] = 3,
		["weaponLv"] = 3,
		["damageDerate"] = 0.030000,
		["precision"] = 0.030000,
		["crit"] = 0.015000,
		["attackStep"] = 3.200000,
		["defenseStep"] = 3.200000,
		["hpLimitAddition"] = 0.030000,
		["critValue"] = 0.100000,
		["hpLimitStep"] = 3.200000,
		["defenseStrategyStep"] = 3.200000,
		["attackStrategyStep"] = 3.200000,
		["speed"] = 7.441600,
		["id"] = 4,
	},
	["5"] = {
		["dodge"] = 0,
		["foresight"] = 0,
		["expend"] = "1|10|10000",
		["hit"] = 0.054000,
		["weaponNum"] = 4,
		["weaponLv"] = 4,
		["damageDerate"] = 0.054000,
		["precision"] = 0.054000,
		["crit"] = 0.023000,
		["attackStep"] = 4.600000,
		["defenseStep"] = 4.600000,
		["hpLimitAddition"] = 0.060000,
		["critValue"] = 0.150000,
		["hpLimitStep"] = 4.600000,
		["defenseStrategyStep"] = 4.600000,
		["attackStrategyStep"] = 4.600000,
		["speed"] = 9.929920,
		["id"] = 5,
	},
	["6"] = {
		["dodge"] = 0,
		["foresight"] = 0,
		["expend"] = "1|10|20000",
		["hit"] = 0.090000,
		["weaponNum"] = 5,
		["weaponLv"] = 5,
		["damageDerate"] = 0.090000,
		["precision"] = 0.090000,
		["crit"] = 0.040000,
		["attackStep"] = 6.625000,
		["defenseStep"] = 6.625000,
		["hpLimitAddition"] = 0.100000,
		["critValue"] = 0.252000,
		["hpLimitStep"] = 6.625000,
		["defenseStrategyStep"] = 6.625000,
		["attackStrategyStep"] = 6.625000,
		["speed"] = 12.915904,
		["id"] = 6,
	},
}
return weapon_foundry_info