
function schedule(node, callback, tick, tag)
    tag = tag == nil and 1215 or tag
    local delay = cc.DelayTime:create(tick)
    local callfunc = cc.CallFunc:create(callback)
    local sequence = cc.Sequence:create(delay, callfunc)
    local action = cc.RepeatForever:create(sequence)
    action:setTag(tag)
    node:runAction(action)
    return action
end

function performWithDelay(node, callback, delay, tag)
    local delay = cc.DelayTime:create(delay)
    local sequence = cc.Sequence:create(delay, cc.CallFunc:create(callback))
    if tag then
        sequence:setTag(tag)
    end
    node:runAction(sequence)
    return sequence
end
