--  Created by zhangchao on 16-03-29.

local fuyongjiangling = class("fuyongjiangling", function ( params )
	local hero = BattleHero.new(params)
	return hero
end)

function fuyongjiangling:create(params)
	return fuyongjiangling.new(params)
end


function fuyongjiangling:getSkillHurtCount(skillType)
	local count = 1
	if skillType == BATTLE_SKILL_TYPE.ATK0 then
		count = 5
	elseif skillType == BATTLE_SKILL_TYPE.SUPER then
		count = 8
	end
	return count
end

function fuyongjiangling:getAttackPoint(skillType,targetHero)
	local rect 			= BATTLE_BONE_NAME.RECT_ATK
	if skillType == 1 then --1.普通攻击
    elseif skillType == 2 then --2.小技能 
        rect 			= BATTLE_BONE_NAME.RECT_ATK0
    elseif skillType == 3 then--3.士气技能 大招
        rect 			= BATTLE_BONE_NAME.RECT_SUPER
    elseif skillType == 4 then
        --4.合体技
    end
    local runningScene 		= cc.Director:getInstance():getRunningScene()
	local y 				= targetHero:getPositionY()
	local denfenser_point 	= targetHero:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene)
	--[[大招单独处理]]
	if skillType == 3 then
		local tmp_side 		= targetHero:getSide()
	    denfenser_point 	= zc.battle.getInitialMatrixPoint({side = tmp_side , position = 9})
	    denfenser_point.y   = y
	end
	-- dump(denfenser_point,"denfenser_point")
	local attackerMidBox	= self:getBoneBoundingBoxByName(rect)
	local x 				= denfenser_point.x - attackerMidBox.width / 2
	if self:getSide() == BATTLE_SIDE.RIGHT then
		x 					= denfenser_point.x + attackerMidBox.width / 2
	end
	local pos 				= cc.p(x,y)
	
	return pos
end
return fuyongjiangling




