--  Created by zhangchao on 16-03-29.
local hjms = class("hjms", function ( params )
	local hero = BattleHero.new(params)
	return hero
end)

function hjms:create(params)
	return hjms.new(params)
end

local csbs = nil
function hjms:ctor(params)
	csbs = {"hjms_atk3"}
	self:preloadCsbs(csbs)
end

function hjms:getCsbFiles()
	return csbs
end
function hjms:doAttack(params)
	local skillType 	= params.skillType
	local evt     		= params.evt
	local firstTarget   = params.firstTarget
	local hurtTargets   = params.hurtTargets

	local runningScene 	= cc.Director:getInstance():getRunningScene()
	if skillType == BATTLE_SKILL_TYPE.ATK or skillType == BATTLE_SKILL_TYPE.SUPER then
		for k,hero in pairs(hurtTargets) do
			local point  	= hero:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene)
		    local armature 	= zc.battle.createBattleEffect({fileName = "hjms_atk3" , actName = "atk", autoRemove = false})
		    armature:setPosition(self:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene))
		    if self:getSide() == BATTLE_SIDE.LEFT then
		    	armature:setScaleX(-1 * self:getScaleX())
		    end
		    local _arrow 		= armature
			--起始位置
		    local runningScene 	= cc.Director:getInstance():getRunningScene()
			local _targetSlot   = cc.p(self:getPositionX(),self:getPositionY())
			--目标位置
			local endPos 		= point
			--计算角度
			-- 判定斜率,非弓箭状态
			local deltaY = endPos.y - _targetSlot.y;
			local deltaX = endPos.x - _targetSlot.x;
			local angel = deltaX > 0 and 0 or 180;
			local K = deltaY / deltaX;
			if deltaX ~= 0 then
				-- _arrow:setRotation(angel-CC_RADIANS_TO_DEGREES(math.atan(K)));
			end

			local pos_delta = cc.pGetDistance(endPos, _targetSlot)
			local dt = zc.getDynamicTime(pos_delta, 4000)

			_arrow:runAction(cc.Sequence:create(cc.MoveTo:create(dt,endPos),cc.CallFunc:create(function()
				-- armature:getAnimation():play("atk_1")
				xpcall(function() _arrow:removeFromParent() end, function ()
                        print("_arrow已被删除")
                    end)
	    		self:doHurt(params)
			end)))
			zc.dispatchEvent({
				name = EVENT_NAME_BATTLE_PLAY_EFFECT,
				data = {node = _arrow, zorder = hero:getLocalZOrder() + 1},
			})
		end
	else
		self:doHurt(params)
	end
end

function hjms:doAnimationEvent(evt)
	if evt == "change" then
		local armature = self:getArmature()
		if armature:getBone("weapons") then
			do
				local _bone = armature:getBone("change")
				local armature = zc.battle.createBattleEffect({fileName = "change" , actName = "change" , autoRemove = true, completeCallback = function()					
				end})
			    _bone:addDisplay(armature, 0)
                _bone:changeDisplayWithIndex( 0, true )
                _bone:getDisplayRenderNode():setCascadeOpacityEnabled( false )
                _bone:setOpacity( 255 )
			end

			local weaponId = 59
			zc.soldierChangeWeapon(armature, weaponId)
		else
	    	print(self._heroName.."不存在weapons******************************************")
	    end
	end
end


function hjms:preAttack(params)
	local skillType 	= params.skillType
	local firstTarget   = params.firstTarget
	local atkName 		= BATTLE_ANIMATION_ACTION.ATTACK
	-- skillType = 2
	if skillType == 3 then--
		local armature = zc.battle.createBattleEffect({fileName = "hjms_atk3" , actName = "atk3"})
	    if self:getSide() == BATTLE_SIDE.LEFT then
	    	armature:setScaleX(-1 * armature:getScaleX())
	    end
		armature:setPosition(self:getPosition())
		zc.dispatchEvent({
			name = EVENT_NAME_BATTLE_PLAY_EFFECT,
			data = {node = armature, zorder = self:getLocalZOrder() + 1},
		})
    end
end

return hjms




