--  Created by zhangchao on 16-03-29.
local jiling = class("jiling", function ( params )
	local hero = BattleHero.new(params)
	return hero
end)

function jiling:create(params)
	return jiling.new(params)
end

function jiling:getAttackPoint(skillType,targetHero)
	local rect 			= BATTLE_BONE_NAME.RECT_ATK
	if skillType == 1 then --1.普通攻击
    elseif skillType == 2 then --2.小技能 
        rect 			= BATTLE_BONE_NAME.RECT_ATK0
    elseif skillType == 3 then--3.士气技能 大招
        rect 			= BATTLE_BONE_NAME.RECT_SUPER
    elseif skillType == 4 then
        --4.合体技
    end
    local runningScene 		= cc.Director:getInstance():getRunningScene()
	local y 				= targetHero:getPositionY()
	local denfenser_point 	= targetHero:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene)
	local tmp_side 			= targetHero:getSide()

	local attackerMidBox	= self:getBoneBoundingBoxByName(rect)
	local x 				= denfenser_point.x - attackerMidBox.width / 2
	if self:getSide() == BATTLE_SIDE.RIGHT then
		x 					= denfenser_point.x + attackerMidBox.width / 2
	end
	if skillType == 3 then
		local _point = zc.battle.getInitialMatrixPoint({side = tmp_side , position = 2})
		y = _point.y
	end
	local pos 				= cc.p(x,y)
	return pos
end

function jiling:shouldMoveAttack(atkName)
	local ret = true
	if atkName == BATTLE_ANIMATION_ACTION.ATK0 then
		ret = false
	end
	return ret
end
function jiling:getSkillHurtCount(skillType)
	local count = 1
	if skillType == BATTLE_SKILL_TYPE.ATK then
		count = 2
	elseif skillType == BATTLE_SKILL_TYPE.ATK0 then
		count = 1
	elseif skillType == BATTLE_SKILL_TYPE.SUPER then
		count = 8
	end
	return count
end

return jiling




