--  Created by zhangchao on 16-08-29.
local yanliang = class("yanliang", function ( params )
	local hero = BattleHero.new(params)
	return hero
end)

function yanliang:create(params)
	return yanliang.new(params)
end

function yanliang:getSkillHurtCount(skillType)
	local count = 1
	if skillType == 2 then
		count = 8
	elseif skillType == 3 then
		count = 7
	elseif skillType == BATTLE_SKILL_TYPE.FIT then
		count = 12
	end
	return count
end

function yanliang:getFitSkillSrc()
	local fitSrc = {
		-- 技能名动画
		beijing  = "lbbejing",
		skeletonActName = "yanliang",
		name = "yanliang",
		-- 合体技特效
		fileName = "yanliang_fit2",
		actName = "Fit2",
	}
	return fitSrc
end

function yanliang:getFitSkillPos( params )
	local armature = params.armature
	local firstTarget = params.firstTarget
	
    local tmp_side 	= self:getSide()
    if tmp_side == BATTLE_SIDE.LEFT then
    	tmp_side = BATTLE_SIDE.RIGHT
    else
    	tmp_side = BATTLE_SIDE.LEFT
    end
    local position = 5
    if firstTarget then
    	position = firstTarget:getBattlePosition()
    end
	local pos 		= zc.battle.getInitialMatrixPoint({side = tmp_side , position = position})
	pos.y 			= zc.battle.getInitialMatrixPoint({side = tmp_side , position = 5}).y
    armature:setPosition(pos)
    if self:getSide() == BATTLE_SIDE.RIGHT then
    	armature:setScaleX(-1 * armature:getScaleX())
    end
end

function yanliang:shouldMoveAttack(atkName)
	local ret = true
	if atkName == BATTLE_ANIMATION_ACTION.FIT_START then
		ret = false
	end
	return ret
end

return yanliang