-- 武神塔-怪物组.xls
-- {
-- 	id = 怪物组ID
-- 	star = 星级
-- 	awards = 奖励
-- 	name = 怪物组名称
-- 	tollgateId = 所属关卡ID
-- 	location1 = 位置1
-- 	location2 = 位置2
-- 	location3 = 位置3
-- 	location4 = 位置4
-- 	location5 = 位置5
-- 	location6 = 位置6
-- 	location7 = 位置7
-- 	location8 = 位置8
-- 	location9 = 位置9
-- 	level = 怪物组等级
-- 	iconId = 怪物组图标
-- 	crit = 暴击效果
-- 	weight = 权重
-- 	score = 战斗力
-- 	model = 模型
-- 	gemDropPro = 掉落宝石概率
-- 	gemReward = 宝石奖励
-- 	firstReward = 首通奖励
-- 	gemRewardUi = 关卡掉落显示宝石奖励
-- }
local arenaTower_npcGroup = {
	["10001"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10001,
		["iconId"] = 4,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 3108,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 5,
		["location6"] = 3,
		["location7"] = 4,
		["location4"] = 2,
		["location5"] = 0,
		["location2"] = 1,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|100",
		["gemDropPro"] = 0.200000,
		["name"] = "公孙瓒",
		["level"] = 1,
		["tollgateId"] = 1,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "sunjian",
	},
	["10002"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10002,
		["iconId"] = 2,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 3496,
		["star"] = 2,
		["location8"] = 10,
		["location9"] = 0,
		["location6"] = 9,
		["location7"] = 0,
		["location4"] = 8,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 7,
		["location1"] = 6,
		["awards"] = "1|2|110",
		["gemDropPro"] = 0.200000,
		["name"] = "潘凤",
		["level"] = 2,
		["tollgateId"] = 2,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "sunjian",
	},
	["10003"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10003,
		["iconId"] = 7,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 3729,
		["star"] = 3,
		["location8"] = 15,
		["location9"] = 0,
		["location6"] = 14,
		["location7"] = 0,
		["location4"] = 12,
		["location5"] = 13,
		["location2"] = 11,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|120",
		["gemDropPro"] = 0.200000,
		["name"] = "韩馥",
		["level"] = 3,
		["tollgateId"] = 3,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "sunjian",
	},
	["10004"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10004,
		["iconId"] = 13,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 4093,
		["star"] = 1,
		["location8"] = 19,
		["location9"] = 20,
		["location6"] = 0,
		["location7"] = 18,
		["location4"] = 0,
		["location5"] = 17,
		["location2"] = 16,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|130",
		["gemDropPro"] = 0.200000,
		["name"] = "袁绍",
		["level"] = 4,
		["tollgateId"] = 4,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caocao",
	},
	["10005"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10005,
		["iconId"] = 27,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 4765,
		["star"] = 2,
		["location8"] = 24,
		["location9"] = 25,
		["location6"] = 0,
		["location7"] = 23,
		["location4"] = 22,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 21,
		["awards"] = "1|2|140",
		["gemDropPro"] = 0.200000,
		["name"] = "李儒",
		["level"] = 5,
		["tollgateId"] = 5,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caocao",
	},
	["10006"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10006,
		["iconId"] = 26,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 5280,
		["star"] = 3,
		["location8"] = 29,
		["location9"] = 30,
		["location6"] = 0,
		["location7"] = 28,
		["location4"] = 27,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 26,
		["awards"] = "1|2|150",
		["gemDropPro"] = 0.200000,
		["name"] = "张宝",
		["level"] = 5,
		["tollgateId"] = 6,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caocao",
	},
	["10007"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10007,
		["iconId"] = 21,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 5256,
		["star"] = 1,
		["location8"] = 35,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 34,
		["location2"] = 32,
		["location3"] = 33,
		["location1"] = 31,
		["awards"] = "1|2|160",
		["gemDropPro"] = 0.200000,
		["name"] = "孙策",
		["level"] = 5,
		["tollgateId"] = 7,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "liubei",
	},
	["10008"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10008,
		["iconId"] = 1,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 6308,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 40,
		["location6"] = 39,
		["location7"] = 0,
		["location4"] = 37,
		["location5"] = 38,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 36,
		["awards"] = "1|2|170",
		["gemDropPro"] = 0.200000,
		["name"] = "孙坚",
		["level"] = 5,
		["tollgateId"] = 8,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "liubei",
	},
	["10009"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10009,
		["iconId"] = 14,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 7205,
		["star"] = 3,
		["location8"] = 45,
		["location9"] = 0,
		["location6"] = 44,
		["location7"] = 0,
		["location4"] = 42,
		["location5"] = 43,
		["location2"] = 41,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|180",
		["gemDropPro"] = 0.200000,
		["name"] = "郭嘉",
		["level"] = 6,
		["tollgateId"] = 9,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "liubei",
	},
	["10010"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10010,
		["iconId"] = 25,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 6610,
		["star"] = 1,
		["location8"] = 49,
		["location9"] = 50,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 48,
		["location5"] = 0,
		["location2"] = 46,
		["location3"] = 47,
		["location1"] = 0,
		["awards"] = "1|2|190",
		["gemDropPro"] = 0.200000,
		["name"] = "张辽",
		["level"] = 7,
		["tollgateId"] = 10,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "gongsunzan",
	},
	["10011"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10011,
		["iconId"] = 29,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 8152,
		["star"] = 2,
		["location8"] = 54,
		["location9"] = 55,
		["location6"] = 0,
		["location7"] = 53,
		["location4"] = 0,
		["location5"] = 52,
		["location2"] = 51,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|200",
		["gemDropPro"] = 0.200000,
		["name"] = "张昭",
		["level"] = 8,
		["tollgateId"] = 11,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "gongsunzan",
	},
	["10012"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10012,
		["iconId"] = 12,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 9546,
		["star"] = 3,
		["location8"] = 59,
		["location9"] = 60,
		["location6"] = 0,
		["location7"] = 58,
		["location4"] = 0,
		["location5"] = 57,
		["location2"] = 56,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|210",
		["gemDropPro"] = 0.200000,
		["name"] = "蔡文姬",
		["level"] = 9,
		["tollgateId"] = 12,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "gongsunzan",
	},
	["10013"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10013,
		["iconId"] = 3,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 7926,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 0,
		["location6"] = 64,
		["location7"] = 65,
		["location4"] = 63,
		["location5"] = 0,
		["location2"] = 61,
		["location3"] = 62,
		["location1"] = 0,
		["awards"] = "1|2|220",
		["gemDropPro"] = 0.200000,
		["name"] = "华雄",
		["level"] = 11,
		["tollgateId"] = 13,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caocao",
	},
	["10014"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10014,
		["iconId"] = 18,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 10172,
		["star"] = 2,
		["location8"] = 69,
		["location9"] = 70,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 68,
		["location5"] = 0,
		["location2"] = 66,
		["location3"] = 67,
		["location1"] = 0,
		["awards"] = "1|2|230",
		["gemDropPro"] = 0.200000,
		["name"] = "曹洪",
		["level"] = 12,
		["tollgateId"] = 14,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caocao",
	},
	["10015"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10015,
		["iconId"] = 11,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 12259,
		["star"] = 3,
		["location8"] = 74,
		["location9"] = 75,
		["location6"] = 0,
		["location7"] = 73,
		["location4"] = 72,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 71,
		["awards"] = "1|2|240",
		["gemDropPro"] = 0.200000,
		["name"] = "张角",
		["level"] = 15,
		["tollgateId"] = 15,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caocao",
	},
	["10016"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10016,
		["iconId"] = 16,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 9906,
		["star"] = 1,
		["location8"] = 79,
		["location9"] = 80,
		["location6"] = 0,
		["location7"] = 78,
		["location4"] = 0,
		["location5"] = 77,
		["location2"] = 76,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|250",
		["gemDropPro"] = 0.200000,
		["name"] = "曹操",
		["level"] = 17,
		["tollgateId"] = 16,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "hanfu",
	},
	["10017"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10017,
		["iconId"] = 28,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 12969,
		["star"] = 2,
		["location8"] = 85,
		["location9"] = 0,
		["location6"] = 84,
		["location7"] = 0,
		["location4"] = 82,
		["location5"] = 83,
		["location2"] = 81,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|260",
		["gemDropPro"] = 0.200000,
		["name"] = "王允",
		["level"] = 18,
		["tollgateId"] = 17,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "hanfu",
	},
	["10018"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10018,
		["iconId"] = 20,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 15886,
		["star"] = 3,
		["location8"] = 90,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 89,
		["location2"] = 87,
		["location3"] = 88,
		["location1"] = 86,
		["awards"] = "1|2|270",
		["gemDropPro"] = 0.200000,
		["name"] = "貂蝉",
		["level"] = 19,
		["tollgateId"] = 18,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "hanfu",
	},
	["10019"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10019,
		["iconId"] = 23,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 12169,
		["star"] = 1,
		["location8"] = 94,
		["location9"] = 95,
		["location6"] = 0,
		["location7"] = 93,
		["location4"] = 0,
		["location5"] = 92,
		["location2"] = 91,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|280",
		["gemDropPro"] = 0.200000,
		["name"] = "张飞",
		["level"] = 20,
		["tollgateId"] = 19,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "sunjian",
	},
	["10020"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10020,
		["iconId"] = 10,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 16227,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 100,
		["location6"] = 98,
		["location7"] = 99,
		["location4"] = 97,
		["location5"] = 0,
		["location2"] = 96,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|290",
		["gemDropPro"] = 0.200000,
		["name"] = "董卓",
		["level"] = 20,
		["tollgateId"] = 20,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "sunjian",
	},
	["10021"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10021,
		["iconId"] = 7,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 20159,
		["star"] = 3,
		["location8"] = 104,
		["location9"] = 105,
		["location6"] = 0,
		["location7"] = 103,
		["location4"] = 0,
		["location5"] = 102,
		["location2"] = 101,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|300",
		["gemDropPro"] = 0.200000,
		["name"] = "韩馥",
		["level"] = 23,
		["tollgateId"] = 21,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "sunjian",
	},
	["10022"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10022,
		["iconId"] = 17,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 11821,
		["star"] = 1,
		["location8"] = 109,
		["location9"] = 110,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 108,
		["location5"] = 0,
		["location2"] = 106,
		["location3"] = 107,
		["location1"] = 0,
		["awards"] = "1|2|310",
		["gemDropPro"] = 0.200000,
		["name"] = "刘备",
		["level"] = 25,
		["tollgateId"] = 22,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "jiaxu",
	},
	["10023"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10023,
		["iconId"] = 27,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 19215,
		["star"] = 2,
		["location8"] = 114,
		["location9"] = 115,
		["location6"] = 0,
		["location7"] = 113,
		["location4"] = 0,
		["location5"] = 112,
		["location2"] = 111,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|320",
		["gemDropPro"] = 0.200000,
		["name"] = "李儒",
		["level"] = 26,
		["tollgateId"] = 23,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "jiaxu",
	},
	["10024"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10024,
		["iconId"] = 26,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 26301,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 120,
		["location6"] = 119,
		["location7"] = 0,
		["location4"] = 117,
		["location5"] = 118,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 116,
		["awards"] = "1|2|330",
		["gemDropPro"] = 0.200000,
		["name"] = "张宝",
		["level"] = 27,
		["tollgateId"] = 24,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "jiaxu",
	},
	["10025"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10025,
		["iconId"] = 33,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 13811,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 125,
		["location6"] = 0,
		["location7"] = 124,
		["location4"] = 0,
		["location5"] = 123,
		["location2"] = 0,
		["location3"] = 122,
		["location1"] = 121,
		["awards"] = "1|2|340",
		["gemDropPro"] = 0.200000,
		["name"] = "赵云",
		["level"] = 29,
		["tollgateId"] = 25,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "huaxiong",
	},
	["10026"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10026,
		["iconId"] = 2,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 22431,
		["star"] = 2,
		["location8"] = 129,
		["location9"] = 130,
		["location6"] = 0,
		["location7"] = 128,
		["location4"] = 0,
		["location5"] = 127,
		["location2"] = 126,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|350",
		["gemDropPro"] = 0.200000,
		["name"] = "潘凤",
		["level"] = 29,
		["tollgateId"] = 26,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "huaxiong",
	},
	["10027"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10027,
		["iconId"] = 14,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 30841,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 135,
		["location6"] = 0,
		["location7"] = 134,
		["location4"] = 0,
		["location5"] = 133,
		["location2"] = 0,
		["location3"] = 132,
		["location1"] = 131,
		["awards"] = "1|2|360",
		["gemDropPro"] = 0.200000,
		["name"] = "郭嘉",
		["level"] = 31,
		["tollgateId"] = 27,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "huaxiong",
	},
	["10028"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10028,
		["iconId"] = 13,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 15358,
		["star"] = 1,
		["location8"] = 139,
		["location9"] = 140,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 138,
		["location5"] = 0,
		["location2"] = 136,
		["location3"] = 137,
		["location1"] = 0,
		["awards"] = "1|2|370",
		["gemDropPro"] = 0.200000,
		["name"] = "袁绍",
		["level"] = 32,
		["tollgateId"] = 28,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caocao",
	},
	["10029"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10029,
		["iconId"] = 29,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 31306,
		["star"] = 2,
		["location8"] = 144,
		["location9"] = 145,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 143,
		["location5"] = 0,
		["location2"] = 141,
		["location3"] = 142,
		["location1"] = 0,
		["awards"] = "1|2|380",
		["gemDropPro"] = 0.200000,
		["name"] = "张昭",
		["level"] = 33,
		["tollgateId"] = 29,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caocao",
	},
	["10030"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10030,
		["iconId"] = 12,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 47018,
		["star"] = 3,
		["location8"] = 150,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 149,
		["location2"] = 147,
		["location3"] = 148,
		["location1"] = 146,
		["awards"] = "1|2|390",
		["gemDropPro"] = 0.200000,
		["name"] = "蔡文姬",
		["level"] = 35,
		["tollgateId"] = 30,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caocao",
	},
	["10031"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10031,
		["iconId"] = 22,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 18342,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 155,
		["location6"] = 153,
		["location7"] = 154,
		["location4"] = 152,
		["location5"] = 0,
		["location2"] = 151,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|400",
		["gemDropPro"] = 0.200000,
		["name"] = "吕布",
		["level"] = 37,
		["tollgateId"] = 31,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "sunjian",
	},
	["10032"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10032,
		["iconId"] = 18,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 36328,
		["star"] = 2,
		["location8"] = 160,
		["location9"] = 0,
		["location6"] = 159,
		["location7"] = 0,
		["location4"] = 158,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 157,
		["location1"] = 156,
		["awards"] = "1|2|410",
		["gemDropPro"] = 0.200000,
		["name"] = "曹洪",
		["level"] = 37,
		["tollgateId"] = 32,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "sunjian",
	},
	["10033"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10033,
		["iconId"] = 11,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 54312,
		["star"] = 3,
		["location8"] = 165,
		["location9"] = 0,
		["location6"] = 164,
		["location7"] = 0,
		["location4"] = 162,
		["location5"] = 163,
		["location2"] = 161,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|420",
		["gemDropPro"] = 0.200000,
		["name"] = "张角",
		["level"] = 39,
		["tollgateId"] = 33,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "sunjian",
	},
	["10034"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10034,
		["iconId"] = 25,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 23857,
		["star"] = 1,
		["location8"] = 169,
		["location9"] = 170,
		["location6"] = 0,
		["location7"] = 168,
		["location4"] = 0,
		["location5"] = 167,
		["location2"] = 166,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|430",
		["gemDropPro"] = 0.200000,
		["name"] = "张辽",
		["level"] = 41,
		["tollgateId"] = 34,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "gongsunzan",
	},
	["10035"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10035,
		["iconId"] = 28,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 49335,
		["star"] = 2,
		["location8"] = 174,
		["location9"] = 175,
		["location6"] = 0,
		["location7"] = 173,
		["location4"] = 172,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 171,
		["awards"] = "1|2|440",
		["gemDropPro"] = 0.200000,
		["name"] = "王允",
		["level"] = 42,
		["tollgateId"] = 35,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "gongsunzan",
	},
	["10036"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10036,
		["iconId"] = 20,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 75138,
		["star"] = 3,
		["location8"] = 179,
		["location9"] = 180,
		["location6"] = 0,
		["location7"] = 178,
		["location4"] = 177,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 176,
		["awards"] = "1|2|450",
		["gemDropPro"] = 0.200000,
		["name"] = "貂蝉",
		["level"] = 44,
		["tollgateId"] = 36,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "gongsunzan",
	},
	["10037"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10037,
		["iconId"] = 9,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 26116,
		["star"] = 1,
		["location8"] = 185,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 184,
		["location2"] = 182,
		["location3"] = 183,
		["location1"] = 181,
		["awards"] = "1|2|460",
		["gemDropPro"] = 0.200000,
		["name"] = "关羽",
		["level"] = 44,
		["tollgateId"] = 37,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "liubei",
	},
	["10038"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10038,
		["iconId"] = 18,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 53864,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 190,
		["location6"] = 189,
		["location7"] = 0,
		["location4"] = 187,
		["location5"] = 188,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 186,
		["awards"] = "1|2|470",
		["gemDropPro"] = 0.200000,
		["name"] = "曹洪",
		["level"] = 45,
		["tollgateId"] = 38,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "liubei",
	},
	["10039"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10039,
		["iconId"] = 11,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 82266,
		["star"] = 3,
		["location8"] = 195,
		["location9"] = 0,
		["location6"] = 194,
		["location7"] = 0,
		["location4"] = 192,
		["location5"] = 193,
		["location2"] = 191,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|480",
		["gemDropPro"] = 0.200000,
		["name"] = "张角",
		["level"] = 47,
		["tollgateId"] = 39,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "liubei",
	},
	["10040"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10040,
		["iconId"] = 16,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 32556,
		["star"] = 1,
		["location8"] = 199,
		["location9"] = 200,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 198,
		["location5"] = 0,
		["location2"] = 196,
		["location3"] = 197,
		["location1"] = 0,
		["awards"] = "1|2|490",
		["gemDropPro"] = 0.200000,
		["name"] = "曹操",
		["level"] = 48,
		["tollgateId"] = 40,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "sunjian",
	},
	["10041"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10041,
		["iconId"] = 28,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 64291,
		["star"] = 2,
		["location8"] = 204,
		["location9"] = 205,
		["location6"] = 0,
		["location7"] = 203,
		["location4"] = 0,
		["location5"] = 202,
		["location2"] = 201,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|500",
		["gemDropPro"] = 0.200000,
		["name"] = "王允",
		["level"] = 49,
		["tollgateId"] = 41,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "sunjian",
	},
	["10042"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10042,
		["iconId"] = 20,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 97013,
		["star"] = 3,
		["location8"] = 209,
		["location9"] = 210,
		["location6"] = 0,
		["location7"] = 208,
		["location4"] = 0,
		["location5"] = 207,
		["location2"] = 206,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|510",
		["gemDropPro"] = 0.200000,
		["name"] = "貂蝉",
		["level"] = 50,
		["tollgateId"] = 42,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "sunjian",
	},
	["10043"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10043,
		["iconId"] = 23,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 40009,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 0,
		["location6"] = 214,
		["location7"] = 215,
		["location4"] = 213,
		["location5"] = 0,
		["location2"] = 211,
		["location3"] = 212,
		["location1"] = 0,
		["awards"] = "1|2|520",
		["gemDropPro"] = 0.200000,
		["name"] = "张飞",
		["level"] = 50,
		["tollgateId"] = 43,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "panfeng",
	},
	["10044"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10044,
		["iconId"] = 10,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 78208,
		["star"] = 2,
		["location8"] = 219,
		["location9"] = 220,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 218,
		["location5"] = 0,
		["location2"] = 216,
		["location3"] = 217,
		["location1"] = 0,
		["awards"] = "1|2|530",
		["gemDropPro"] = 0.200000,
		["name"] = "董卓",
		["level"] = 51,
		["tollgateId"] = 44,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "panfeng",
	},
	["10045"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10045,
		["iconId"] = 7,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 117855,
		["star"] = 3,
		["location8"] = 224,
		["location9"] = 225,
		["location6"] = 0,
		["location7"] = 223,
		["location4"] = 222,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 221,
		["awards"] = "1|2|540",
		["gemDropPro"] = 0.200000,
		["name"] = "韩馥",
		["level"] = 52,
		["tollgateId"] = 45,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "panfeng",
	},
	["10046"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10046,
		["iconId"] = 17,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 55212,
		["star"] = 1,
		["location8"] = 229,
		["location9"] = 230,
		["location6"] = 0,
		["location7"] = 228,
		["location4"] = 0,
		["location5"] = 227,
		["location2"] = 226,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|550",
		["gemDropPro"] = 0.200000,
		["name"] = "刘备",
		["level"] = 52,
		["tollgateId"] = 46,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "jiaxu",
	},
	["10047"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10047,
		["iconId"] = 27,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 108087,
		["star"] = 2,
		["location8"] = 235,
		["location9"] = 0,
		["location6"] = 234,
		["location7"] = 0,
		["location4"] = 232,
		["location5"] = 233,
		["location2"] = 231,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|560",
		["gemDropPro"] = 0.200000,
		["name"] = "李儒",
		["level"] = 52,
		["tollgateId"] = 47,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "jiaxu",
	},
	["10048"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10048,
		["iconId"] = 26,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 163302,
		["star"] = 3,
		["location8"] = 240,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 239,
		["location2"] = 237,
		["location3"] = 238,
		["location1"] = 236,
		["awards"] = "1|2|570",
		["gemDropPro"] = 0.200000,
		["name"] = "张宝",
		["level"] = 53,
		["tollgateId"] = 48,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "jiaxu",
	},
	["10049"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10049,
		["iconId"] = 33,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 66457,
		["star"] = 1,
		["location8"] = 244,
		["location9"] = 245,
		["location6"] = 0,
		["location7"] = 243,
		["location4"] = 0,
		["location5"] = 242,
		["location2"] = 241,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|580",
		["gemDropPro"] = 0.200000,
		["name"] = "赵云",
		["level"] = 54,
		["tollgateId"] = 49,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "yuanshao",
	},
	["10050"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10050,
		["iconId"] = 1,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 126960,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 250,
		["location6"] = 248,
		["location7"] = 249,
		["location4"] = 247,
		["location5"] = 0,
		["location2"] = 246,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|590",
		["gemDropPro"] = 0.200000,
		["name"] = "潘凤",
		["level"] = 54,
		["tollgateId"] = 50,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "yuanshao",
	},
	["10051"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10051,
		["iconId"] = 14,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 190321,
		["star"] = 3,
		["location8"] = 254,
		["location9"] = 255,
		["location6"] = 0,
		["location7"] = 253,
		["location4"] = 0,
		["location5"] = 252,
		["location2"] = 251,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|600",
		["gemDropPro"] = 0.200000,
		["name"] = "郭嘉",
		["level"] = 55,
		["tollgateId"] = 51,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "yuanshao",
	},
	["10052"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10052,
		["iconId"] = 13,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 78571,
		["star"] = 1,
		["location8"] = 259,
		["location9"] = 260,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 258,
		["location5"] = 0,
		["location2"] = 256,
		["location3"] = 257,
		["location1"] = 0,
		["awards"] = "1|2|610",
		["gemDropPro"] = 0.200000,
		["name"] = "袁绍",
		["level"] = 56,
		["tollgateId"] = 52,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caiwenji",
	},
	["10053"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10053,
		["iconId"] = 29,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 147436,
		["star"] = 2,
		["location8"] = 264,
		["location9"] = 265,
		["location6"] = 0,
		["location7"] = 263,
		["location4"] = 0,
		["location5"] = 262,
		["location2"] = 261,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|620",
		["gemDropPro"] = 0.200000,
		["name"] = "张昭",
		["level"] = 56,
		["tollgateId"] = 53,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caiwenji",
	},
	["10054"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10054,
		["iconId"] = 12,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 219698,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 270,
		["location6"] = 269,
		["location7"] = 0,
		["location4"] = 267,
		["location5"] = 268,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 266,
		["awards"] = "1|2|630",
		["gemDropPro"] = 0.200000,
		["name"] = "蔡文姬",
		["level"] = 57,
		["tollgateId"] = 54,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caiwenji",
	},
	["10055"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10055,
		["iconId"] = 22,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 93936,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 275,
		["location6"] = 0,
		["location7"] = 274,
		["location4"] = 0,
		["location5"] = 273,
		["location2"] = 0,
		["location3"] = 272,
		["location1"] = 271,
		["awards"] = "1|2|640",
		["gemDropPro"] = 0.200000,
		["name"] = "吕布",
		["level"] = 57,
		["tollgateId"] = 55,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "panfeng",
	},
	["10056"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10056,
		["iconId"] = 18,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 173042,
		["star"] = 2,
		["location8"] = 279,
		["location9"] = 280,
		["location6"] = 0,
		["location7"] = 278,
		["location4"] = 0,
		["location5"] = 277,
		["location2"] = 276,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|650",
		["gemDropPro"] = 0.200000,
		["name"] = "曹洪",
		["level"] = 58,
		["tollgateId"] = 56,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "panfeng",
	},
	["10057"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10057,
		["iconId"] = 11,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 256102,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 285,
		["location6"] = 0,
		["location7"] = 284,
		["location4"] = 0,
		["location5"] = 283,
		["location2"] = 0,
		["location3"] = 282,
		["location1"] = 281,
		["awards"] = "1|2|660",
		["gemDropPro"] = 0.200000,
		["name"] = "张角",
		["level"] = 58,
		["tollgateId"] = 57,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "panfeng",
	},
	["10058"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10058,
		["iconId"] = 11,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 99116,
		["star"] = 1,
		["location8"] = 289,
		["location9"] = 290,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 288,
		["location5"] = 0,
		["location2"] = 286,
		["location3"] = 287,
		["location1"] = 0,
		["awards"] = "1|2|670",
		["gemDropPro"] = 0.200000,
		["name"] = "张辽",
		["level"] = 58,
		["tollgateId"] = 58,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "huaxiong",
	},
	["10059"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10059,
		["iconId"] = 28,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 204099,
		["star"] = 2,
		["location8"] = 294,
		["location9"] = 295,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 293,
		["location5"] = 0,
		["location2"] = 291,
		["location3"] = 292,
		["location1"] = 0,
		["awards"] = "1|2|680",
		["gemDropPro"] = 0.200000,
		["name"] = "王允",
		["level"] = 59,
		["tollgateId"] = 59,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "huaxiong",
	},
	["10060"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10060,
		["iconId"] = 20,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 316115,
		["star"] = 3,
		["location8"] = 300,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 299,
		["location2"] = 297,
		["location3"] = 298,
		["location1"] = 296,
		["awards"] = "1|2|690",
		["gemDropPro"] = 0.200000,
		["name"] = "貂蝉",
		["level"] = 60,
		["tollgateId"] = 60,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "huaxiong",
	},
	["10061"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10061,
		["iconId"] = 9,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 118620,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 305,
		["location6"] = 303,
		["location7"] = 304,
		["location4"] = 302,
		["location5"] = 0,
		["location2"] = 301,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|700",
		["gemDropPro"] = 0.200000,
		["name"] = "关羽",
		["level"] = 60,
		["tollgateId"] = 61,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "yuanshao",
	},
	["10062"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10062,
		["iconId"] = 18,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 237240,
		["star"] = 2,
		["location8"] = 310,
		["location9"] = 0,
		["location6"] = 309,
		["location7"] = 0,
		["location4"] = 308,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 307,
		["location1"] = 306,
		["awards"] = "1|2|710",
		["gemDropPro"] = 0.200000,
		["name"] = "曹洪",
		["level"] = 60,
		["tollgateId"] = 62,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "yuanshao",
	},
	["10063"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10063,
		["iconId"] = 11,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 363772,
		["star"] = 3,
		["location8"] = 315,
		["location9"] = 0,
		["location6"] = 314,
		["location7"] = 0,
		["location4"] = 312,
		["location5"] = 313,
		["location2"] = 311,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|720",
		["gemDropPro"] = 0.200000,
		["name"] = "张角",
		["level"] = 60,
		["tollgateId"] = 63,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "yuanshao",
	},
	["10064"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10064,
		["iconId"] = 16,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 139332,
		["star"] = 1,
		["location8"] = 319,
		["location9"] = 320,
		["location6"] = 0,
		["location7"] = 318,
		["location4"] = 0,
		["location5"] = 317,
		["location2"] = 316,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|730",
		["gemDropPro"] = 0.200000,
		["name"] = "曹操",
		["level"] = 60,
		["tollgateId"] = 64,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caocao",
	},
	["10065"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10065,
		["iconId"] = 28,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 272666,
		["star"] = 2,
		["location8"] = 324,
		["location9"] = 325,
		["location6"] = 0,
		["location7"] = 323,
		["location4"] = 322,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 321,
		["awards"] = "1|2|740",
		["gemDropPro"] = 0.200000,
		["name"] = "王允",
		["level"] = 61,
		["tollgateId"] = 65,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caocao",
	},
	["10066"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10066,
		["iconId"] = 20,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 414800,
		["star"] = 3,
		["location8"] = 329,
		["location9"] = 330,
		["location6"] = 0,
		["location7"] = 328,
		["location4"] = 327,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 326,
		["awards"] = "1|2|750",
		["gemDropPro"] = 0.200000,
		["name"] = "貂蝉",
		["level"] = 61,
		["tollgateId"] = 66,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "caocao",
	},
	["10067"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10067,
		["iconId"] = 23,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 161307,
		["star"] = 1,
		["location8"] = 335,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 334,
		["location2"] = 332,
		["location3"] = 333,
		["location1"] = 331,
		["awards"] = "1|2|760",
		["gemDropPro"] = 0.200000,
		["name"] = "张飞",
		["level"] = 61,
		["tollgateId"] = 67,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "liubei",
	},
	["10068"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10068,
		["iconId"] = 10,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 310489,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 340,
		["location6"] = 339,
		["location7"] = 0,
		["location4"] = 337,
		["location5"] = 338,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 336,
		["awards"] = "1|2|770",
		["gemDropPro"] = 0.200000,
		["name"] = "董卓",
		["level"] = 62,
		["tollgateId"] = 68,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "liubei",
	},
	["10069"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10069,
		["iconId"] = 7,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 469370,
		["star"] = 3,
		["location8"] = 345,
		["location9"] = 0,
		["location6"] = 344,
		["location7"] = 0,
		["location4"] = 342,
		["location5"] = 343,
		["location2"] = 341,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|780",
		["gemDropPro"] = 0.200000,
		["name"] = "韩馥",
		["level"] = 62,
		["tollgateId"] = 69,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "liubei",
	},
	["10070"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10070,
		["iconId"] = 17,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 184564,
		["star"] = 1,
		["location8"] = 349,
		["location9"] = 350,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 348,
		["location5"] = 0,
		["location2"] = 346,
		["location3"] = 347,
		["location1"] = 0,
		["awards"] = "1|2|790",
		["gemDropPro"] = 0.200000,
		["name"] = "刘备",
		["level"] = 62,
		["tollgateId"] = 70,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "panfeng",
	},
	["10071"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10071,
		["iconId"] = 27,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 350737,
		["star"] = 2,
		["location8"] = 354,
		["location9"] = 355,
		["location6"] = 0,
		["location7"] = 353,
		["location4"] = 0,
		["location5"] = 352,
		["location2"] = 351,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|800",
		["gemDropPro"] = 0.200000,
		["name"] = "李儒",
		["level"] = 62,
		["tollgateId"] = 71,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "panfeng",
	},
	["10072"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10072,
		["iconId"] = 26,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 527534,
		["star"] = 3,
		["location8"] = 359,
		["location9"] = 360,
		["location6"] = 0,
		["location7"] = 358,
		["location4"] = 0,
		["location5"] = 357,
		["location2"] = 356,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|810",
		["gemDropPro"] = 0.200000,
		["name"] = "张宝",
		["level"] = 62,
		["tollgateId"] = 72,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "panfeng",
	},
	["10073"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10073,
		["iconId"] = 4,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 209277,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 0,
		["location6"] = 364,
		["location7"] = 365,
		["location4"] = 363,
		["location5"] = 0,
		["location2"] = 361,
		["location3"] = 362,
		["location1"] = 0,
		["awards"] = "1|2|820",
		["gemDropPro"] = 0.200000,
		["name"] = "公孙瓒",
		["level"] = 62,
		["tollgateId"] = 73,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "dongzhuo",
	},
	["10074"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10074,
		["iconId"] = 2,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 393737,
		["star"] = 2,
		["location8"] = 369,
		["location9"] = 370,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 368,
		["location5"] = 0,
		["location2"] = 366,
		["location3"] = 367,
		["location1"] = 0,
		["awards"] = "1|2|830",
		["gemDropPro"] = 0.200000,
		["name"] = "潘凤",
		["level"] = 62,
		["tollgateId"] = 74,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "dongzhuo",
	},
	["10075"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10075,
		["iconId"] = 7,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 589779,
		["star"] = 3,
		["location8"] = 374,
		["location9"] = 375,
		["location6"] = 0,
		["location7"] = 373,
		["location4"] = 372,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 371,
		["awards"] = "1|2|840",
		["gemDropPro"] = 0.200000,
		["name"] = "韩馥",
		["level"] = 62,
		["tollgateId"] = 75,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "dongzhuo",
	},
	["10076"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10076,
		["iconId"] = 13,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 241805,
		["star"] = 1,
		["location8"] = 379,
		["location9"] = 380,
		["location6"] = 0,
		["location7"] = 378,
		["location4"] = 0,
		["location5"] = 377,
		["location2"] = 376,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|850",
		["gemDropPro"] = 0.200000,
		["name"] = "袁绍",
		["level"] = 63,
		["tollgateId"] = 76,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "hanfu",
	},
	["10077"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10077,
		["iconId"] = 27,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 451370,
		["star"] = 2,
		["location8"] = 385,
		["location9"] = 0,
		["location6"] = 384,
		["location7"] = 0,
		["location4"] = 382,
		["location5"] = 383,
		["location2"] = 381,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|860",
		["gemDropPro"] = 0.200000,
		["name"] = "李儒",
		["level"] = 63,
		["tollgateId"] = 77,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "hanfu",
	},
	["10078"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10078,
		["iconId"] = 26,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 673830,
		["star"] = 3,
		["location8"] = 390,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 389,
		["location2"] = 387,
		["location3"] = 388,
		["location1"] = 386,
		["awards"] = "1|2|870",
		["gemDropPro"] = 0.200000,
		["name"] = "张宝",
		["level"] = 63,
		["tollgateId"] = 78,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "hanfu",
	},
	["10079"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10079,
		["iconId"] = 21,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 269974,
		["star"] = 1,
		["location8"] = 394,
		["location9"] = 395,
		["location6"] = 0,
		["location7"] = 393,
		["location4"] = 0,
		["location5"] = 392,
		["location2"] = 391,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|880",
		["gemDropPro"] = 0.200000,
		["name"] = "孙策",
		["level"] = 63,
		["tollgateId"] = 79,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "gongsunzan",
	},
	["10080"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10080,
		["iconId"] = 1,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 500821,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 400,
		["location6"] = 398,
		["location7"] = 399,
		["location4"] = 397,
		["location5"] = 0,
		["location2"] = 396,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|890",
		["gemDropPro"] = 0.200000,
		["name"] = "孙坚",
		["level"] = 64,
		["tollgateId"] = 80,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "gongsunzan",
	},
	["10081"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10081,
		["iconId"] = 14,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 745579,
		["star"] = 3,
		["location8"] = 404,
		["location9"] = 405,
		["location6"] = 0,
		["location7"] = 403,
		["location4"] = 0,
		["location5"] = 402,
		["location2"] = 401,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|900",
		["gemDropPro"] = 0.200000,
		["name"] = "郭嘉",
		["level"] = 64,
		["tollgateId"] = 81,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "gongsunzan",
	},
	["10082"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10082,
		["iconId"] = 25,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 299592,
		["star"] = 1,
		["location8"] = 409,
		["location9"] = 410,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 408,
		["location5"] = 0,
		["location2"] = 406,
		["location3"] = 407,
		["location1"] = 0,
		["awards"] = "1|2|910",
		["gemDropPro"] = 0.200000,
		["name"] = "张辽",
		["level"] = 64,
		["tollgateId"] = 82,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "zhangjiao",
	},
	["10083"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10083,
		["iconId"] = 29,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 553024,
		["star"] = 2,
		["location8"] = 414,
		["location9"] = 415,
		["location6"] = 0,
		["location7"] = 413,
		["location4"] = 0,
		["location5"] = 412,
		["location2"] = 411,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|920",
		["gemDropPro"] = 0.200000,
		["name"] = "张昭",
		["level"] = 65,
		["tollgateId"] = 83,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "zhangjiao",
	},
	["10084"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10084,
		["iconId"] = 12,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|1|1",
		["score"] = 821402,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 420,
		["location6"] = 419,
		["location7"] = 0,
		["location4"] = 417,
		["location5"] = 418,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 416,
		["awards"] = "1|2|930",
		["gemDropPro"] = 0.200000,
		["name"] = "蔡文姬",
		["level"] = 65,
		["tollgateId"] = 84,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "zhangjiao",
	},
	["10085"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10085,
		["iconId"] = 3,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 330686,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 425,
		["location6"] = 0,
		["location7"] = 424,
		["location4"] = 0,
		["location5"] = 423,
		["location2"] = 0,
		["location3"] = 422,
		["location1"] = 421,
		["awards"] = "1|2|940",
		["gemDropPro"] = 0.200000,
		["name"] = "华雄",
		["level"] = 65,
		["tollgateId"] = 85,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "dongzhuo",
	},
	["10086"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10086,
		["iconId"] = 18,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 608038,
		["star"] = 2,
		["location8"] = 429,
		["location9"] = 430,
		["location6"] = 0,
		["location7"] = 428,
		["location4"] = 0,
		["location5"] = 427,
		["location2"] = 426,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|950",
		["gemDropPro"] = 0.200000,
		["name"] = "曹洪",
		["level"] = 65,
		["tollgateId"] = 86,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "dongzhuo",
	},
	["10087"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10087,
		["iconId"] = 11,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|21|1",
		["score"] = 901388,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 435,
		["location6"] = 0,
		["location7"] = 434,
		["location4"] = 0,
		["location5"] = 433,
		["location2"] = 0,
		["location3"] = 432,
		["location1"] = 431,
		["awards"] = "1|2|960",
		["gemDropPro"] = 0.200000,
		["name"] = "张角",
		["level"] = 65,
		["tollgateId"] = 87,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "dongzhuo",
	},
	["10088"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10088,
		["iconId"] = 16,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|11|1",
		["score"] = 399964,
		["star"] = 1,
		["location8"] = 439,
		["location9"] = 440,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 438,
		["location5"] = 0,
		["location2"] = 436,
		["location3"] = 437,
		["location1"] = 0,
		["awards"] = "1|2|970",
		["gemDropPro"] = 0.200000,
		["name"] = "曹操",
		["level"] = 65,
		["tollgateId"] = 88,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "panfeng",
	},
	["10089"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10089,
		["iconId"] = 28,
		["gemRewardUi"] = 101,
		["firstReward"] = "12|31|1",
		["score"] = 784059,
		["star"] = 2,
		["location8"] = 444,
		["location9"] = 445,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 443,
		["location5"] = 0,
		["location2"] = 441,
		["location3"] = 442,
		["location1"] = 0,
		["awards"] = "1|2|980",
		["gemDropPro"] = 0.200000,
		["name"] = "王允",
		["level"] = 65,
		["tollgateId"] = 89,
		["gemReward"] = "12|1|1|20,12|11|1|20,12|21|1|20,12|31|1|20",
		["model"] = "panfeng",
	},
	["10090"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10090,
		["iconId"] = 20,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 1196875,
		["star"] = 3,
		["location8"] = 450,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 449,
		["location2"] = 447,
		["location3"] = 448,
		["location1"] = 446,
		["awards"] = "1|2|990",
		["gemDropPro"] = 0.200000,
		["name"] = "貂蝉",
		["level"] = 65,
		["tollgateId"] = 90,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "panfeng",
	},
	["10091"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10091,
		["iconId"] = 23,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 436820,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 455,
		["location6"] = 453,
		["location7"] = 454,
		["location4"] = 452,
		["location5"] = 0,
		["location2"] = 451,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1000",
		["gemDropPro"] = 0.200000,
		["name"] = "张飞",
		["level"] = 66,
		["tollgateId"] = 91,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "sunjian",
	},
	["10092"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10092,
		["iconId"] = 10,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 851512,
		["star"] = 2,
		["location8"] = 460,
		["location9"] = 0,
		["location6"] = 459,
		["location7"] = 0,
		["location4"] = 458,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 457,
		["location1"] = 456,
		["awards"] = "1|2|1010",
		["gemDropPro"] = 0.200000,
		["name"] = "董卓",
		["level"] = 66,
		["tollgateId"] = 92,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "sunjian",
	},
	["10093"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10093,
		["iconId"] = 7,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 1296724,
		["star"] = 3,
		["location8"] = 465,
		["location9"] = 0,
		["location6"] = 464,
		["location7"] = 0,
		["location4"] = 462,
		["location5"] = 463,
		["location2"] = 461,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1020",
		["gemDropPro"] = 0.200000,
		["name"] = "韩馥",
		["level"] = 66,
		["tollgateId"] = 93,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "sunjian",
	},
	["10094"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10094,
		["iconId"] = 17,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 475291,
		["star"] = 1,
		["location8"] = 469,
		["location9"] = 470,
		["location6"] = 0,
		["location7"] = 468,
		["location4"] = 0,
		["location5"] = 467,
		["location2"] = 466,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1030",
		["gemDropPro"] = 0.200000,
		["name"] = "刘备",
		["level"] = 66,
		["tollgateId"] = 94,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "yuanshao",
	},
	["10095"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10095,
		["iconId"] = 27,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 922085,
		["star"] = 2,
		["location8"] = 474,
		["location9"] = 475,
		["location6"] = 0,
		["location7"] = 473,
		["location4"] = 472,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 471,
		["awards"] = "1|2|1040",
		["gemDropPro"] = 0.200000,
		["name"] = "李儒",
		["level"] = 67,
		["tollgateId"] = 95,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "yuanshao",
	},
	["10096"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10096,
		["iconId"] = 26,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 1401228,
		["star"] = 3,
		["location8"] = 479,
		["location9"] = 480,
		["location6"] = 0,
		["location7"] = 478,
		["location4"] = 477,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 476,
		["awards"] = "1|2|1050",
		["gemDropPro"] = 0.200000,
		["name"] = "张宝",
		["level"] = 67,
		["tollgateId"] = 96,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "yuanshao",
	},
	["10097"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10097,
		["iconId"] = 33,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 513416,
		["star"] = 1,
		["location8"] = 485,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 484,
		["location2"] = 482,
		["location3"] = 483,
		["location1"] = 481,
		["awards"] = "1|2|1060",
		["gemDropPro"] = 0.200000,
		["name"] = "赵云",
		["level"] = 67,
		["tollgateId"] = 97,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "liubei",
	},
	["10098"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10098,
		["iconId"] = 2,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 992628,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 490,
		["location6"] = 489,
		["location7"] = 0,
		["location4"] = 487,
		["location5"] = 488,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 486,
		["awards"] = "1|2|1070",
		["gemDropPro"] = 0.200000,
		["name"] = "潘凤",
		["level"] = 68,
		["tollgateId"] = 98,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "liubei",
	},
	["10099"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10099,
		["iconId"] = 14,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 1506045,
		["star"] = 3,
		["location8"] = 495,
		["location9"] = 0,
		["location6"] = 494,
		["location7"] = 0,
		["location4"] = 492,
		["location5"] = 493,
		["location2"] = 491,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1080",
		["gemDropPro"] = 0.200000,
		["name"] = "郭嘉",
		["level"] = 68,
		["tollgateId"] = 99,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "liubei",
	},
	["10100"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10100,
		["iconId"] = 13,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 553086,
		["star"] = 1,
		["location8"] = 499,
		["location9"] = 500,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 498,
		["location5"] = 0,
		["location2"] = 496,
		["location3"] = 497,
		["location1"] = 0,
		["awards"] = "1|2|1090",
		["gemDropPro"] = 0.200000,
		["name"] = "袁绍",
		["level"] = 68,
		["tollgateId"] = 100,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "huaxiong",
	},
	["10101"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10101,
		["iconId"] = 29,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 1066159,
		["star"] = 2,
		["location8"] = 504,
		["location9"] = 505,
		["location6"] = 0,
		["location7"] = 503,
		["location4"] = 0,
		["location5"] = 502,
		["location2"] = 501,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1100",
		["gemDropPro"] = 0.200000,
		["name"] = "张昭",
		["level"] = 68,
		["tollgateId"] = 101,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "huaxiong",
	},
	["10102"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10102,
		["iconId"] = 12,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 1615323,
		["star"] = 3,
		["location8"] = 509,
		["location9"] = 510,
		["location6"] = 0,
		["location7"] = 508,
		["location4"] = 0,
		["location5"] = 507,
		["location2"] = 506,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1110",
		["gemDropPro"] = 0.200000,
		["name"] = "蔡文姬",
		["level"] = 68,
		["tollgateId"] = 102,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "huaxiong",
	},
	["10103"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10103,
		["iconId"] = 22,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 594661,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 0,
		["location6"] = 514,
		["location7"] = 515,
		["location4"] = 513,
		["location5"] = 0,
		["location2"] = 511,
		["location3"] = 512,
		["location1"] = 0,
		["awards"] = "1|2|1120",
		["gemDropPro"] = 0.200000,
		["name"] = "吕布",
		["level"] = 68,
		["tollgateId"] = 103,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "gongsunzan",
	},
	["10104"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10104,
		["iconId"] = 18,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 1143370,
		["star"] = 2,
		["location8"] = 519,
		["location9"] = 520,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 518,
		["location5"] = 0,
		["location2"] = 516,
		["location3"] = 517,
		["location1"] = 0,
		["awards"] = "1|2|1130",
		["gemDropPro"] = 0.200000,
		["name"] = "曹洪",
		["level"] = 68,
		["tollgateId"] = 104,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "gongsunzan",
	},
	["10105"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10105,
		["iconId"] = 11,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 1730112,
		["star"] = 3,
		["location8"] = 524,
		["location9"] = 525,
		["location6"] = 0,
		["location7"] = 523,
		["location4"] = 522,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 521,
		["awards"] = "1|2|1140",
		["gemDropPro"] = 0.200000,
		["name"] = "张角",
		["level"] = 68,
		["tollgateId"] = 105,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "gongsunzan",
	},
	["10106"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10106,
		["iconId"] = 25,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 637568,
		["star"] = 1,
		["location8"] = 529,
		["location9"] = 530,
		["location6"] = 0,
		["location7"] = 528,
		["location4"] = 0,
		["location5"] = 527,
		["location2"] = 526,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1150",
		["gemDropPro"] = 0.200000,
		["name"] = "张辽",
		["level"] = 68,
		["tollgateId"] = 106,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caiwenji",
	},
	["10107"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10107,
		["iconId"] = 28,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 1223172,
		["star"] = 2,
		["location8"] = 535,
		["location9"] = 0,
		["location6"] = 534,
		["location7"] = 0,
		["location4"] = 532,
		["location5"] = 533,
		["location2"] = 531,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1160",
		["gemDropPro"] = 0.200000,
		["name"] = "王允",
		["level"] = 68,
		["tollgateId"] = 107,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caiwenji",
	},
	["10108"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10108,
		["iconId"] = 20,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 1848750,
		["star"] = 3,
		["location8"] = 540,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 539,
		["location2"] = 537,
		["location3"] = 538,
		["location1"] = 536,
		["awards"] = "1|2|1170",
		["gemDropPro"] = 0.200000,
		["name"] = "貂蝉",
		["level"] = 69,
		["tollgateId"] = 108,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caiwenji",
	},
	["10109"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10109,
		["iconId"] = 9,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 682147,
		["star"] = 1,
		["location8"] = 544,
		["location9"] = 545,
		["location6"] = 0,
		["location7"] = 543,
		["location4"] = 0,
		["location5"] = 542,
		["location2"] = 541,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1180",
		["gemDropPro"] = 0.200000,
		["name"] = "关羽",
		["level"] = 69,
		["tollgateId"] = 109,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "dongzhuo",
	},
	["10110"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10110,
		["iconId"] = 18,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 1306216,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 550,
		["location6"] = 548,
		["location7"] = 549,
		["location4"] = 547,
		["location5"] = 0,
		["location2"] = 546,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1190",
		["gemDropPro"] = 0.200000,
		["name"] = "曹洪",
		["level"] = 69,
		["tollgateId"] = 110,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "dongzhuo",
	},
	["10111"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10111,
		["iconId"] = 11,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 1972230,
		["star"] = 3,
		["location8"] = 554,
		["location9"] = 555,
		["location6"] = 0,
		["location7"] = 553,
		["location4"] = 0,
		["location5"] = 552,
		["location2"] = 551,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1200",
		["gemDropPro"] = 0.200000,
		["name"] = "张角",
		["level"] = 70,
		["tollgateId"] = 111,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "dongzhuo",
	},
	["10112"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10112,
		["iconId"] = 16,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 728365,
		["star"] = 1,
		["location8"] = 559,
		["location9"] = 560,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 558,
		["location5"] = 0,
		["location2"] = 556,
		["location3"] = 557,
		["location1"] = 0,
		["awards"] = "1|2|1210",
		["gemDropPro"] = 0.200000,
		["name"] = "曹操",
		["level"] = 70,
		["tollgateId"] = 112,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "zhangjiao",
	},
	["10113"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10113,
		["iconId"] = 28,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 1392436,
		["star"] = 2,
		["location8"] = 564,
		["location9"] = 565,
		["location6"] = 0,
		["location7"] = 563,
		["location4"] = 0,
		["location5"] = 562,
		["location2"] = 561,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1220",
		["gemDropPro"] = 0.200000,
		["name"] = "王允",
		["level"] = 70,
		["tollgateId"] = 113,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "zhangjiao",
	},
	["10114"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10114,
		["iconId"] = 20,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 2100454,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 570,
		["location6"] = 569,
		["location7"] = 0,
		["location4"] = 567,
		["location5"] = 568,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 566,
		["awards"] = "1|2|1230",
		["gemDropPro"] = 0.200000,
		["name"] = "貂蝉",
		["level"] = 70,
		["tollgateId"] = 114,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "zhangjiao",
	},
	["10115"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10115,
		["iconId"] = 23,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 776324,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 575,
		["location6"] = 0,
		["location7"] = 574,
		["location4"] = 0,
		["location5"] = 573,
		["location2"] = 0,
		["location3"] = 572,
		["location1"] = 571,
		["awards"] = "1|2|1240",
		["gemDropPro"] = 0.200000,
		["name"] = "张飞",
		["level"] = 71,
		["tollgateId"] = 115,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "guanyu",
	},
	["10116"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10116,
		["iconId"] = 10,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 1482028,
		["star"] = 2,
		["location8"] = 579,
		["location9"] = 580,
		["location6"] = 0,
		["location7"] = 578,
		["location4"] = 0,
		["location5"] = 577,
		["location2"] = 576,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1250",
		["gemDropPro"] = 0.200000,
		["name"] = "董卓",
		["level"] = 71,
		["tollgateId"] = 116,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "guanyu",
	},
	["10117"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10117,
		["iconId"] = 7,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 2233719,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 585,
		["location6"] = 0,
		["location7"] = 584,
		["location4"] = 0,
		["location5"] = 583,
		["location2"] = 0,
		["location3"] = 582,
		["location1"] = 581,
		["awards"] = "1|2|1260",
		["gemDropPro"] = 0.200000,
		["name"] = "韩馥",
		["level"] = 71,
		["tollgateId"] = 117,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "guanyu",
	},
	["10118"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10118,
		["iconId"] = 17,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 762648,
		["star"] = 1,
		["location8"] = 589,
		["location9"] = 590,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 588,
		["location5"] = 0,
		["location2"] = 586,
		["location3"] = 587,
		["location1"] = 0,
		["awards"] = "1|2|1270",
		["gemDropPro"] = 0.200000,
		["name"] = "刘备",
		["level"] = 71,
		["tollgateId"] = 118,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10119"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10119,
		["iconId"] = 27,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 1554676,
		["star"] = 2,
		["location8"] = 594,
		["location9"] = 595,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 593,
		["location5"] = 0,
		["location2"] = 591,
		["location3"] = 592,
		["location1"] = 0,
		["awards"] = "1|2|1280",
		["gemDropPro"] = 0.200000,
		["name"] = "李儒",
		["level"] = 71,
		["tollgateId"] = 119,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10120"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10120,
		["iconId"] = 26,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 2414857,
		["star"] = 3,
		["location8"] = 600,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 599,
		["location2"] = 597,
		["location3"] = 598,
		["location1"] = 596,
		["awards"] = "1|2|1290",
		["gemDropPro"] = 0.200000,
		["name"] = "张宝",
		["level"] = 71,
		["tollgateId"] = 120,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10121"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10121,
		["iconId"] = 33,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 817863,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 605,
		["location6"] = 603,
		["location7"] = 604,
		["location4"] = 602,
		["location5"] = 0,
		["location2"] = 601,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1300",
		["gemDropPro"] = 0.200000,
		["name"] = "赵云",
		["level"] = 71,
		["tollgateId"] = 121,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "sunjian",
	},
	["10122"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10122,
		["iconId"] = 1,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 1663350,
		["star"] = 2,
		["location8"] = 610,
		["location9"] = 0,
		["location6"] = 609,
		["location7"] = 0,
		["location4"] = 608,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 607,
		["location1"] = 606,
		["awards"] = "1|2|1310",
		["gemDropPro"] = 0.200000,
		["name"] = "潘凤",
		["level"] = 71,
		["tollgateId"] = 122,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "sunjian",
	},
	["10123"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10123,
		["iconId"] = 14,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 2580893,
		["star"] = 3,
		["location8"] = 615,
		["location9"] = 0,
		["location6"] = 614,
		["location7"] = 0,
		["location4"] = 612,
		["location5"] = 613,
		["location2"] = 611,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1320",
		["gemDropPro"] = 0.200000,
		["name"] = "郭嘉",
		["level"] = 71,
		["tollgateId"] = 123,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "sunjian",
	},
	["10124"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10124,
		["iconId"] = 13,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 871159,
		["star"] = 1,
		["location8"] = 619,
		["location9"] = 620,
		["location6"] = 0,
		["location7"] = 618,
		["location4"] = 0,
		["location5"] = 617,
		["location2"] = 616,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1330",
		["gemDropPro"] = 0.200000,
		["name"] = "袁绍",
		["level"] = 71,
		["tollgateId"] = 124,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "dongzhuo",
	},
	["10125"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10125,
		["iconId"] = 29,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 1765314,
		["star"] = 2,
		["location8"] = 624,
		["location9"] = 625,
		["location6"] = 0,
		["location7"] = 623,
		["location4"] = 622,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 621,
		["awards"] = "1|2|1340",
		["gemDropPro"] = 0.200000,
		["name"] = "张昭",
		["level"] = 72,
		["tollgateId"] = 125,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "dongzhuo",
	},
	["10126"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10126,
		["iconId"] = 12,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 2734503,
		["star"] = 3,
		["location8"] = 629,
		["location9"] = 630,
		["location6"] = 0,
		["location7"] = 628,
		["location4"] = 627,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 626,
		["awards"] = "1|2|1350",
		["gemDropPro"] = 0.200000,
		["name"] = "蔡文姬",
		["level"] = 72,
		["tollgateId"] = 126,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "dongzhuo",
	},
	["10127"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10127,
		["iconId"] = 22,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 926264,
		["star"] = 1,
		["location8"] = 635,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 634,
		["location2"] = 632,
		["location3"] = 633,
		["location1"] = 631,
		["awards"] = "1|2|1360",
		["gemDropPro"] = 0.200000,
		["name"] = "吕布",
		["level"] = 72,
		["tollgateId"] = 127,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "liubei",
	},
	["10128"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10128,
		["iconId"] = 18,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 1870819,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 640,
		["location6"] = 639,
		["location7"] = 0,
		["location4"] = 637,
		["location5"] = 638,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 636,
		["awards"] = "1|2|1370",
		["gemDropPro"] = 0.200000,
		["name"] = "曹洪",
		["level"] = 73,
		["tollgateId"] = 128,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "liubei",
	},
	["10129"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10129,
		["iconId"] = 11,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 2893428,
		["star"] = 3,
		["location8"] = 645,
		["location9"] = 0,
		["location6"] = 644,
		["location7"] = 0,
		["location4"] = 642,
		["location5"] = 643,
		["location2"] = 641,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1380",
		["gemDropPro"] = 0.200000,
		["name"] = "张角",
		["level"] = 73,
		["tollgateId"] = 129,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "liubei",
	},
	["10130"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10130,
		["iconId"] = 11,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 983196,
		["star"] = 1,
		["location8"] = 649,
		["location9"] = 650,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 648,
		["location5"] = 0,
		["location2"] = 646,
		["location3"] = 647,
		["location1"] = 0,
		["awards"] = "1|2|1390",
		["gemDropPro"] = 0.200000,
		["name"] = "张辽",
		["level"] = 73,
		["tollgateId"] = 130,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "panfeng",
	},
	["10131"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10131,
		["iconId"] = 28,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 1979910,
		["star"] = 2,
		["location8"] = 654,
		["location9"] = 655,
		["location6"] = 0,
		["location7"] = 653,
		["location4"] = 0,
		["location5"] = 652,
		["location2"] = 651,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1400",
		["gemDropPro"] = 0.200000,
		["name"] = "王允",
		["level"] = 73,
		["tollgateId"] = 131,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "panfeng",
	},
	["10132"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10132,
		["iconId"] = 20,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 3057733,
		["star"] = 3,
		["location8"] = 659,
		["location9"] = 660,
		["location6"] = 0,
		["location7"] = 658,
		["location4"] = 0,
		["location5"] = 657,
		["location2"] = 656,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1410",
		["gemDropPro"] = 0.200000,
		["name"] = "貂蝉",
		["level"] = 73,
		["tollgateId"] = 132,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "panfeng",
	},
	["10133"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10133,
		["iconId"] = 9,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 1042457,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 0,
		["location6"] = 664,
		["location7"] = 665,
		["location4"] = 663,
		["location5"] = 0,
		["location2"] = 661,
		["location3"] = 662,
		["location1"] = 0,
		["awards"] = "1|2|1420",
		["gemDropPro"] = 0.200000,
		["name"] = "关羽",
		["level"] = 73,
		["tollgateId"] = 133,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "huaxiong",
	},
	["10134"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10134,
		["iconId"] = 18,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 2093585,
		["star"] = 2,
		["location8"] = 669,
		["location9"] = 670,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 668,
		["location5"] = 0,
		["location2"] = 666,
		["location3"] = 667,
		["location1"] = 0,
		["awards"] = "1|2|1430",
		["gemDropPro"] = 0.200000,
		["name"] = "曹洪",
		["level"] = 73,
		["tollgateId"] = 134,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "huaxiong",
	},
	["10135"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10135,
		["iconId"] = 11,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 3228943,
		["star"] = 3,
		["location8"] = 674,
		["location9"] = 675,
		["location6"] = 0,
		["location7"] = 673,
		["location4"] = 672,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 671,
		["awards"] = "1|2|1440",
		["gemDropPro"] = 0.200000,
		["name"] = "张角",
		["level"] = 74,
		["tollgateId"] = 135,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "huaxiong",
	},
	["10136"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10136,
		["iconId"] = 16,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 1103173,
		["star"] = 1,
		["location8"] = 679,
		["location9"] = 680,
		["location6"] = 0,
		["location7"] = 678,
		["location4"] = 0,
		["location5"] = 677,
		["location2"] = 676,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1450",
		["gemDropPro"] = 0.200000,
		["name"] = "曹操",
		["level"] = 75,
		["tollgateId"] = 136,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "hanfu",
	},
	["10137"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10137,
		["iconId"] = 28,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 2210092,
		["star"] = 2,
		["location8"] = 685,
		["location9"] = 0,
		["location6"] = 684,
		["location7"] = 0,
		["location4"] = 682,
		["location5"] = 683,
		["location2"] = 681,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1460",
		["gemDropPro"] = 0.200000,
		["name"] = "王允",
		["level"] = 75,
		["tollgateId"] = 137,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "hanfu",
	},
	["10138"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10138,
		["iconId"] = 20,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 3404365,
		["star"] = 3,
		["location8"] = 690,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 689,
		["location2"] = 687,
		["location3"] = 688,
		["location1"] = 686,
		["awards"] = "1|2|1470",
		["gemDropPro"] = 0.200000,
		["name"] = "貂蝉",
		["level"] = 75,
		["tollgateId"] = 138,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "hanfu",
	},
	["10139"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10139,
		["iconId"] = 23,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 1165843,
		["star"] = 1,
		["location8"] = 694,
		["location9"] = 695,
		["location6"] = 0,
		["location7"] = 693,
		["location4"] = 0,
		["location5"] = 692,
		["location2"] = 691,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1480",
		["gemDropPro"] = 0.200000,
		["name"] = "张飞",
		["level"] = 75,
		["tollgateId"] = 139,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "dongzhuo",
	},
	["10140"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10140,
		["iconId"] = 10,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 2330428,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 700,
		["location6"] = 698,
		["location7"] = 699,
		["location4"] = 697,
		["location5"] = 0,
		["location2"] = 696,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1490",
		["gemDropPro"] = 0.200000,
		["name"] = "董卓",
		["level"] = 76,
		["tollgateId"] = 140,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "dongzhuo",
	},
	["10141"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10141,
		["iconId"] = 7,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 3585533,
		["star"] = 3,
		["location8"] = 704,
		["location9"] = 705,
		["location6"] = 0,
		["location7"] = 703,
		["location4"] = 0,
		["location5"] = 702,
		["location2"] = 701,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1500",
		["gemDropPro"] = 0.200000,
		["name"] = "韩馥",
		["level"] = 76,
		["tollgateId"] = 141,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "dongzhuo",
	},
	["10142"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10142,
		["iconId"] = 17,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 1230451,
		["star"] = 1,
		["location8"] = 709,
		["location9"] = 710,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 708,
		["location5"] = 0,
		["location2"] = 706,
		["location3"] = 707,
		["location1"] = 0,
		["awards"] = "1|2|1510",
		["gemDropPro"] = 0.200000,
		["name"] = "刘备",
		["level"] = 76,
		["tollgateId"] = 142,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "zhangjiao",
	},
	["10143"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10143,
		["iconId"] = 27,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 2454573,
		["star"] = 2,
		["location8"] = 714,
		["location9"] = 715,
		["location6"] = 0,
		["location7"] = 713,
		["location4"] = 0,
		["location5"] = 712,
		["location2"] = 711,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1520",
		["gemDropPro"] = 0.200000,
		["name"] = "李儒",
		["level"] = 76,
		["tollgateId"] = 143,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "zhangjiao",
	},
	["10144"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10144,
		["iconId"] = 26,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 3772415,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 720,
		["location6"] = 719,
		["location7"] = 0,
		["location4"] = 717,
		["location5"] = 718,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 716,
		["awards"] = "1|2|1530",
		["gemDropPro"] = 0.200000,
		["name"] = "张宝",
		["level"] = 76,
		["tollgateId"] = 144,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "zhangjiao",
	},
	["10145"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10145,
		["iconId"] = 4,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 1297038,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 725,
		["location6"] = 0,
		["location7"] = 724,
		["location4"] = 0,
		["location5"] = 723,
		["location2"] = 0,
		["location3"] = 722,
		["location1"] = 721,
		["awards"] = "1|2|1540",
		["gemDropPro"] = 0.200000,
		["name"] = "公孙瓒",
		["level"] = 77,
		["tollgateId"] = 145,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "guanyu",
	},
	["10146"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10146,
		["iconId"] = 2,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 2582595,
		["star"] = 2,
		["location8"] = 729,
		["location9"] = 730,
		["location6"] = 0,
		["location7"] = 728,
		["location4"] = 0,
		["location5"] = 727,
		["location2"] = 726,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1550",
		["gemDropPro"] = 0.200000,
		["name"] = "潘凤",
		["level"] = 77,
		["tollgateId"] = 146,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "guanyu",
	},
	["10147"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10147,
		["iconId"] = 7,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 3965118,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 735,
		["location6"] = 0,
		["location7"] = 734,
		["location4"] = 0,
		["location5"] = 733,
		["location2"] = 0,
		["location3"] = 732,
		["location1"] = 731,
		["awards"] = "1|2|1560",
		["gemDropPro"] = 0.200000,
		["name"] = "韩馥",
		["level"] = 77,
		["tollgateId"] = 147,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "guanyu",
	},
	["10148"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10148,
		["iconId"] = 13,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 1371202,
		["star"] = 1,
		["location8"] = 739,
		["location9"] = 740,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 738,
		["location5"] = 0,
		["location2"] = 736,
		["location3"] = 737,
		["location1"] = 0,
		["awards"] = "1|2|1570",
		["gemDropPro"] = 0.200000,
		["name"] = "袁绍",
		["level"] = 77,
		["tollgateId"] = 148,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10149"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10149,
		["iconId"] = 27,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 2741063,
		["star"] = 2,
		["location8"] = 744,
		["location9"] = 745,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 743,
		["location5"] = 0,
		["location2"] = 741,
		["location3"] = 742,
		["location1"] = 0,
		["awards"] = "1|2|1580",
		["gemDropPro"] = 0.200000,
		["name"] = "李儒",
		["level"] = 77,
		["tollgateId"] = 149,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10150"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10150,
		["iconId"] = 26,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 4215656,
		["star"] = 3,
		["location8"] = 750,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 749,
		["location2"] = 747,
		["location3"] = 748,
		["location1"] = 746,
		["awards"] = "1|2|1590",
		["gemDropPro"] = 0.200000,
		["name"] = "张宝",
		["level"] = 78,
		["tollgateId"] = 150,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10151"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10151,
		["iconId"] = 108,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 3587746.900000,
		["star"] = 1,
		["location8"] = 754,
		["location9"] = 755,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 753,
		["location5"] = 0,
		["location2"] = 751,
		["location3"] = 752,
		["location1"] = 0,
		["awards"] = "1|2|1600",
		["gemDropPro"] = 0.200000,
		["name"] = "戏志才",
		["level"] = 80,
		["tollgateId"] = 151,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10152"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10152,
		["iconId"] = 109,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 3791953.600000,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 760,
		["location6"] = 0,
		["location7"] = 759,
		["location4"] = 0,
		["location5"] = 758,
		["location2"] = 0,
		["location3"] = 757,
		["location1"] = 756,
		["awards"] = "1|2|1610",
		["gemDropPro"] = 0.200000,
		["name"] = "徐晃",
		["level"] = 81,
		["tollgateId"] = 152,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10153"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10153,
		["iconId"] = 110,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 3996160.300000,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 765,
		["location6"] = 763,
		["location7"] = 764,
		["location4"] = 762,
		["location5"] = 0,
		["location2"] = 761,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1620",
		["gemDropPro"] = 0.200000,
		["name"] = "杨修",
		["level"] = 82,
		["tollgateId"] = 153,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10154"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10154,
		["iconId"] = 65,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 4200367,
		["star"] = 1,
		["location8"] = 769,
		["location9"] = 770,
		["location6"] = 0,
		["location7"] = 768,
		["location4"] = 767,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 766,
		["awards"] = "1|2|1630",
		["gemDropPro"] = 0.200000,
		["name"] = "张郃",
		["level"] = 83,
		["tollgateId"] = 154,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10155"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10155,
		["iconId"] = 113,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 4404573.700000,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 775,
		["location6"] = 773,
		["location7"] = 774,
		["location4"] = 772,
		["location5"] = 0,
		["location2"] = 771,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1640",
		["gemDropPro"] = 0.200000,
		["name"] = "张辽",
		["level"] = 83,
		["tollgateId"] = 155,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10156"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10156,
		["iconId"] = 100,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 4608780.400000,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 0,
		["location6"] = 779,
		["location7"] = 780,
		["location4"] = 778,
		["location5"] = 0,
		["location2"] = 776,
		["location3"] = 777,
		["location1"] = 0,
		["awards"] = "1|2|1650",
		["gemDropPro"] = 0.200000,
		["name"] = "乐进",
		["level"] = 83,
		["tollgateId"] = 156,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10157"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10157,
		["iconId"] = 115,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 4812987.100000,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 785,
		["location6"] = 783,
		["location7"] = 784,
		["location4"] = 782,
		["location5"] = 0,
		["location2"] = 781,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1660",
		["gemDropPro"] = 0.200000,
		["name"] = "高顺",
		["level"] = 84,
		["tollgateId"] = 157,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10158"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10158,
		["iconId"] = 116,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 5017193.800000,
		["star"] = 2,
		["location8"] = 790,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 789,
		["location2"] = 787,
		["location3"] = 788,
		["location1"] = 786,
		["awards"] = "1|2|1670",
		["gemDropPro"] = 0.200000,
		["name"] = "华佗",
		["level"] = 84,
		["tollgateId"] = 158,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10159"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10159,
		["iconId"] = 117,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 5221400.500000,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 795,
		["location6"] = 794,
		["location7"] = 0,
		["location4"] = 792,
		["location5"] = 793,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 791,
		["awards"] = "1|2|1680",
		["gemDropPro"] = 0.200000,
		["name"] = "蔡瑁",
		["level"] = 85,
		["tollgateId"] = 159,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10160"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10160,
		["iconId"] = 118,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 5425607.200000,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 800,
		["location6"] = 799,
		["location7"] = 0,
		["location4"] = 797,
		["location5"] = 798,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 796,
		["awards"] = "1|2|1690",
		["gemDropPro"] = 0.200000,
		["name"] = "法正",
		["level"] = 85,
		["tollgateId"] = 160,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10161"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10161,
		["iconId"] = 119,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 5629813.900000,
		["star"] = 2,
		["location8"] = 804,
		["location9"] = 805,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 803,
		["location5"] = 0,
		["location2"] = 801,
		["location3"] = 802,
		["location1"] = 0,
		["awards"] = "1|2|1700",
		["gemDropPro"] = 0.200000,
		["name"] = "凌统",
		["level"] = 86,
		["tollgateId"] = 161,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10162"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10162,
		["iconId"] = 120,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 5834020.600000,
		["star"] = 3,
		["location8"] = 810,
		["location9"] = 0,
		["location6"] = 809,
		["location7"] = 0,
		["location4"] = 808,
		["location5"] = 0,
		["location2"] = 0,
		["location3"] = 807,
		["location1"] = 806,
		["awards"] = "1|2|1710",
		["gemDropPro"] = 0.200000,
		["name"] = "审配",
		["level"] = 86,
		["tollgateId"] = 162,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10163"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10163,
		["iconId"] = 121,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 6038227.300000,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 815,
		["location6"] = 814,
		["location7"] = 0,
		["location4"] = 812,
		["location5"] = 813,
		["location2"] = 0,
		["location3"] = 0,
		["location1"] = 811,
		["awards"] = "1|2|1720",
		["gemDropPro"] = 0.200000,
		["name"] = "司马懿",
		["level"] = 87,
		["tollgateId"] = 163,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10164"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10164,
		["iconId"] = 122,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|12|1",
		["score"] = 6242434,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 0,
		["location6"] = 819,
		["location7"] = 820,
		["location4"] = 818,
		["location5"] = 0,
		["location2"] = 816,
		["location3"] = 817,
		["location1"] = 0,
		["awards"] = "1|2|1730",
		["gemDropPro"] = 0.200000,
		["name"] = "于禁",
		["level"] = 88,
		["tollgateId"] = 164,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10165"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10165,
		["iconId"] = 123,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 6446640.700000,
		["star"] = 3,
		["location8"] = 0,
		["location9"] = 825,
		["location6"] = 823,
		["location7"] = 824,
		["location4"] = 822,
		["location5"] = 0,
		["location2"] = 821,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1740",
		["gemDropPro"] = 0.200000,
		["name"] = "孙尚香",
		["level"] = 89,
		["tollgateId"] = 165,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10166"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10166,
		["iconId"] = 124,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|2|1",
		["score"] = 6650847.400000,
		["star"] = 1,
		["location8"] = 830,
		["location9"] = 0,
		["location6"] = 829,
		["location7"] = 0,
		["location4"] = 827,
		["location5"] = 828,
		["location2"] = 826,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1750",
		["gemDropPro"] = 0.200000,
		["name"] = "刘表",
		["level"] = 89,
		["tollgateId"] = 166,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10167"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10167,
		["iconId"] = 91,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 6855054.100000,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 0,
		["location6"] = 834,
		["location7"] = 835,
		["location4"] = 833,
		["location5"] = 0,
		["location2"] = 831,
		["location3"] = 832,
		["location1"] = 0,
		["awards"] = "1|2|1760",
		["gemDropPro"] = 0.200000,
		["name"] = "鲁肃",
		["level"] = 90,
		["tollgateId"] = 167,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10168"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10168,
		["iconId"] = 92,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 7059260.800000,
		["star"] = 3,
		["location8"] = 840,
		["location9"] = 0,
		["location6"] = 0,
		["location7"] = 0,
		["location4"] = 0,
		["location5"] = 839,
		["location2"] = 837,
		["location3"] = 838,
		["location1"] = 836,
		["awards"] = "1|2|1770",
		["gemDropPro"] = 0.200000,
		["name"] = "孙权",
		["level"] = 91,
		["tollgateId"] = 168,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10169"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10169,
		["iconId"] = 93,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|32|1",
		["score"] = 7263467.500000,
		["star"] = 1,
		["location8"] = 0,
		["location9"] = 845,
		["location6"] = 843,
		["location7"] = 844,
		["location4"] = 842,
		["location5"] = 0,
		["location2"] = 841,
		["location3"] = 0,
		["location1"] = 0,
		["awards"] = "1|2|1780",
		["gemDropPro"] = 0.200000,
		["name"] = "甘宁",
		["level"] = 91,
		["tollgateId"] = 169,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
	["10170"] = {
		["weight"] = "10|20|40|130",
		["crit"] = "2|1.5|1.25|1",
		["id"] = 10170,
		["iconId"] = 94,
		["gemRewardUi"] = 102,
		["firstReward"] = "12|22|1",
		["score"] = 7467674.200000,
		["star"] = 2,
		["location8"] = 0,
		["location9"] = 850,
		["location6"] = 0,
		["location7"] = 849,
		["location4"] = 0,
		["location5"] = 848,
		["location2"] = 0,
		["location3"] = 847,
		["location1"] = 846,
		["awards"] = "1|2|1790",
		["gemDropPro"] = 0.200000,
		["name"] = "陆逊",
		["level"] = 92,
		["tollgateId"] = 170,
		["gemReward"] = "12|2|1|20,12|12|1|20,12|22|1|20,12|32|1|20",
		["model"] = "caocao",
	},
}
return arenaTower_npcGroup