-- 宝石表.xls
-- {
-- 	id = 主键ID
-- 	name = 宝石名称
-- 	icon = 宝石图片
-- 	level = 宝石等级
-- 	color = 颜色
-- 	quality = 边框
-- 	effectId = 属性类型
-- 	effectTarget = 属性作用对象
-- 	effectLayer = 属性作用层级
-- 	value = 属性值
-- 	price = 售价
-- 	nextGem = 下级宝石ID
-- 	desc = 按住描述
-- }
local gem = {
	["1"] = {
		["name"] = "1级攻击勾玉",
		["level"] = 1,
		["color"] = 2,
		["price"] = 100,
		["value"] = 60,
		["nextGem"] = 2,
		["effectTarget"] = 2,
		["effectId"] = 30,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上,攻击+60",
		["quality"] = 2,
		["id"] = 1,
		["icon"] = "gem_red_1",
	},
	["2"] = {
		["name"] = "2级攻击勾玉",
		["level"] = 2,
		["color"] = 3,
		["price"] = 200,
		["value"] = 120,
		["nextGem"] = 3,
		["effectTarget"] = 2,
		["effectId"] = 30,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上,攻击+120",
		["quality"] = 3,
		["id"] = 2,
		["icon"] = "gem_red_2",
	},
	["3"] = {
		["name"] = "3级攻击勾玉",
		["level"] = 3,
		["color"] = 3,
		["price"] = 300,
		["value"] = 300,
		["nextGem"] = 4,
		["effectTarget"] = 2,
		["effectId"] = 30,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上,攻击+300",
		["quality"] = 4,
		["id"] = 3,
		["icon"] = "gem_red_3",
	},
	["4"] = {
		["name"] = "4级攻击勾玉",
		["level"] = 4,
		["color"] = 4,
		["price"] = 400,
		["value"] = 660,
		["nextGem"] = 5,
		["effectTarget"] = 2,
		["effectId"] = 30,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上,攻击+660",
		["quality"] = 5,
		["id"] = 4,
		["icon"] = "gem_red_4",
	},
	["5"] = {
		["name"] = "5级攻击勾玉",
		["level"] = 5,
		["color"] = 4,
		["price"] = 500,
		["value"] = 1056,
		["nextGem"] = 6,
		["effectTarget"] = 2,
		["effectId"] = 30,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上,攻击+1056",
		["quality"] = 6,
		["id"] = 5,
		["icon"] = "gem_red_5",
	},
	["6"] = {
		["name"] = "6级攻击勾玉",
		["level"] = 6,
		["color"] = 4,
		["price"] = 600,
		["value"] = 1689,
		["nextGem"] = 7,
		["effectTarget"] = 2,
		["effectId"] = 30,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上,攻击+1689",
		["quality"] = 6,
		["id"] = 6,
		["icon"] = "gem_red_6",
	},
	["7"] = {
		["name"] = "7级攻击勾玉",
		["level"] = 7,
		["color"] = 4,
		["price"] = 700,
		["value"] = 2618,
		["nextGem"] = 8,
		["effectTarget"] = 2,
		["effectId"] = 30,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上,攻击+2618",
		["quality"] = 7,
		["id"] = 7,
		["icon"] = "gem_red_7",
	},
	["8"] = {
		["name"] = "8级攻击勾玉",
		["level"] = 8,
		["color"] = 4,
		["price"] = 800,
		["value"] = 4059,
		["nextGem"] = 9,
		["effectTarget"] = 2,
		["effectId"] = 30,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上,攻击+4059",
		["quality"] = 7,
		["id"] = 8,
		["icon"] = "gem_red_8",
	},
	["9"] = {
		["name"] = "9级攻击勾玉",
		["level"] = 9,
		["color"] = 5,
		["price"] = 900,
		["value"] = 6291,
		["nextGem"] = 10,
		["effectTarget"] = 2,
		["effectId"] = 30,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上,攻击+6291",
		["quality"] = 8,
		["id"] = 9,
		["icon"] = "gem_red_9",
	},
	["10"] = {
		["name"] = "10级攻击勾玉",
		["level"] = 10,
		["color"] = 5,
		["price"] = 1000,
		["value"] = 9752,
		["nextGem"] = "",
		["effectTarget"] = 2,
		["effectId"] = 30,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上,攻击+9752",
		["quality"] = 9,
		["id"] = 10,
		["icon"] = "gem_red_10",
	},
	["11"] = {
		["name"] = "1级物防勾玉",
		["level"] = 1,
		["color"] = 2,
		["price"] = 100,
		["value"] = 30,
		["nextGem"] = 12,
		["effectTarget"] = 2,
		["effectId"] = 8,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，物防+30",
		["quality"] = 2,
		["id"] = 11,
		["icon"] = "gem_yellow_1",
	},
	["12"] = {
		["name"] = "2级物防勾玉",
		["level"] = 2,
		["color"] = 3,
		["price"] = 200,
		["value"] = 60,
		["nextGem"] = 13,
		["effectTarget"] = 2,
		["effectId"] = 8,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，物防+60",
		["quality"] = 3,
		["id"] = 12,
		["icon"] = "gem_yellow_2",
	},
	["13"] = {
		["name"] = "3级物防勾玉",
		["level"] = 3,
		["color"] = 3,
		["price"] = 300,
		["value"] = 150,
		["nextGem"] = 14,
		["effectTarget"] = 2,
		["effectId"] = 8,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，物防+150",
		["quality"] = 4,
		["id"] = 13,
		["icon"] = "gem_yellow_3",
	},
	["14"] = {
		["name"] = "4级物防勾玉",
		["level"] = 4,
		["color"] = 4,
		["price"] = 400,
		["value"] = 336,
		["nextGem"] = 15,
		["effectTarget"] = 2,
		["effectId"] = 8,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，物防+336",
		["quality"] = 5,
		["id"] = 14,
		["icon"] = "gem_yellow_4",
	},
	["15"] = {
		["name"] = "5级物防勾玉",
		["level"] = 5,
		["color"] = 4,
		["price"] = 500,
		["value"] = 530,
		["nextGem"] = 16,
		["effectTarget"] = 2,
		["effectId"] = 8,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，物防+530",
		["quality"] = 6,
		["id"] = 15,
		["icon"] = "gem_yellow_5",
	},
	["16"] = {
		["name"] = "6级物防勾玉",
		["level"] = 6,
		["color"] = 4,
		["price"] = 600,
		["value"] = 840,
		["nextGem"] = 17,
		["effectTarget"] = 2,
		["effectId"] = 8,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，物防+840",
		["quality"] = 6,
		["id"] = 16,
		["icon"] = "gem_yellow_6",
	},
	["17"] = {
		["name"] = "7级物防勾玉",
		["level"] = 7,
		["color"] = 4,
		["price"] = 700,
		["value"] = 1310,
		["nextGem"] = 18,
		["effectTarget"] = 2,
		["effectId"] = 8,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，物防+1310",
		["quality"] = 7,
		["id"] = 17,
		["icon"] = "gem_yellow_7",
	},
	["18"] = {
		["name"] = "8级物防勾玉",
		["level"] = 8,
		["color"] = 4,
		["price"] = 800,
		["value"] = 2030,
		["nextGem"] = 19,
		["effectTarget"] = 2,
		["effectId"] = 8,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，物防+2030",
		["quality"] = 7,
		["id"] = 18,
		["icon"] = "gem_yellow_8",
	},
	["19"] = {
		["name"] = "9级物防勾玉",
		["level"] = 9,
		["color"] = 5,
		["price"] = 900,
		["value"] = 3150,
		["nextGem"] = 20,
		["effectTarget"] = 2,
		["effectId"] = 8,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，物防+3150",
		["quality"] = 8,
		["id"] = 19,
		["icon"] = "gem_yellow_9",
	},
	["20"] = {
		["name"] = "10级物防勾玉",
		["level"] = 10,
		["color"] = 5,
		["price"] = 1000,
		["value"] = 4880,
		["nextGem"] = "",
		["effectTarget"] = 2,
		["effectId"] = 8,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，物防+4880",
		["quality"] = 9,
		["id"] = 20,
		["icon"] = "gem_yellow_10",
	},
	["21"] = {
		["name"] = "1级策防勾玉",
		["level"] = 1,
		["color"] = 2,
		["price"] = 100,
		["value"] = 30,
		["nextGem"] = 22,
		["effectTarget"] = 2,
		["effectId"] = 12,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，策防+30",
		["quality"] = 2,
		["id"] = 21,
		["icon"] = "gem_blue_1",
	},
	["22"] = {
		["name"] = "2级策防勾玉",
		["level"] = 2,
		["color"] = 3,
		["price"] = 200,
		["value"] = 60,
		["nextGem"] = 23,
		["effectTarget"] = 2,
		["effectId"] = 12,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，策防+60",
		["quality"] = 3,
		["id"] = 22,
		["icon"] = "gem_blue_2",
	},
	["23"] = {
		["name"] = "3级策防勾玉",
		["level"] = 3,
		["color"] = 3,
		["price"] = 300,
		["value"] = 150,
		["nextGem"] = 24,
		["effectTarget"] = 2,
		["effectId"] = 12,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，策防+150",
		["quality"] = 4,
		["id"] = 23,
		["icon"] = "gem_blue_3",
	},
	["24"] = {
		["name"] = "4级策防勾玉",
		["level"] = 4,
		["color"] = 4,
		["price"] = 400,
		["value"] = 336,
		["nextGem"] = 25,
		["effectTarget"] = 2,
		["effectId"] = 12,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，策防+336",
		["quality"] = 5,
		["id"] = 24,
		["icon"] = "gem_blue_4",
	},
	["25"] = {
		["name"] = "5级策防勾玉",
		["level"] = 5,
		["color"] = 4,
		["price"] = 500,
		["value"] = 530,
		["nextGem"] = 26,
		["effectTarget"] = 2,
		["effectId"] = 12,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，策防+530",
		["quality"] = 6,
		["id"] = 25,
		["icon"] = "gem_blue_5",
	},
	["26"] = {
		["name"] = "6级策防勾玉",
		["level"] = 6,
		["color"] = 4,
		["price"] = 600,
		["value"] = 840,
		["nextGem"] = 27,
		["effectTarget"] = 2,
		["effectId"] = 12,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，策防+840",
		["quality"] = 6,
		["id"] = 26,
		["icon"] = "gem_blue_6",
	},
	["27"] = {
		["name"] = "7级策防勾玉",
		["level"] = 7,
		["color"] = 4,
		["price"] = 700,
		["value"] = 1310,
		["nextGem"] = 28,
		["effectTarget"] = 2,
		["effectId"] = 12,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，策防+1310",
		["quality"] = 7,
		["id"] = 27,
		["icon"] = "gem_blue_7",
	},
	["28"] = {
		["name"] = "8级策防勾玉",
		["level"] = 8,
		["color"] = 4,
		["price"] = 800,
		["value"] = 2030,
		["nextGem"] = 29,
		["effectTarget"] = 2,
		["effectId"] = 12,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，策防+2030",
		["quality"] = 7,
		["id"] = 28,
		["icon"] = "gem_blue_8",
	},
	["29"] = {
		["name"] = "9级策防勾玉",
		["level"] = 9,
		["color"] = 5,
		["price"] = 900,
		["value"] = 3150,
		["nextGem"] = 30,
		["effectTarget"] = 2,
		["effectId"] = 12,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，策防+3150",
		["quality"] = 8,
		["id"] = 29,
		["icon"] = "gem_blue_9",
	},
	["30"] = {
		["name"] = "10级策防勾玉",
		["level"] = 10,
		["color"] = 5,
		["price"] = 1000,
		["value"] = 4880,
		["nextGem"] = "",
		["effectTarget"] = 2,
		["effectId"] = 12,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，策防+4880",
		["quality"] = 9,
		["id"] = 30,
		["icon"] = "gem_blue_10",
	},
	["31"] = {
		["name"] = "1级生命勾玉",
		["level"] = 1,
		["color"] = 2,
		["price"] = 100,
		["value"] = 300,
		["nextGem"] = 32,
		["effectTarget"] = 2,
		["effectId"] = 4,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，生命+300",
		["quality"] = 2,
		["id"] = 31,
		["icon"] = "gem_green_1",
	},
	["32"] = {
		["name"] = "2级生命勾玉",
		["level"] = 2,
		["color"] = 3,
		["price"] = 200,
		["value"] = 600,
		["nextGem"] = 33,
		["effectTarget"] = 2,
		["effectId"] = 4,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，生命+600",
		["quality"] = 3,
		["id"] = 32,
		["icon"] = "gem_green_2",
	},
	["33"] = {
		["name"] = "3级生命勾玉",
		["level"] = 3,
		["color"] = 3,
		["price"] = 300,
		["value"] = 1500,
		["nextGem"] = 34,
		["effectTarget"] = 2,
		["effectId"] = 4,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，生命+1500",
		["quality"] = 4,
		["id"] = 33,
		["icon"] = "gem_green_3",
	},
	["34"] = {
		["name"] = "4级生命勾玉",
		["level"] = 4,
		["color"] = 4,
		["price"] = 400,
		["value"] = 3300,
		["nextGem"] = 35,
		["effectTarget"] = 2,
		["effectId"] = 4,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，生命+3300",
		["quality"] = 5,
		["id"] = 34,
		["icon"] = "gem_green_4",
	},
	["35"] = {
		["name"] = "5级生命勾玉",
		["level"] = 5,
		["color"] = 4,
		["price"] = 500,
		["value"] = 5280,
		["nextGem"] = 36,
		["effectTarget"] = 2,
		["effectId"] = 4,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，生命+5280",
		["quality"] = 6,
		["id"] = 35,
		["icon"] = "gem_green_5",
	},
	["36"] = {
		["name"] = "6级生命勾玉",
		["level"] = 6,
		["color"] = 4,
		["price"] = 600,
		["value"] = 8440,
		["nextGem"] = 37,
		["effectTarget"] = 2,
		["effectId"] = 4,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，生命+8440",
		["quality"] = 6,
		["id"] = 36,
		["icon"] = "gem_green_6",
	},
	["37"] = {
		["name"] = "7级生命勾玉",
		["level"] = 7,
		["color"] = 4,
		["price"] = 700,
		["value"] = 13090,
		["nextGem"] = 38,
		["effectTarget"] = 2,
		["effectId"] = 4,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，生命+13090",
		["quality"] = 7,
		["id"] = 37,
		["icon"] = "gem_green_7",
	},
	["38"] = {
		["name"] = "8级生命勾玉",
		["level"] = 8,
		["color"] = 4,
		["price"] = 800,
		["value"] = 20290,
		["nextGem"] = 39,
		["effectTarget"] = 2,
		["effectId"] = 4,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，生命+20290",
		["quality"] = 7,
		["id"] = 38,
		["icon"] = "gem_green_8",
	},
	["39"] = {
		["name"] = "9级生命勾玉",
		["level"] = 9,
		["color"] = 5,
		["price"] = 900,
		["value"] = 31450,
		["nextGem"] = 40,
		["effectTarget"] = 2,
		["effectId"] = 4,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，生命+31450",
		["quality"] = 8,
		["id"] = 39,
		["icon"] = "gem_green_9",
	},
	["40"] = {
		["name"] = "10级生命勾玉",
		["level"] = 10,
		["color"] = 5,
		["price"] = 1000,
		["value"] = 48760,
		["nextGem"] = "",
		["effectTarget"] = 2,
		["effectId"] = 4,
		["effectLayer"] = 3,
		["desc"] = "镶嵌在兵器和装备上，生命+48760",
		["quality"] = 9,
		["id"] = 40,
		["icon"] = "gem_green_10",
	},
	["101"] = {
		["name"] = "随机1级勾玉",
		["level"] = 1,
		["color"] = 2,
		["price"] = 0,
		["value"] = 0,
		["nextGem"] = 102,
		["effectTarget"] = 0,
		["effectId"] = 0,
		["effectLayer"] = 0,
		["desc"] = "获取随机1级勾玉",
		["quality"] = 2,
		["id"] = 101,
		["icon"] = "gem_gray_1",
	},
	["102"] = {
		["name"] = "随机2级勾玉",
		["level"] = 2,
		["color"] = 3,
		["price"] = 0,
		["value"] = 0,
		["nextGem"] = 103,
		["effectTarget"] = 0,
		["effectId"] = 0,
		["effectLayer"] = 0,
		["desc"] = "获取随机2级勾玉",
		["quality"] = 3,
		["id"] = 102,
		["icon"] = "gem_gray_2",
	},
	["103"] = {
		["name"] = "随机3级勾玉",
		["level"] = 3,
		["color"] = 3,
		["price"] = 0,
		["value"] = 0,
		["nextGem"] = 104,
		["effectTarget"] = 0,
		["effectId"] = 0,
		["effectLayer"] = 0,
		["desc"] = "获取随机3级勾玉",
		["quality"] = 4,
		["id"] = 103,
		["icon"] = "gem_gray_3",
	},
	["104"] = {
		["name"] = "随机4级勾玉",
		["level"] = 4,
		["color"] = 4,
		["price"] = 0,
		["value"] = 0,
		["nextGem"] = 105,
		["effectTarget"] = 0,
		["effectId"] = 0,
		["effectLayer"] = 0,
		["desc"] = "获取随机4级勾玉",
		["quality"] = 5,
		["id"] = 104,
		["icon"] = "gem_gray_4",
	},
	["105"] = {
		["name"] = "随机5级勾玉",
		["level"] = 5,
		["color"] = 4,
		["price"] = 0,
		["value"] = 0,
		["nextGem"] = 106,
		["effectTarget"] = 0,
		["effectId"] = 0,
		["effectLayer"] = 0,
		["desc"] = "获取随机5级勾玉",
		["quality"] = 6,
		["id"] = 105,
		["icon"] = "gem_gray_5",
	},
	["106"] = {
		["name"] = "随机6级勾玉",
		["level"] = 6,
		["color"] = 4,
		["price"] = 0,
		["value"] = 0,
		["nextGem"] = 107,
		["effectTarget"] = 0,
		["effectId"] = 0,
		["effectLayer"] = 0,
		["desc"] = "获取随机6级勾玉",
		["quality"] = 6,
		["id"] = 106,
		["icon"] = "gem_gray_6",
	},
	["107"] = {
		["name"] = "随机7级勾玉",
		["level"] = 7,
		["color"] = 4,
		["price"] = 0,
		["value"] = 0,
		["nextGem"] = 108,
		["effectTarget"] = 0,
		["effectId"] = 0,
		["effectLayer"] = 0,
		["desc"] = "获取随机7级勾玉",
		["quality"] = 7,
		["id"] = 107,
		["icon"] = "gem_gray_7",
	},
	["108"] = {
		["name"] = "随机8级勾玉",
		["level"] = 8,
		["color"] = 4,
		["price"] = 0,
		["value"] = 0,
		["nextGem"] = 109,
		["effectTarget"] = 0,
		["effectId"] = 0,
		["effectLayer"] = 0,
		["desc"] = "获取随机8级勾玉",
		["quality"] = 7,
		["id"] = 108,
		["icon"] = "gem_gray_8",
	},
	["109"] = {
		["name"] = "随机9级勾玉",
		["level"] = 9,
		["color"] = 5,
		["price"] = 0,
		["value"] = 0,
		["nextGem"] = 110,
		["effectTarget"] = 0,
		["effectId"] = 0,
		["effectLayer"] = 0,
		["desc"] = "获取随机9级勾玉",
		["quality"] = 8,
		["id"] = 109,
		["icon"] = "gem_gray_9",
	},
	["110"] = {
		["name"] = "随机10级勾玉",
		["level"] = 10,
		["color"] = 5,
		["price"] = 0,
		["value"] = 0,
		["nextGem"] = "",
		["effectTarget"] = 0,
		["effectId"] = 0,
		["effectLayer"] = 0,
		["desc"] = "获取随机10级勾玉",
		["quality"] = 9,
		["id"] = 110,
		["icon"] = "gem_gray_10",
	},
}
return gem