-- 武将-天赋.xls
-- {
-- 	id = 天赋ID
-- 	name = 天赋名称
-- 	desc = 天赋描述
-- 	attackAdditionBase = 物攻加成基础值
-- 	defenseAdditionBase = 物防加成基础值
-- 	attackStrategyAdditionBase = 策攻加成基础值
-- 	defenseStrategyAdditionBase = 策防加成基础值
-- 	hpLimitAdditionBase = 血量上限加成基础值
-- 	lastconvertId = 转换前天赋id
-- 	convertId = 转换的天赋ID
-- 	convertQuality = 转换天赋后的资质
-- }
local hero_talent = {
	["1"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "霸者",
		["hpLimitAdditionBase"] = 0.120000,
		["defenseAdditionBase"] = 0.120000,
		["attackAdditionBase"] = 0.180000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.010000,
		["id"] = 1,
		["convertId"] = 0,
		["desc"] = "横排输出型，有一定的物防、物攻、策防、闪避能力",
	},
	["2"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "悍勇",
		["hpLimitAdditionBase"] = 0.120000,
		["defenseAdditionBase"] = 0.120000,
		["attackAdditionBase"] = 0.180000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.010000,
		["id"] = 2,
		["convertId"] = 0,
		["desc"] = "单体控制型将领，物攻、物防能力较高",
	},
	["3"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "雷尊",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0.470000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.130000,
		["id"] = 3,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，物攻、物防高，闪避、策防较高",
	},
	["4"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "白衣侍从",
		["hpLimitAdditionBase"] = 0.120000,
		["defenseAdditionBase"] = 0.010000,
		["attackAdditionBase"] = 0.180000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.010000,
		["id"] = 4,
		["convertId"] = 0,
		["desc"] = "十字伤害型将领，有一定的物攻能力，闪避较高",
	},
	["5"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "弃暗投明",
		["hpLimitAdditionBase"] = 0,
		["defenseAdditionBase"] = 0,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0,
		["id"] = 5,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，有一定的物防、血量能力",
	},
	["6"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "坚韧",
		["hpLimitAdditionBase"] = 0.100000,
		["defenseAdditionBase"] = 0.150000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0,
		["id"] = 6,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，有一定的物防、血量能力",
	},
	["7"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "诡谲",
		["hpLimitAdditionBase"] = 0.120000,
		["defenseAdditionBase"] = 0.010000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.180000,
		["defenseStrategyAdditionBase"] = 0.120000,
		["id"] = 7,
		["convertId"] = 0,
		["desc"] = "横排输出型将领，策攻较高，有一定的策防、识破、暴击能力",
	},
	["8"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "黯灭",
		["hpLimitAdditionBase"] = 0.120000,
		["defenseAdditionBase"] = 0.010000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.180000,
		["defenseStrategyAdditionBase"] = 0.120000,
		["id"] = 8,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，策攻较高。[与李儒共同上阵触发合体奥义]",
	},
	["9"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "青龙",
		["hpLimitAdditionBase"] = 1.112500,
		["defenseAdditionBase"] = 0.480000,
		["attackAdditionBase"] = 1.037500,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.480000,
		["id"] = 9,
		["convertId"] = 0,
		["desc"] = "纵列输出型将领，物攻、物防、策防极高，血量、暴击伤害高",
	},
	["10"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "残虐",
		["hpLimitAdditionBase"] = 1.232500,
		["defenseAdditionBase"] = 0.880000,
		["attackAdditionBase"] = 0.787500,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.660000,
		["id"] = 10,
		["convertId"] = 0,
		["desc"] = "全体输出型将领，物攻、物防高，暴击伤害、闪避能力高",
	},
	["11"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "黄天意志",
		["hpLimitAdditionBase"] = 1.112500,
		["defenseAdditionBase"] = 0.660000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.787500,
		["defenseStrategyAdditionBase"] = 0.990000,
		["id"] = 11,
		["convertId"] = 0,
		["desc"] = "全体输出型将领，策攻、策防高，有一定的识破、暴击能力",
	},
	["12"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "蕙质兰心",
		["hpLimitAdditionBase"] = 0.470000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.350000,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 12,
		["convertId"] = 0,
		["desc"] = "纵列输出型将领，策攻高，策防较高，有一定的精准、识破能力",
	},
	["13"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "四世三公",
		["hpLimitAdditionBase"] = 0.612500,
		["defenseAdditionBase"] = 0.880000,
		["attackAdditionBase"] = 0.977500,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.880000,
		["id"] = 13,
		["convertId"] = 0,
		["desc"] = "单体输出型武将，物攻较高，暴击能力高",
	},
	["14"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "乱世鬼才",
		["hpLimitAdditionBase"] = 0.872500,
		["defenseAdditionBase"] = 0.770000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.907500,
		["defenseStrategyAdditionBase"] = 0.770000,
		["id"] = 14,
		["convertId"] = 0,
		["desc"] = "蓄力爆发型将领，策攻、策防、暴击高。[与曹操共同上阵可触发合体奥义]",
	},
	["16"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "乱世奸雄",
		["hpLimitAdditionBase"] = 0.492500,
		["defenseAdditionBase"] = 0.990000,
		["attackAdditionBase"] = 0.977500,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.880000,
		["id"] = 16,
		["convertId"] = 0,
		["desc"] = "全体输出型将领，物攻、物防高。暴击、命中、闪避高",
	},
	["17"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "仁德之心",
		["hpLimitAdditionBase"] = 0.612500,
		["defenseAdditionBase"] = 0.880000,
		["attackAdditionBase"] = 0.977500,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.880000,
		["id"] = 17,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，物攻、命中极高，物防、策防、血量高",
	},
	["18"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "魅厥",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0.350000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.130000,
		["id"] = 18,
		["convertId"] = 0,
		["desc"] = "全体输出型将领，物攻、命中较高",
	},
	["19"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "暗光",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.350000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.350000,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 19,
		["convertId"] = 0,
		["desc"] = "纵列输出型将领，策攻、血量较高，有一定的识破能力",
	},
	["20"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "闭月",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.350000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.350000,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 20,
		["convertId"] = 0,
		["desc"] = "全体治疗型将领，闪避、策防高。有一定的精准、识破能力",
	},
	["21"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "桀骜",
		["hpLimitAdditionBase"] = 0.470000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0.410000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 21,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，物攻较高、有一定的命中、闪避能力",
	},
	["22"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "无双",
		["hpLimitAdditionBase"] = 1.112500,
		["defenseAdditionBase"] = 0.480000,
		["attackAdditionBase"] = 1.097500,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.370000,
		["id"] = 22,
		["convertId"] = 0,
		["desc"] = "纵列输出型将领，物攻极高、物防、策防、血量高[与貂蝉共同上阵触发合体奥义]",
	},
	["23"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "无畏",
		["hpLimitAdditionBase"] = 1.352500,
		["defenseAdditionBase"] = 0.370000,
		["attackAdditionBase"] = 1.097500,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.150000,
		["id"] = 23,
		["convertId"] = 0,
		["desc"] = "纵列输出型将领，血量、物防、物攻高，命中、暴击、闪避能力较高",
	},
	["24"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "矢北",
		["hpLimitAdditionBase"] = 0,
		["defenseAdditionBase"] = 0,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0,
		["id"] = 24,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，血量一般",
	},
	["25"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "突进",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0.410000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 25,
		["convertId"] = 0,
		["desc"] = "横排输出型武将，物攻高，双防较高，暴击能力高",
	},
	["26"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "黄天秘术",
		["hpLimitAdditionBase"] = 0.590000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.350000,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 26,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，策防较高，有一定的策攻能力",
	},
	["27"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "鬼鸩",
		["hpLimitAdditionBase"] = 0.120000,
		["defenseAdditionBase"] = 0.010000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.180000,
		["defenseStrategyAdditionBase"] = 0.120000,
		["id"] = 27,
		["convertId"] = 0,
		["desc"] = "横排输出型将领，有一定的策攻、策防、血量能力",
	},
	["28"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "离间",
		["hpLimitAdditionBase"] = 0.470000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.410000,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 28,
		["convertId"] = 0,
		["desc"] = "随机输出型将领，有一定的策攻、策防能力",
	},
	["29"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "儒道至圣",
		["hpLimitAdditionBase"] = 0.470000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.350000,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 29,
		["convertId"] = 0,
		["desc"] = "纵列输出型将领，策攻、策防较强。识破高[与张纮共同上阵触发合体奥义]",
	},
	["30"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "强袭",
		["hpLimitAdditionBase"] = 0.225000,
		["defenseAdditionBase"] = 0.200000,
		["attackAdditionBase"] = 0.275000,
		["attackStrategyAdditionBase"] = 0.275000,
		["defenseStrategyAdditionBase"] = 0.200000,
		["id"] = 30,
		["convertId"] = 0,
		["desc"] = "典韦",
	},
	["32"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "双刃",
		["hpLimitAdditionBase"] = 0.710000,
		["defenseAdditionBase"] = 0.460000,
		["attackAdditionBase"] = 0.290000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.130000,
		["id"] = 32,
		["convertId"] = 0,
		["desc"] = "纵列防御型将领，物防、血量较高",
	},
	["33"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "龙战于野",
		["hpLimitAdditionBase"] = 0.250000,
		["defenseAdditionBase"] = 0.225000,
		["attackAdditionBase"] = 0.275000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.225000,
		["id"] = 33,
		["convertId"] = 0,
		["desc"] = "全体输出型将领，物攻、物防较高。有一定的闪避、暴击伤害能力",
	},
	["34"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "白马义从",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.250000,
		["attackAdditionBase"] = 0.400000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.225000,
		["id"] = 34,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，物防，暴击较高。闪避极高",
	},
	["35"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "女武神",
		["hpLimitAdditionBase"] = 0.470000,
		["defenseAdditionBase"] = 0.350000,
		["attackAdditionBase"] = 0.350000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 35,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，物攻，物防高，有一定的命中、暴击能力",
	},
	["36"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "神力",
		["hpLimitAdditionBase"] = 0.470000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0.350000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 36,
		["convertId"] = 0,
		["desc"] = "单体控制型将领，物防，闪避较高，有一定的暴击、命中能力",
	},
	["37"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "噬月",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.350000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.350000,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 37,
		["convertId"] = 0,
		["desc"] = "单体控制型将领，策攻，策防高，识破较高",
	},
	["38"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "十面埋伏",
		["hpLimitAdditionBase"] = 1.232500,
		["defenseAdditionBase"] = 0.880000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.667500,
		["defenseStrategyAdditionBase"] = 0.880000,
		["id"] = 38,
		["convertId"] = 0,
		["desc"] = "全体辅助型将领，策攻、策防较高，有一定的识破、物防能力",
	},
	["39"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "周郎顾曲",
		["hpLimitAdditionBase"] = 0.275000,
		["defenseAdditionBase"] = 0.250000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.400000,
		["defenseStrategyAdditionBase"] = 0.275000,
		["id"] = 39,
		["convertId"] = 0,
		["desc"] = "纵列输出型将领，策攻，识破，精准高，闪避、物防高",
	},
	["40"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "张纮",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.350000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.350000,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 40,
		["convertId"] = 0,
		["desc"] = "横排控制型将领，策攻、策防、识破高。有一定精准、暴击能力",
	},
	["41"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "玉玺在手",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.130000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.410000,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 41,
		["convertId"] = 0,
		["desc"] = "横排输出型将领，有一定的策攻、物防、精准能力",
	},
	["42"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "须眉",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0.410000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 42,
		["convertId"] = 0,
		["desc"] = "十字型输出将领，有一定的物攻、物防能力",
	},
	["45"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "空城",
		["hpLimitAdditionBase"] = 0.992500,
		["defenseAdditionBase"] = 0.370000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 1.037500,
		["defenseStrategyAdditionBase"] = 0.590000,
		["id"] = 45,
		["convertId"] = 0,
		["desc"] = "纵列输出型将领，策攻、策防、血量极高",
	},
	["46"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "无言",
		["hpLimitAdditionBase"] = 1.112500,
		["defenseAdditionBase"] = 0.370000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 1.037500,
		["defenseStrategyAdditionBase"] = 0.480000,
		["id"] = 46,
		["convertId"] = 0,
		["desc"] = "后排输出型将领，策攻、策防较高，有一定识破、暴击能力",
	},
	["47"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "孝廉",
		["hpLimitAdditionBase"] = 0.225000,
		["defenseAdditionBase"] = 0.200000,
		["attackAdditionBase"] = 0.275000,
		["attackStrategyAdditionBase"] = 0.275000,
		["defenseStrategyAdditionBase"] = 0.200000,
		["id"] = 47,
		["convertId"] = 0,
		["desc"] = "朱儁",
	},
	["48"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "苍月",
		["hpLimitAdditionBase"] = 0.225000,
		["defenseAdditionBase"] = 0.200000,
		["attackAdditionBase"] = 0.275000,
		["attackStrategyAdditionBase"] = 0.275000,
		["defenseStrategyAdditionBase"] = 0.200000,
		["id"] = 48,
		["convertId"] = 0,
		["desc"] = "皇甫嵩",
	},
	["49"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "徐荣",
		["hpLimitAdditionBase"] = 0.225000,
		["defenseAdditionBase"] = 0.200000,
		["attackAdditionBase"] = 0.275000,
		["attackStrategyAdditionBase"] = 0.275000,
		["defenseStrategyAdditionBase"] = 0.200000,
		["id"] = 49,
		["convertId"] = 0,
		["desc"] = "徐荣",
	},
	["50"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "汉灵帝",
		["hpLimitAdditionBase"] = 0.225000,
		["defenseAdditionBase"] = 0.200000,
		["attackAdditionBase"] = 0.275000,
		["attackStrategyAdditionBase"] = 0.275000,
		["defenseStrategyAdditionBase"] = 0.200000,
		["id"] = 50,
		["convertId"] = 0,
		["desc"] = "汉灵帝",
	},
	["51"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "铁骑",
		["hpLimitAdditionBase"] = 1.232500,
		["defenseAdditionBase"] = 0.370000,
		["attackAdditionBase"] = 1.097500,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.370000,
		["id"] = 51,
		["convertId"] = 0,
		["desc"] = "横排输出型将领，暴击高，物攻、生命高，能造成大量流血伤害",
	},
	["52"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "天义",
		["hpLimitAdditionBase"] = 0.470000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0.410000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 52,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，物攻、物防较高，有一定暴击能力",
	},
	["53"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "迅风",
		["hpLimitAdditionBase"] = 1.112500,
		["defenseAdditionBase"] = 0.480000,
		["attackAdditionBase"] = 1.037500,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.370000,
		["id"] = 53,
		["convertId"] = 0,
		["desc"] = "纵列输出型将领，暴击、暴伤高，物攻较高",
	},
	["54"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "苦肉",
		["hpLimitAdditionBase"] = 0.225000,
		["defenseAdditionBase"] = 0.200000,
		["attackAdditionBase"] = 0.275000,
		["attackStrategyAdditionBase"] = 0.275000,
		["defenseStrategyAdditionBase"] = 0.200000,
		["id"] = 54,
		["convertId"] = 0,
		["desc"] = "黄盖",
	},
	["55"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "残暴",
		["hpLimitAdditionBase"] = 0.372500,
		["defenseAdditionBase"] = 0.770000,
		["attackAdditionBase"] = 0.917500,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.660000,
		["id"] = 55,
		["convertId"] = 0,
		["desc"] = "纵列输出型将领，暴击高，物攻、血量较高",
	},
	["56"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "猛攻",
		["hpLimitAdditionBase"] = 0.225000,
		["defenseAdditionBase"] = 0.200000,
		["attackAdditionBase"] = 0.275000,
		["attackStrategyAdditionBase"] = 0.275000,
		["defenseStrategyAdditionBase"] = 0.200000,
		["id"] = 56,
		["convertId"] = 0,
		["desc"] = "黄祖",
	},
	["57"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "丁原",
		["hpLimitAdditionBase"] = 0.225000,
		["defenseAdditionBase"] = 0.200000,
		["attackAdditionBase"] = 0.275000,
		["attackStrategyAdditionBase"] = 0.275000,
		["defenseStrategyAdditionBase"] = 0.200000,
		["id"] = 57,
		["convertId"] = 0,
		["desc"] = "丁原",
	},
	["58"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "明策",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.410000,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 58,
		["convertId"] = 0,
		["desc"] = "纵列输出型将领，策攻、策防、血量一般",
	},
	["59"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "智迟",
		["hpLimitAdditionBase"] = 0.225000,
		["defenseAdditionBase"] = 0.200000,
		["attackAdditionBase"] = 0.275000,
		["attackStrategyAdditionBase"] = 0.275000,
		["defenseStrategyAdditionBase"] = 0.200000,
		["id"] = 59,
		["convertId"] = 0,
		["desc"] = "刘繇",
	},
	["60"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "蛊惑",
		["hpLimitAdditionBase"] = 1.112500,
		["defenseAdditionBase"] = 0.370000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 1.097500,
		["defenseStrategyAdditionBase"] = 0.370000,
		["id"] = 60,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，策攻、血量较高",
	},
	["61"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "名士",
		["hpLimitAdditionBase"] = 0.250000,
		["defenseAdditionBase"] = 0.150000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.250000,
		["defenseStrategyAdditionBase"] = 0.200000,
		["id"] = 61,
		["convertId"] = 0,
		["desc"] = "单体辅助型将领，生命、暴击伤害较高，有一定识破、闪避能力",
	},
	["62"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "巨贾",
		["hpLimitAdditionBase"] = 0.225000,
		["defenseAdditionBase"] = 0.200000,
		["attackAdditionBase"] = 0.275000,
		["attackStrategyAdditionBase"] = 0.275000,
		["defenseStrategyAdditionBase"] = 0.200000,
		["id"] = 62,
		["convertId"] = 0,
		["desc"] = "糜竺",
	},
	["63"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "星光",
		["hpLimitAdditionBase"] = 0.470000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.350000,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 63,
		["convertId"] = 0,
		["desc"] = "单体辅助型将领，生命、策防较高，有一定的精准、暴击能力",
	},
	["64"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "死谏",
		["hpLimitAdditionBase"] = 0.470000,
		["defenseAdditionBase"] = 0.130000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.410000,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 64,
		["convertId"] = 0,
		["desc"] = "横排输出型将领，策攻、血量一般",
	},
	["65"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "复用将领",
		["hpLimitAdditionBase"] = 0.225000,
		["defenseAdditionBase"] = 0.200000,
		["attackAdditionBase"] = 0.275000,
		["attackStrategyAdditionBase"] = 0.275000,
		["defenseStrategyAdditionBase"] = 0.200000,
		["id"] = 65,
		["convertId"] = 0,
		["desc"] = "复用将领",
	},
	["66"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "凤雏",
		["hpLimitAdditionBase"] = 1.112500,
		["defenseAdditionBase"] = 0.770000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.727500,
		["defenseStrategyAdditionBase"] = 0.990000,
		["id"] = 66,
		["convertId"] = 0,
		["desc"] = "纵列控制型将领，策攻、策防较高，物防一般",
	},
	["67"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "勾魂",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.350000,
		["attackAdditionBase"] = 0.350000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 67,
		["convertId"] = 0,
		["desc"] = "横排控制型将领，物攻、血量一般",
	},
	["68"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "伏枥",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.350000,
		["attackAdditionBase"] = 0.350000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 68,
		["convertId"] = 0,
		["desc"] = "十字输出型将领，物攻、物防、血量一般",
	},
	["69"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "渐营",
		["hpLimitAdditionBase"] = 1.112500,
		["defenseAdditionBase"] = 0.880000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.727500,
		["defenseStrategyAdditionBase"] = 0.880000,
		["id"] = 69,
		["convertId"] = 0,
		["desc"] = "横排辅助型将领，策攻、血量较高",
	},
	["70"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "随势",
		["hpLimitAdditionBase"] = 0,
		["defenseAdditionBase"] = 0,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0,
		["id"] = 70,
		["convertId"] = 0,
		["desc"] = "纵列输出型将领，策防、血量一般",
	},
	["71"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "利驭",
		["hpLimitAdditionBase"] = 0,
		["defenseAdditionBase"] = 0,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0,
		["id"] = 71,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，物攻、物防一般",
	},
	["86"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "狂骨",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.350000,
		["attackAdditionBase"] = 0.350000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 86,
		["convertId"] = 0,
		["desc"] = "横排输出型将领，物攻、物防、血量一般",
	},
	["87"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "龙吟",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.350000,
		["attackAdditionBase"] = 0.350000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 87,
		["convertId"] = 0,
		["desc"] = "横排输出型将领，物攻、物防、策防、血量一般",
	},
	["88"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "化身",
		["hpLimitAdditionBase"] = 0.470000,
		["defenseAdditionBase"] = 0.130000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.410000,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 88,
		["convertId"] = 0,
		["desc"] = "十字输出型将领，策攻、策防、血量一般",
	},
	["89"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "集智",
		["hpLimitAdditionBase"] = 0.230000,
		["defenseAdditionBase"] = 0.130000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.350000,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 89,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，策攻、策防、血量一般",
	},
	["90"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "烈弓",
		["hpLimitAdditionBase"] = 0.872500,
		["defenseAdditionBase"] = 0.480000,
		["attackAdditionBase"] = 1.157500,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.370000,
		["id"] = 90,
		["convertId"] = 0,
		["desc"] = "横排输出型将领，物攻恐怖至极，物防、策防较高",
	},
	["91"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "鲁肃",
		["hpLimitAdditionBase"] = 0.430000,
		["defenseAdditionBase"] = 0.330000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.550000,
		["defenseStrategyAdditionBase"] = 0.440000,
		["id"] = 91,
		["convertId"] = 0,
		["desc"] = "鲁肃",
	},
	["92"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "孙权",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 92,
		["convertId"] = 0,
		["desc"] = "孙权",
	},
	["93"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "甘宁",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 93,
		["convertId"] = 0,
		["desc"] = "甘宁",
	},
	["94"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "陆逊",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 94,
		["convertId"] = 0,
		["desc"] = "陆逊",
	},
	["98"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "何皇后",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 98,
		["convertId"] = 0,
		["desc"] = "何皇后",
	},
	["99"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "蒋干",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 99,
		["convertId"] = 0,
		["desc"] = "蒋干",
	},
	["101"] = {
		["convertQuality"] = 2,
		["lastconvertId"] = 0,
		["name"] = "C级资质",
		["hpLimitAdditionBase"] = 0,
		["defenseAdditionBase"] = 0,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0,
		["id"] = 101,
		["convertId"] = 103,
		["desc"] = "主公型成长天赋，会随天命之子意愿选择命格而发生改变",
	},
	["102"] = {
		["convertQuality"] = 4,
		["lastconvertId"] = 103,
		["name"] = "B+级资质",
		["hpLimitAdditionBase"] = 0.150000,
		["defenseAdditionBase"] = 0.150000,
		["attackAdditionBase"] = 0.150000,
		["attackStrategyAdditionBase"] = 0.150000,
		["defenseStrategyAdditionBase"] = 0.150000,
		["id"] = 102,
		["convertId"] = 104,
		["desc"] = "主公型成长天赋，会随天命之子意愿选择命格而发生改变",
	},
	["103"] = {
		["convertQuality"] = 3,
		["lastconvertId"] = 101,
		["name"] = "B级资质",
		["hpLimitAdditionBase"] = 0.100000,
		["defenseAdditionBase"] = 0.100000,
		["attackAdditionBase"] = 0.100000,
		["attackStrategyAdditionBase"] = 0.100000,
		["defenseStrategyAdditionBase"] = 0.100000,
		["id"] = 103,
		["convertId"] = 102,
		["desc"] = "主公型成长天赋，会随天命之子意愿选择命格而发生改变",
	},
	["104"] = {
		["convertQuality"] = 5,
		["lastconvertId"] = 102,
		["name"] = "A级资质",
		["hpLimitAdditionBase"] = 0.250000,
		["defenseAdditionBase"] = 0.250000,
		["attackAdditionBase"] = 0.250000,
		["attackStrategyAdditionBase"] = 0.250000,
		["defenseStrategyAdditionBase"] = 0.250000,
		["id"] = 104,
		["convertId"] = 105,
		["desc"] = "主公型成长天赋，会随天命之子意愿选择命格而发生改变",
	},
	["105"] = {
		["convertQuality"] = 6,
		["lastconvertId"] = 104,
		["name"] = "A+级资质",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.350000,
		["attackAdditionBase"] = 0.350000,
		["attackStrategyAdditionBase"] = 0.350000,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 105,
		["convertId"] = 106,
		["desc"] = "主公型成长天赋，会随天命之子意愿选择命格而发生改变",
	},
	["106"] = {
		["convertQuality"] = 7,
		["lastconvertId"] = 105,
		["name"] = "S级资质",
		["hpLimitAdditionBase"] = 0.600000,
		["defenseAdditionBase"] = 0.600000,
		["attackAdditionBase"] = 0.600000,
		["attackStrategyAdditionBase"] = 0.600000,
		["defenseStrategyAdditionBase"] = 0.600000,
		["id"] = 106,
		["convertId"] = 107,
		["desc"] = "主公型成长天赋，会随天命之子意愿选择命格而发生改变",
	},
	["107"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 106,
		["name"] = "S+级资质",
		["hpLimitAdditionBase"] = 0.900000,
		["defenseAdditionBase"] = 0.900000,
		["attackAdditionBase"] = 0.900000,
		["attackStrategyAdditionBase"] = 0.900000,
		["defenseStrategyAdditionBase"] = 0.900000,
		["id"] = 107,
		["convertId"] = 0,
		["desc"] = "主公型成长天赋，会随天命之子意愿选择命格而发生改变",
	},
	["116"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "青囊",
		["hpLimitAdditionBase"] = 1.112500,
		["defenseAdditionBase"] = 0.770000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.787500,
		["defenseStrategyAdditionBase"] = 0.880000,
		["id"] = 116,
		["convertId"] = 0,
		["desc"] = "单体治疗型将领，血量、策防高，抗暴高，识破较高",
	},
	["115"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "陷阵",
		["hpLimitAdditionBase"] = 0.470000,
		["defenseAdditionBase"] = 0.460000,
		["attackAdditionBase"] = 0.350000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 115,
		["convertId"] = 0,
		["desc"] = "横排输出型将领，物防、血量高，策防较高",
	},
	["100"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "骁果",
		["hpLimitAdditionBase"] = 0.350000,
		["defenseAdditionBase"] = 0.240000,
		["attackAdditionBase"] = 0.350000,
		["attackStrategyAdditionBase"] = 0,
		["defenseStrategyAdditionBase"] = 0.240000,
		["id"] = 100,
		["convertId"] = 0,
		["desc"] = "单体输出型将领，暴击率极高，物防、策防高",
	},
	["108"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "鬼谋",
		["hpLimitAdditionBase"] = 0.470000,
		["defenseAdditionBase"] = 0.130000,
		["attackAdditionBase"] = 0,
		["attackStrategyAdditionBase"] = 0.350000,
		["defenseStrategyAdditionBase"] = 0.350000,
		["id"] = 108,
		["convertId"] = 0,
		["desc"] = "纵列控制型将领，策防、血量较高，识破较高",
	},
	["117"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "蔡瑁",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 117,
		["convertId"] = 0,
		["desc"] = "蔡瑁",
	},
	["118"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "法正",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 118,
		["convertId"] = 0,
		["desc"] = "法正",
	},
	["119"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "凌统",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 119,
		["convertId"] = 0,
		["desc"] = "凌统",
	},
	["121"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "司马懿",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 121,
		["convertId"] = 0,
		["desc"] = "司马懿",
	},
	["109"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "徐晃",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 109,
		["convertId"] = 0,
		["desc"] = "徐晃",
	},
	["112"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "张郃",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 112,
		["convertId"] = 0,
		["desc"] = "张郃",
	},
	["113"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "牛逼",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 113,
		["convertId"] = 0,
		["desc"] = "新张辽",
	},
	["110"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "杨修",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 110,
		["convertId"] = 0,
		["desc"] = "杨修",
	},
	["120"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "审配",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 120,
		["convertId"] = 0,
		["desc"] = "审配",
	},
	["122"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "于禁",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 122,
		["convertId"] = 0,
		["desc"] = "于禁",
	},
	["123"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "孙尚香",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 123,
		["convertId"] = 0,
		["desc"] = "孙尚香",
	},
	["124"] = {
		["convertQuality"] = 0,
		["lastconvertId"] = 0,
		["name"] = "刘表",
		["hpLimitAdditionBase"] = 1,
		["defenseAdditionBase"] = 1,
		["attackAdditionBase"] = 1,
		["attackStrategyAdditionBase"] = 1,
		["defenseStrategyAdditionBase"] = 1,
		["id"] = 124,
		["convertId"] = 0,
		["desc"] = "刘表",
	},
}
return hero_talent