-- 七日活动.xls
-- {
-- 	id = ID
-- 	name = 任务名称
-- 	type = 任务类型
-- 	conditions = 任务目标
-- 	awards = 任务奖励
-- 	desc = 描述
-- 	days = 开启天数
-- 	schedule = 是否显示进度
-- }
local sevenDay = {
	["1"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 1,
		["awards"] = "1|9|5000,1|10|5000",
		["conditions"] = "72|0|15",
		["id"] = 1,
		["desc"] = "主线征战累计获得15星",
	},
	["2"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 1,
		["awards"] = "1|9|8000,1|10|8000",
		["conditions"] = "72|0|40",
		["id"] = 2,
		["desc"] = "主线征战累计获得40星",
	},
	["3"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 1,
		["awards"] = "1|9|10000,1|10|10000",
		["conditions"] = "72|0|60",
		["id"] = 3,
		["desc"] = "主线征战累计获得60星",
	},
	["4"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 1,
		["awards"] = "1|9|15000,1|10|15000",
		["conditions"] = "72|0|80",
		["id"] = 4,
		["desc"] = "主线征战累计获得80星",
	},
	["5"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 1,
		["awards"] = "1|9|20000,1|10|20000",
		["conditions"] = "72|0|100",
		["id"] = 5,
		["desc"] = "主线征战累计获得100星",
	},
	["6"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 1,
		["awards"] = "1|9|25000,1|10|25000",
		["conditions"] = "72|0|150",
		["id"] = 6,
		["desc"] = "主线征战累计获得150星",
	},
	["7"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 1,
		["awards"] = "1|9|30000,1|10|30000",
		["conditions"] = "72|0|200",
		["id"] = 7,
		["desc"] = "主线征战累计获得200星",
	},
	["8"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 1,
		["awards"] = "1|9|35000,1|10|35000",
		["conditions"] = "72|0|300",
		["id"] = 8,
		["desc"] = "主线征战累计获得300星",
	},
	["9"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 1,
		["awards"] = "1|9|40000,1|10|40000",
		["conditions"] = "72|0|400",
		["id"] = 9,
		["desc"] = "主线征战累计获得400星",
	},
	["10"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 1,
		["awards"] = "1|9|45000,1|10|45000",
		["conditions"] = "72|0|500",
		["id"] = 10,
		["desc"] = "主线征战累计获得500星",
	},
	["11"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 1,
		["awards"] = "1|9|50000,1|10|50000",
		["conditions"] = "72|0|600",
		["id"] = 11,
		["desc"] = "主线征战累计获得600星",
	},
	["12"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|10000",
		["conditions"] = "62|10|1",
		["id"] = 12,
		["desc"] = "任意装备强化至10级",
	},
	["13"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|20000",
		["conditions"] = "62|20|1",
		["id"] = 13,
		["desc"] = "任意装备强化至20级",
	},
	["14"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|30000",
		["conditions"] = "62|30|1",
		["id"] = 14,
		["desc"] = "任意装备强化至30级",
	},
	["15"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|40000",
		["conditions"] = "62|40|1",
		["id"] = 15,
		["desc"] = "任意装备强化至40级",
	},
	["16"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|50000",
		["conditions"] = "62|50|1",
		["id"] = 16,
		["desc"] = "任意装备强化至50级",
	},
	["17"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|20000",
		["conditions"] = "73|10|1",
		["id"] = 17,
		["desc"] = "1名将领全部装备强化至10级",
	},
	["18"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|30000",
		["conditions"] = "73|20|1",
		["id"] = 18,
		["desc"] = "1名将领全部装备强化至20级",
	},
	["19"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|40000",
		["conditions"] = "73|20|2",
		["id"] = 19,
		["desc"] = "2名将领全部装备强化至20级",
	},
	["20"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|50000",
		["conditions"] = "73|40|2",
		["id"] = 20,
		["desc"] = "2名将领全部装备强化至40级",
	},
	["21"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|80000",
		["conditions"] = "73|60|1",
		["id"] = 21,
		["desc"] = "1名将领全部装备强化至60级",
	},
	["22"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|100000",
		["conditions"] = "73|60|2",
		["id"] = 22,
		["desc"] = "2名将领全部装备强化至60级",
	},
	["23"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|100000",
		["conditions"] = "73|60|3",
		["id"] = 23,
		["desc"] = "3名将领全部装备强化至60级",
	},
	["24"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|150000",
		["conditions"] = "73|80|1",
		["id"] = 24,
		["desc"] = "1名将领全部装备强化至80级",
	},
	["25"] = {
		["name"] = "装备强化",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 1,
		["awards"] = "1|2|200000",
		["conditions"] = "73|80|2",
		["id"] = 25,
		["desc"] = "2名将领全部装备强化至80级",
	},
	["26"] = {
		["name"] = "装备进阶",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 1,
		["awards"] = "4|550|1,4|551|1,4|552|1",
		["conditions"] = "63|2|1",
		["id"] = 26,
		["desc"] = "1件装备进阶至绿色",
	},
	["27"] = {
		["name"] = "装备进阶",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 1,
		["awards"] = "4|551|1,4|552|1,4|553|1",
		["conditions"] = "63|2|2",
		["id"] = 27,
		["desc"] = "2件装备进阶至绿色",
	},
	["28"] = {
		["name"] = "装备进阶",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 1,
		["awards"] = "4|549|1,4|553|1,4|554|1",
		["conditions"] = "63|2|3",
		["id"] = 28,
		["desc"] = "3件装备进阶至绿色",
	},
	["29"] = {
		["name"] = "装备进阶",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 1,
		["awards"] = "4|555|1,4|556|1,4|557|1",
		["conditions"] = "74|2|1",
		["id"] = 29,
		["desc"] = "1名将领全部装备进阶至绿色",
	},
	["30"] = {
		["name"] = "装备进阶",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 1,
		["awards"] = "4|555|1,4|556|1,4|562|1",
		["conditions"] = "63|3|1",
		["id"] = 30,
		["desc"] = "1件装备进阶至蓝色",
	},
	["31"] = {
		["name"] = "装备进阶",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 1,
		["awards"] = "4|555|1,4|561|1,4|557|1",
		["conditions"] = "63|3|2",
		["id"] = 31,
		["desc"] = "2件装备进阶至蓝色",
	},
	["32"] = {
		["name"] = "装备进阶",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 1,
		["awards"] = "4|558|1,4|559|1,4|560|1",
		["conditions"] = "63|3|3",
		["id"] = 32,
		["desc"] = "3件装备进阶至蓝色",
	},
	["33"] = {
		["name"] = "装备进阶",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 1,
		["awards"] = "4|562|1,4|555|1,4|556|1",
		["conditions"] = "74|3|1",
		["id"] = 33,
		["desc"] = "1名将领全部装备进阶至蓝色",
	},
	["34"] = {
		["name"] = "装备进阶",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 1,
		["awards"] = "4|561|1,4|560|1,4|556|1",
		["conditions"] = "63|4|1",
		["id"] = 34,
		["desc"] = "1件装备进阶至蓝色+1",
	},
	["35"] = {
		["name"] = "装备进阶",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 1,
		["awards"] = "4|562|1,4|555|1,4|556|1",
		["conditions"] = "63|4|2",
		["id"] = 35,
		["desc"] = "2件装备进阶至蓝色+1",
	},
	["36"] = {
		["name"] = "装备进阶",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 1,
		["awards"] = "1|2|100000",
		["conditions"] = "74|4|1",
		["id"] = 36,
		["desc"] = "1名将领全部装备进阶至蓝+1",
	},
	["37"] = {
		["name"] = "装备进阶",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 1,
		["awards"] = "1|2|200000",
		["conditions"] = "74|4|2",
		["id"] = 37,
		["desc"] = "2名将领全部装备进阶至蓝+1",
	},
	["38"] = {
		["name"] = "特价限购",
		["schedule"] = 0,
		["type"] = 4,
		["days"] = 1,
		["awards"] = "4|630|10",
		["conditions"] = "44|2000|1800",
		["id"] = 38,
		["desc"] = "",
	},
	["39"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 2,
		["awards"] = "12|31|1",
		["conditions"] = "60|5|1",
		["id"] = 39,
		["desc"] = "武神试炼通关第5关",
	},
	["40"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 2,
		["awards"] = "12|1|1",
		["conditions"] = "60|10|1",
		["id"] = 40,
		["desc"] = "武神试炼通关第10关",
	},
	["41"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 2,
		["awards"] = "12|31|1",
		["conditions"] = "60|15|1",
		["id"] = 41,
		["desc"] = "武神试炼通关第15关",
	},
	["42"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 2,
		["awards"] = "12|1|1",
		["conditions"] = "60|20|1",
		["id"] = 42,
		["desc"] = "武神试炼通关第20关",
	},
	["43"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 2,
		["awards"] = "12|32|1",
		["conditions"] = "60|25|1",
		["id"] = 43,
		["desc"] = "武神试炼通关第25关",
	},
	["44"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 2,
		["awards"] = "12|2|1",
		["conditions"] = "60|30|1",
		["id"] = 44,
		["desc"] = "武神试炼通关第30关",
	},
	["45"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 2,
		["awards"] = "12|32|1",
		["conditions"] = "60|35|1",
		["id"] = 45,
		["desc"] = "武神试炼通关第35关",
	},
	["46"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 2,
		["awards"] = "12|2|1",
		["conditions"] = "60|40|1",
		["id"] = 46,
		["desc"] = "武神试炼通关第40关",
	},
	["47"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 2,
		["awards"] = "12|33|1",
		["conditions"] = "60|45|1",
		["id"] = 47,
		["desc"] = "武神试炼通关第45关",
	},
	["48"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 2,
		["awards"] = "12|3|1",
		["conditions"] = "60|50|1",
		["id"] = 48,
		["desc"] = "武神试炼通关第50关",
	},
	["49"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 2,
		["awards"] = "12|33|1",
		["conditions"] = "60|55|1",
		["id"] = 49,
		["desc"] = "武神试炼通关第55关",
	},
	["50"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 2,
		["awards"] = "12|3|1",
		["conditions"] = "60|60|1",
		["id"] = 50,
		["desc"] = "武神试炼通关第60关",
	},
	["51"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|5",
		["conditions"] = "6|10|1",
		["id"] = 51,
		["desc"] = "任意将领达到10级",
	},
	["52"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|5",
		["conditions"] = "6|20|1",
		["id"] = 52,
		["desc"] = "任意将领达到20级",
	},
	["53"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|10",
		["conditions"] = "6|30|1",
		["id"] = 53,
		["desc"] = "任意将领达到30级",
	},
	["54"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|10",
		["conditions"] = "6|35|1",
		["id"] = 54,
		["desc"] = "任意将领达到35级",
	},
	["55"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|15",
		["conditions"] = "6|40|1",
		["id"] = 55,
		["desc"] = "任意将领达到40级",
	},
	["56"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|15",
		["conditions"] = "6|45|1",
		["id"] = 56,
		["desc"] = "任意将领达到45级",
	},
	["57"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|20",
		["conditions"] = "6|50|1",
		["id"] = 57,
		["desc"] = "任意将领达到50级",
	},
	["58"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|20",
		["conditions"] = "6|55|1",
		["id"] = 58,
		["desc"] = "任意将领达到55级",
	},
	["59"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|25",
		["conditions"] = "6|10|2",
		["id"] = 59,
		["desc"] = "2个将领到达10级",
	},
	["60"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|25",
		["conditions"] = "6|15|2",
		["id"] = 60,
		["desc"] = "2个将领到达15级",
	},
	["61"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|30",
		["conditions"] = "6|20|2",
		["id"] = 61,
		["desc"] = "2个将领到达20级",
	},
	["62"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|30",
		["conditions"] = "6|30|3",
		["id"] = 62,
		["desc"] = "3个将领到达30级",
	},
	["63"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|40",
		["conditions"] = "6|35|3",
		["id"] = 63,
		["desc"] = "3个将领到达35级",
	},
	["64"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|40",
		["conditions"] = "6|40|4",
		["id"] = 64,
		["desc"] = "4个将领到达40级",
	},
	["65"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|50",
		["conditions"] = "6|50|4",
		["id"] = 65,
		["desc"] = "4个将领到达50级",
	},
	["66"] = {
		["name"] = "将领等级",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 2,
		["awards"] = "4|1|50",
		["conditions"] = "6|55|4",
		["id"] = 66,
		["desc"] = "4个将领到达55级",
	},
	["67"] = {
		["name"] = "将领突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 2,
		["awards"] = "1|21|10",
		["conditions"] = "78|1|1",
		["id"] = 67,
		["desc"] = "1名将领突破等级达到1级",
	},
	["68"] = {
		["name"] = "将领突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 2,
		["awards"] = "1|21|10",
		["conditions"] = "78|1|2",
		["id"] = 68,
		["desc"] = "2名将领突破等级达到1级",
	},
	["69"] = {
		["name"] = "将领突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 2,
		["awards"] = "1|21|20",
		["conditions"] = "78|2|1",
		["id"] = 69,
		["desc"] = "1名将领突破等级达到2级",
	},
	["70"] = {
		["name"] = "将领突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 2,
		["awards"] = "1|21|20",
		["conditions"] = "78|2|2",
		["id"] = 70,
		["desc"] = "2名将领突破等级达到2级",
	},
	["71"] = {
		["name"] = "将领突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 2,
		["awards"] = "1|21|30",
		["conditions"] = "78|3|1",
		["id"] = 71,
		["desc"] = "1名将领突破等级达到3级",
	},
	["72"] = {
		["name"] = "将领突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 2,
		["awards"] = "1|21|30",
		["conditions"] = "78|3|2",
		["id"] = 72,
		["desc"] = "2名将领突破等级达到3级",
	},
	["73"] = {
		["name"] = "将领突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 2,
		["awards"] = "1|21|50",
		["conditions"] = "78|3|3",
		["id"] = 73,
		["desc"] = "3名将领突破等级达到3级",
	},
	["74"] = {
		["name"] = "将领突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 2,
		["awards"] = "1|21|50",
		["conditions"] = "78|3|4",
		["id"] = 74,
		["desc"] = "4名将领突破等级达到3级",
	},
	["75"] = {
		["name"] = "将领突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 2,
		["awards"] = "1|21|50",
		["conditions"] = "78|3|5",
		["id"] = 75,
		["desc"] = "5名将领突破等级达到3级",
	},
	["76"] = {
		["name"] = "将领突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 2,
		["awards"] = "1|21|100",
		["conditions"] = "78|4|1",
		["id"] = 76,
		["desc"] = "1名将领突破等级达到4级",
	},
	["77"] = {
		["name"] = "将领突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 2,
		["awards"] = "1|21|100",
		["conditions"] = "78|4|2",
		["id"] = 77,
		["desc"] = "2名将领突破等级达到4级",
	},
	["78"] = {
		["name"] = "将领突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 2,
		["awards"] = "1|21|150",
		["conditions"] = "78|5|1",
		["id"] = 78,
		["desc"] = "1名将领突破等级达到5级",
	},
	["79"] = {
		["name"] = "将领突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 2,
		["awards"] = "1|21|150",
		["conditions"] = "78|5|2",
		["id"] = 79,
		["desc"] = "2名将领突破等级达到5级",
	},
	["80"] = {
		["name"] = "特价限购",
		["schedule"] = 0,
		["type"] = 4,
		["days"] = 2,
		["awards"] = "1|21|400",
		["conditions"] = "44|4000|3200",
		["id"] = 80,
		["desc"] = "",
	},
	["81"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|10",
		["conditions"] = "41|0|900",
		["id"] = 81,
		["desc"] = "演武榜最高排名达到第900名",
	},
	["82"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|10",
		["conditions"] = "41|0|700",
		["id"] = 82,
		["desc"] = "演武榜最高排名达到第700名",
	},
	["83"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|15",
		["conditions"] = "41|0|500",
		["id"] = 83,
		["desc"] = "演武榜最高排名达到第500名",
	},
	["84"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|15",
		["conditions"] = "41|0|300",
		["id"] = 84,
		["desc"] = "演武榜最高排名达到第300名",
	},
	["85"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|20",
		["conditions"] = "41|0|100",
		["id"] = 85,
		["desc"] = "演武榜最高排名达到第100名",
	},
	["86"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|20",
		["conditions"] = "41|0|70",
		["id"] = 86,
		["desc"] = "演武榜最高排名达到第70名",
	},
	["87"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|30",
		["conditions"] = "41|0|50",
		["id"] = 87,
		["desc"] = "演武榜最高排名达到第50名",
	},
	["88"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|30",
		["conditions"] = "41|0|30",
		["id"] = 88,
		["desc"] = "演武榜最高排名达到第30名",
	},
	["89"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|30",
		["conditions"] = "41|0|20",
		["id"] = 89,
		["desc"] = "演武榜最高排名达到第20名",
	},
	["90"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|50",
		["conditions"] = "41|0|10",
		["id"] = 90,
		["desc"] = "演武榜最高排名达到第10名",
	},
	["91"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|100",
		["conditions"] = "41|0|5",
		["id"] = 91,
		["desc"] = "演武榜最高排名达到第5名",
	},
	["92"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|100",
		["conditions"] = "41|0|3",
		["id"] = 92,
		["desc"] = "演武榜最高排名达到第3名",
	},
	["93"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|150",
		["conditions"] = "41|0|2",
		["id"] = 93,
		["desc"] = "演武榜最高排名达到第2名",
	},
	["94"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 3,
		["awards"] = "1|1|200",
		["conditions"] = "41|0|1",
		["id"] = 94,
		["desc"] = "演武榜最高排名达到第1名",
	},
	["95"] = {
		["name"] = "演武榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 3,
		["awards"] = "1|14|50",
		["conditions"] = "28|0|1",
		["id"] = 95,
		["desc"] = "演武榜挑战1次",
	},
	["96"] = {
		["name"] = "演武榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 3,
		["awards"] = "1|14|100",
		["conditions"] = "28|0|3",
		["id"] = 96,
		["desc"] = "演武榜挑战3次",
	},
	["97"] = {
		["name"] = "演武榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 3,
		["awards"] = "1|14|150",
		["conditions"] = "28|0|5",
		["id"] = 97,
		["desc"] = "演武榜挑战5次",
	},
	["98"] = {
		["name"] = "演武榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 3,
		["awards"] = "1|14|200",
		["conditions"] = "28|0|8",
		["id"] = 98,
		["desc"] = "演武榜挑战8次",
	},
	["99"] = {
		["name"] = "演武榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 3,
		["awards"] = "1|14|250",
		["conditions"] = "28|0|12",
		["id"] = 99,
		["desc"] = "演武榜挑战12次",
	},
	["100"] = {
		["name"] = "演武榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 3,
		["awards"] = "1|14|300",
		["conditions"] = "28|0|18",
		["id"] = 100,
		["desc"] = "演武榜挑战18次",
	},
	["101"] = {
		["name"] = "演武榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 3,
		["awards"] = "1|14|300",
		["conditions"] = "28|0|24",
		["id"] = 101,
		["desc"] = "演武榜挑战24次",
	},
	["102"] = {
		["name"] = "演武榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 3,
		["awards"] = "1|14|300",
		["conditions"] = "28|0|30",
		["id"] = 102,
		["desc"] = "演武榜挑战30次",
	},
	["103"] = {
		["name"] = "演武榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 3,
		["awards"] = "1|14|400",
		["conditions"] = "28|0|40",
		["id"] = 103,
		["desc"] = "演武榜挑战40次",
	},
	["104"] = {
		["name"] = "演武榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 3,
		["awards"] = "1|14|400",
		["conditions"] = "28|0|50",
		["id"] = 104,
		["desc"] = "演武榜挑战50次",
	},
	["105"] = {
		["name"] = "演武榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 3,
		["awards"] = "1|14|600",
		["conditions"] = "28|0|70",
		["id"] = 105,
		["desc"] = "演武榜挑战70次",
	},
	["106"] = {
		["name"] = "演武榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 3,
		["awards"] = "1|14|800",
		["conditions"] = "28|0|100",
		["id"] = 106,
		["desc"] = "演武榜挑战100次",
	},
	["107"] = {
		["name"] = "将领培养",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 3,
		["awards"] = "1|9|2000",
		["conditions"] = "32|0|5",
		["id"] = 107,
		["desc"] = "任意将领培养5次",
	},
	["108"] = {
		["name"] = "将领培养",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 3,
		["awards"] = "1|9|5000",
		["conditions"] = "32|0|10",
		["id"] = 108,
		["desc"] = "任意将领培养10次",
	},
	["109"] = {
		["name"] = "将领培养",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 3,
		["awards"] = "1|9|10000",
		["conditions"] = "32|0|30",
		["id"] = 109,
		["desc"] = "任意将领培养30次",
	},
	["110"] = {
		["name"] = "将领培养",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 3,
		["awards"] = "1|9|20000",
		["conditions"] = "32|0|50",
		["id"] = 110,
		["desc"] = "任意将领培养50次",
	},
	["111"] = {
		["name"] = "将领培养",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 3,
		["awards"] = "1|9|40000",
		["conditions"] = "32|0|70",
		["id"] = 111,
		["desc"] = "任意将领培养70次",
	},
	["112"] = {
		["name"] = "将领培养",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 3,
		["awards"] = "1|9|50000",
		["conditions"] = "32|0|100",
		["id"] = 112,
		["desc"] = "任意将领培养100次",
	},
	["113"] = {
		["name"] = "将领培养",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 3,
		["awards"] = "1|9|60000",
		["conditions"] = "32|0|150",
		["id"] = 113,
		["desc"] = "任意将领培养150次",
	},
	["114"] = {
		["name"] = "将领培养",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 3,
		["awards"] = "1|9|60000",
		["conditions"] = "32|0|200",
		["id"] = 114,
		["desc"] = "任意将领培养200次",
	},
	["115"] = {
		["name"] = "将领培养",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 3,
		["awards"] = "1|9|60000",
		["conditions"] = "32|0|250",
		["id"] = 115,
		["desc"] = "任意将领培养250次",
	},
	["116"] = {
		["name"] = "将领培养",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 3,
		["awards"] = "1|9|60000",
		["conditions"] = "32|0|300",
		["id"] = 116,
		["desc"] = "任意将领培养300次",
	},
	["117"] = {
		["name"] = "将领培养",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 3,
		["awards"] = "1|9|100000",
		["conditions"] = "32|0|400",
		["id"] = 117,
		["desc"] = "任意将领培养400次",
	},
	["118"] = {
		["name"] = "将领培养",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 3,
		["awards"] = "1|9|100000",
		["conditions"] = "32|0|500",
		["id"] = 118,
		["desc"] = "任意将领培养500次",
	},
	["119"] = {
		["name"] = "特价限购",
		["schedule"] = 0,
		["type"] = 4,
		["days"] = 3,
		["awards"] = "4|459|1",
		["conditions"] = "44|1000|200",
		["id"] = 119,
		["desc"] = "",
	},
	["120"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 4,
		["awards"] = "1|22|2",
		["conditions"] = "81|0|1",
		["id"] = 120,
		["desc"] = "任意兵器库挑战1次",
	},
	["121"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 4,
		["awards"] = "1|22|2",
		["conditions"] = "81|0|3",
		["id"] = 121,
		["desc"] = "任意兵器库挑战3次",
	},
	["122"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 4,
		["awards"] = "1|22|3",
		["conditions"] = "81|0|6",
		["id"] = 122,
		["desc"] = "任意兵器库挑战6次",
	},
	["123"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 4,
		["awards"] = "1|22|3",
		["conditions"] = "81|0|10",
		["id"] = 123,
		["desc"] = "任意兵器库挑战10次",
	},
	["124"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 4,
		["awards"] = "1|22|4",
		["conditions"] = "81|0|15",
		["id"] = 124,
		["desc"] = "任意兵器库挑战15次",
	},
	["125"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 4,
		["awards"] = "1|22|4",
		["conditions"] = "81|0|20",
		["id"] = 125,
		["desc"] = "任意兵器库挑战20次",
	},
	["126"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 4,
		["awards"] = "1|22|5",
		["conditions"] = "81|0|30",
		["id"] = 126,
		["desc"] = "任意兵器库挑战30次",
	},
	["127"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 4,
		["awards"] = "1|22|6",
		["conditions"] = "81|0|50",
		["id"] = 127,
		["desc"] = "任意兵器库挑战50次",
	},
	["128"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 4,
		["awards"] = "1|22|7",
		["conditions"] = "81|0|70",
		["id"] = 128,
		["desc"] = "任意兵器库挑战70次",
	},
	["129"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 4,
		["awards"] = "1|22|10",
		["conditions"] = "81|0|100",
		["id"] = 129,
		["desc"] = "任意兵器库挑战100次",
	},
	["130"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 4,
		["awards"] = "1|22|12",
		["conditions"] = "81|0|150",
		["id"] = 130,
		["desc"] = "任意兵器库挑战150次",
	},
	["131"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 4,
		["awards"] = "1|22|15",
		["conditions"] = "81|0|200",
		["id"] = 131,
		["desc"] = "任意兵器库挑战200次",
	},
	["132"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|2000",
		["conditions"] = "77|2|1",
		["id"] = 132,
		["desc"] = "获得绿色品质的兵器1把",
	},
	["133"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|4000",
		["conditions"] = "77|2|5",
		["id"] = 133,
		["desc"] = "获得绿色品质的兵器5把",
	},
	["134"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|10000",
		["conditions"] = "77|2|10",
		["id"] = 134,
		["desc"] = "获得绿色品质的兵器10把",
	},
	["135"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|10000",
		["conditions"] = "77|2|20",
		["id"] = 135,
		["desc"] = "获得绿色品质的兵器20把",
	},
	["136"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|10000",
		["conditions"] = "77|3|1",
		["id"] = 136,
		["desc"] = "获得蓝色品质的兵器1把",
	},
	["137"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|15000",
		["conditions"] = "77|3|5",
		["id"] = 137,
		["desc"] = "获得蓝色品质的兵器5把",
	},
	["138"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|20000",
		["conditions"] = "77|3|10",
		["id"] = 138,
		["desc"] = "获得蓝色品质的兵器10把",
	},
	["139"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|20000",
		["conditions"] = "77|3|20",
		["id"] = 139,
		["desc"] = "获得蓝色品质的兵器20把",
	},
	["140"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|20000",
		["conditions"] = "77|4|1",
		["id"] = 140,
		["desc"] = "获得蓝色+1品质的兵器1把",
	},
	["141"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|30000",
		["conditions"] = "77|4|5",
		["id"] = 141,
		["desc"] = "获得蓝色+1品质的兵器5把",
	},
	["142"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|50000",
		["conditions"] = "77|4|10",
		["id"] = 142,
		["desc"] = "获得蓝色+1品质的兵器10把",
	},
	["143"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|50000",
		["conditions"] = "77|4|20",
		["id"] = 143,
		["desc"] = "获得蓝色+1品质的兵器20把",
	},
	["144"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|60000",
		["conditions"] = "77|5|1",
		["id"] = 144,
		["desc"] = "获得紫色品质的兵器1把",
	},
	["145"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|80000",
		["conditions"] = "77|5|5",
		["id"] = 145,
		["desc"] = "获得紫色品质的兵器5把",
	},
	["146"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|80000",
		["conditions"] = "77|5|10",
		["id"] = 146,
		["desc"] = "获得紫色品质的兵器10把",
	},
	["147"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|100000",
		["conditions"] = "77|6|1",
		["id"] = 147,
		["desc"] = "获得紫色+1品质的兵器1把",
	},
	["148"] = {
		["name"] = "兵器获取",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 4,
		["awards"] = "1|10|100000",
		["conditions"] = "77|6|5",
		["id"] = 148,
		["desc"] = "获得紫色+1品质的兵器5把",
	},
	["149"] = {
		["name"] = "兵器锻造",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 4,
		["awards"] = "1|22|3",
		["conditions"] = "79|1|1",
		["id"] = 149,
		["desc"] = "1把兵器锻造等级达到1级",
	},
	["150"] = {
		["name"] = "兵器锻造",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 4,
		["awards"] = "1|22|3",
		["conditions"] = "79|1|2",
		["id"] = 150,
		["desc"] = "2把兵器锻造等级达到1级",
	},
	["151"] = {
		["name"] = "兵器锻造",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 4,
		["awards"] = "1|22|3",
		["conditions"] = "79|1|3",
		["id"] = 151,
		["desc"] = "3把兵器锻造等级达到1级",
	},
	["152"] = {
		["name"] = "兵器锻造",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 4,
		["awards"] = "1|22|4",
		["conditions"] = "79|2|1",
		["id"] = 152,
		["desc"] = "1把兵器锻造等级达到2级",
	},
	["153"] = {
		["name"] = "兵器锻造",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 4,
		["awards"] = "1|22|4",
		["conditions"] = "79|2|2",
		["id"] = 153,
		["desc"] = "2把兵器锻造等级达到2级",
	},
	["154"] = {
		["name"] = "兵器锻造",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 4,
		["awards"] = "1|22|4",
		["conditions"] = "79|2|3",
		["id"] = 154,
		["desc"] = "3把兵器锻造等级达到2级",
	},
	["155"] = {
		["name"] = "兵器锻造",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 4,
		["awards"] = "1|22|5",
		["conditions"] = "79|3|2",
		["id"] = 155,
		["desc"] = "2把兵器锻造等级达到3级",
	},
	["156"] = {
		["name"] = "兵器锻造",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 4,
		["awards"] = "1|22|5",
		["conditions"] = "79|3|3",
		["id"] = 156,
		["desc"] = "3把兵器锻造等级达到3级",
	},
	["157"] = {
		["name"] = "兵器锻造",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 4,
		["awards"] = "1|22|6",
		["conditions"] = "79|4|1",
		["id"] = 157,
		["desc"] = "1把兵器锻造等级达到4级",
	},
	["158"] = {
		["name"] = "兵器锻造",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 4,
		["awards"] = "1|22|6",
		["conditions"] = "79|4|2",
		["id"] = 158,
		["desc"] = "2把兵器锻造等级达到4级",
	},
	["159"] = {
		["name"] = "兵器锻造",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 4,
		["awards"] = "1|22|6",
		["conditions"] = "79|4|3",
		["id"] = 159,
		["desc"] = "3把兵器锻造等级达到4级",
	},
	["160"] = {
		["name"] = "兵器锻造",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 4,
		["awards"] = "1|22|10",
		["conditions"] = "79|5|1",
		["id"] = 160,
		["desc"] = "1把兵器锻造等级达到5级",
	},
	["161"] = {
		["name"] = "兵器锻造",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 4,
		["awards"] = "1|22|10",
		["conditions"] = "79|5|2",
		["id"] = 161,
		["desc"] = "2把兵器锻造等级达到5级",
	},
	["162"] = {
		["name"] = "特价限购",
		["schedule"] = 0,
		["type"] = 4,
		["days"] = 4,
		["awards"] = "4|1|200",
		["conditions"] = "44|400|320",
		["id"] = 162,
		["desc"] = "",
	},
	["163"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 5,
		["awards"] = "1|2|5000",
		["conditions"] = "30|0|5",
		["id"] = 163,
		["desc"] = "精英副本挑战5次",
	},
	["164"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 5,
		["awards"] = "1|2|10000",
		["conditions"] = "30|0|10",
		["id"] = 164,
		["desc"] = "精英副本挑战10次",
	},
	["165"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 5,
		["awards"] = "1|2|15000",
		["conditions"] = "30|0|15",
		["id"] = 165,
		["desc"] = "精英副本挑战15次",
	},
	["166"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 5,
		["awards"] = "1|2|20000",
		["conditions"] = "30|0|20",
		["id"] = 166,
		["desc"] = "精英副本挑战20次",
	},
	["167"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 5,
		["awards"] = "1|2|25000",
		["conditions"] = "30|0|30",
		["id"] = 167,
		["desc"] = "精英副本挑战30次",
	},
	["168"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 5,
		["awards"] = "1|2|40000",
		["conditions"] = "30|0|40",
		["id"] = 168,
		["desc"] = "精英副本挑战40次",
	},
	["169"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 5,
		["awards"] = "1|2|60000",
		["conditions"] = "30|0|60",
		["id"] = 169,
		["desc"] = "精英副本挑战60次",
	},
	["170"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 5,
		["awards"] = "1|2|100000",
		["conditions"] = "30|0|80",
		["id"] = 170,
		["desc"] = "精英副本挑战80次",
	},
	["171"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 5,
		["awards"] = "1|2|150000",
		["conditions"] = "30|0|120",
		["id"] = 171,
		["desc"] = "精英副本挑战120次",
	},
	["172"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 5,
		["awards"] = "1|2|200000",
		["conditions"] = "30|0|160",
		["id"] = 172,
		["desc"] = "精英副本挑战160次",
	},
	["173"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 5,
		["awards"] = "1|2|300000",
		["conditions"] = "30|0|200",
		["id"] = 173,
		["desc"] = "精英副本挑战200次",
	},
	["174"] = {
		["name"] = "将领升星",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 5,
		["awards"] = "4|139|20",
		["conditions"] = "33|1|1",
		["id"] = 174,
		["desc"] = "1名将领升至1星",
	},
	["175"] = {
		["name"] = "将领升星",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 5,
		["awards"] = "4|139|40",
		["conditions"] = "33|1|2",
		["id"] = 175,
		["desc"] = "2名将领升至1星",
	},
	["176"] = {
		["name"] = "将领升星",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 5,
		["awards"] = "4|139|60",
		["conditions"] = "33|1|3",
		["id"] = 176,
		["desc"] = "3名将领升至1星",
	},
	["177"] = {
		["name"] = "将领升星",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 5,
		["awards"] = "4|139|80",
		["conditions"] = "33|2|1",
		["id"] = 177,
		["desc"] = "1名将领升至2星",
	},
	["178"] = {
		["name"] = "将领升星",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 5,
		["awards"] = "4|139|100",
		["conditions"] = "33|2|2",
		["id"] = 178,
		["desc"] = "2名将领升至2星",
	},
	["179"] = {
		["name"] = "将领升星",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 5,
		["awards"] = "4|139|150",
		["conditions"] = "33|2|3",
		["id"] = 179,
		["desc"] = "3名将领升至2星",
	},
	["180"] = {
		["name"] = "将领升星",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 5,
		["awards"] = "4|139|150",
		["conditions"] = "33|3|1",
		["id"] = 180,
		["desc"] = "1名将领升至3星",
	},
	["181"] = {
		["name"] = "将领升星",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 5,
		["awards"] = "4|139|200",
		["conditions"] = "33|3|2",
		["id"] = 181,
		["desc"] = "2名将领升至3星",
	},
	["182"] = {
		["name"] = "将领升星",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 5,
		["awards"] = "4|139|200",
		["conditions"] = "33|3|3",
		["id"] = 182,
		["desc"] = "3名将领升至3星",
	},
	["183"] = {
		["name"] = "将领升星",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 5,
		["awards"] = "4|139|200",
		["conditions"] = "33|3|4",
		["id"] = 183,
		["desc"] = "4名将领升至3星",
	},
	["184"] = {
		["name"] = "将领升星",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 5,
		["awards"] = "4|139|200",
		["conditions"] = "33|3|5",
		["id"] = 184,
		["desc"] = "5名将领升至3星",
	},
	["185"] = {
		["name"] = "将领升星",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 5,
		["awards"] = "4|139|500",
		["conditions"] = "33|4|1",
		["id"] = 185,
		["desc"] = "1名将领升至4星",
	},
	["186"] = {
		["name"] = "将领升星",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 5,
		["awards"] = "4|139|500",
		["conditions"] = "33|4|2",
		["id"] = 186,
		["desc"] = "2名将领升至4星",
	},
	["187"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "4|1|10",
		["conditions"] = "54|3|1",
		["id"] = 187,
		["desc"] = "洗练1把拥有3条属性的兵器",
	},
	["188"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "4|1|10",
		["conditions"] = "54|5|1",
		["id"] = 188,
		["desc"] = "洗练1把拥有5条属性的兵器",
	},
	["189"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "4|1|15",
		["conditions"] = "54|6|1",
		["id"] = 189,
		["desc"] = "洗练1把拥有6条属性的兵器",
	},
	["190"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "4|1|15",
		["conditions"] = "54|5|2",
		["id"] = 190,
		["desc"] = "洗练2把拥有5条属性的兵器",
	},
	["191"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "4|1|15",
		["conditions"] = "54|6|2",
		["id"] = 191,
		["desc"] = "洗练2把拥有6条属性的兵器",
	},
	["192"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "4|1|20",
		["conditions"] = "54|5|3",
		["id"] = 192,
		["desc"] = "洗练3把拥有5条属性的兵器",
	},
	["193"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "4|1|20",
		["conditions"] = "54|6|3",
		["id"] = 193,
		["desc"] = "洗练3把拥有6条属性的兵器",
	},
	["194"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "4|1|30",
		["conditions"] = "54|6|4",
		["id"] = 194,
		["desc"] = "洗练4把拥有6条属性的兵器",
	},
	["195"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "1|2|10000",
		["conditions"] = "20|0|1",
		["id"] = 195,
		["desc"] = "任意饰品洗练1次",
	},
	["196"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "1|2|20000",
		["conditions"] = "20|0|5",
		["id"] = 196,
		["desc"] = "任意饰品洗练5次",
	},
	["197"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "1|2|30000",
		["conditions"] = "20|0|10",
		["id"] = 197,
		["desc"] = "任意饰品洗练10次",
	},
	["198"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "1|2|50000",
		["conditions"] = "20|0|15",
		["id"] = 198,
		["desc"] = "任意饰品洗练15次",
	},
	["199"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "1|2|70000",
		["conditions"] = "20|0|20",
		["id"] = 199,
		["desc"] = "任意饰品洗练20次",
	},
	["200"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "1|2|90000",
		["conditions"] = "20|0|30",
		["id"] = 200,
		["desc"] = "任意饰品洗练30次",
	},
	["201"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "1|2|120000",
		["conditions"] = "20|0|50",
		["id"] = 201,
		["desc"] = "任意饰品洗练50次",
	},
	["202"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "1|2|150000",
		["conditions"] = "20|0|80",
		["id"] = 202,
		["desc"] = "任意饰品洗练80次",
	},
	["203"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "1|2|200000",
		["conditions"] = "20|0|100",
		["id"] = 203,
		["desc"] = "任意饰品洗练100次",
	},
	["204"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "1|2|250000",
		["conditions"] = "20|0|150",
		["id"] = 204,
		["desc"] = "任意饰品洗练150次",
	},
	["205"] = {
		["name"] = "洗练",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 5,
		["awards"] = "1|2|300000",
		["conditions"] = "20|0|200",
		["id"] = 205,
		["desc"] = "任意饰品洗练200次",
	},
	["206"] = {
		["name"] = "特价限购",
		["schedule"] = 0,
		["type"] = 4,
		["days"] = 5,
		["awards"] = "1|22|12",
		["conditions"] = "44|1200|960",
		["id"] = 206,
		["desc"] = "",
	},
	["207"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 6,
		["awards"] = "1|11|60",
		["conditions"] = "98|0|10",
		["id"] = 207,
		["desc"] = "当日粮草数量达到10",
	},
	["208"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 6,
		["awards"] = "1|11|80",
		["conditions"] = "98|0|20",
		["id"] = 208,
		["desc"] = "当日粮草数量达到20",
	},
	["209"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 6,
		["awards"] = "1|11|100",
		["conditions"] = "98|0|30",
		["id"] = 209,
		["desc"] = "当日粮草数量达到30",
	},
	["210"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 6,
		["awards"] = "1|11|120",
		["conditions"] = "98|0|50",
		["id"] = 210,
		["desc"] = "当日粮草数量达到50",
	},
	["211"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 6,
		["awards"] = "1|11|200",
		["conditions"] = "98|0|100",
		["id"] = 211,
		["desc"] = "当日粮草数量达到100",
	},
	["212"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 6,
		["awards"] = "1|11|300",
		["conditions"] = "98|0|150",
		["id"] = 212,
		["desc"] = "当日粮草数量达到150",
	},
	["213"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 6,
		["awards"] = "1|11|400",
		["conditions"] = "98|0|200",
		["id"] = 213,
		["desc"] = "当日粮草数量达到200",
	},
	["214"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 6,
		["awards"] = "1|11|500",
		["conditions"] = "98|0|300",
		["id"] = 214,
		["desc"] = "当日粮草数量达到300",
	},
	["215"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 6,
		["awards"] = "1|11|600",
		["conditions"] = "98|0|500",
		["id"] = 215,
		["desc"] = "当日粮草数量达到500",
	},
	["216"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 6,
		["awards"] = "1|11|700",
		["conditions"] = "98|0|700",
		["id"] = 216,
		["desc"] = "当日粮草数量达到700",
	},
	["217"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 6,
		["awards"] = "1|11|800",
		["conditions"] = "98|0|900",
		["id"] = 217,
		["desc"] = "当日粮草数量达到900",
	},
	["218"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 6,
		["awards"] = "1|11|900",
		["conditions"] = "98|0|1200",
		["id"] = 218,
		["desc"] = "当日粮草数量达到1200",
	},
	["219"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 6,
		["awards"] = "1|11|1000",
		["conditions"] = "98|0|1500",
		["id"] = 219,
		["desc"] = "当日粮草数量达到1500",
	},
	["220"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|10",
		["conditions"] = "99|0|900",
		["id"] = 220,
		["desc"] = "武神榜最高排名达到第900名",
	},
	["221"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|10",
		["conditions"] = "99|0|700",
		["id"] = 221,
		["desc"] = "武神榜最高排名达到第700名",
	},
	["222"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|15",
		["conditions"] = "99|0|500",
		["id"] = 222,
		["desc"] = "武神榜最高排名达到第500名",
	},
	["223"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|15",
		["conditions"] = "99|0|300",
		["id"] = 223,
		["desc"] = "武神榜最高排名达到第300名",
	},
	["224"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|20",
		["conditions"] = "99|0|100",
		["id"] = 224,
		["desc"] = "武神榜最高排名达到第100名",
	},
	["225"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|25",
		["conditions"] = "99|0|70",
		["id"] = 225,
		["desc"] = "武神榜最高排名达到第70名",
	},
	["226"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|30",
		["conditions"] = "99|0|50",
		["id"] = 226,
		["desc"] = "武神榜最高排名达到第50名",
	},
	["227"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|30",
		["conditions"] = "99|0|30",
		["id"] = 227,
		["desc"] = "武神榜最高排名达到第30名",
	},
	["228"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|50",
		["conditions"] = "99|0|20",
		["id"] = 228,
		["desc"] = "武神榜最高排名达到第20名",
	},
	["229"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|100",
		["conditions"] = "99|0|10",
		["id"] = 229,
		["desc"] = "武神榜最高排名达到第10名",
	},
	["230"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|200",
		["conditions"] = "99|0|5",
		["id"] = 230,
		["desc"] = "武神榜最高排名达到第5名",
	},
	["231"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|300",
		["conditions"] = "99|0|3",
		["id"] = 231,
		["desc"] = "武神榜最高排名达到第3名",
	},
	["232"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|400",
		["conditions"] = "99|0|2",
		["id"] = 232,
		["desc"] = "武神榜最高排名达到第2名",
	},
	["233"] = {
		["name"] = "武神榜",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 6,
		["awards"] = "1|1|500",
		["conditions"] = "99|0|1",
		["id"] = 233,
		["desc"] = "武神榜最高排名达到第1名",
	},
	["234"] = {
		["name"] = "熟练度",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 6,
		["awards"] = "1|2|20000",
		["conditions"] = "61|1|1",
		["id"] = 234,
		["desc"] = "各熟练度技能研习到1级",
	},
	["235"] = {
		["name"] = "熟练度",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 6,
		["awards"] = "1|2|30000",
		["conditions"] = "61|2|1",
		["id"] = 235,
		["desc"] = "各熟练度技能研习到2级",
	},
	["236"] = {
		["name"] = "熟练度",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 6,
		["awards"] = "1|2|40000",
		["conditions"] = "61|3|1",
		["id"] = 236,
		["desc"] = "各熟练度技能研习到3级",
	},
	["237"] = {
		["name"] = "熟练度",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 6,
		["awards"] = "1|2|50000",
		["conditions"] = "61|4|1",
		["id"] = 237,
		["desc"] = "各熟练度技能研习到4级",
	},
	["238"] = {
		["name"] = "熟练度",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 6,
		["awards"] = "1|2|60000",
		["conditions"] = "61|5|1",
		["id"] = 238,
		["desc"] = "各熟练度技能研习到5级",
	},
	["239"] = {
		["name"] = "熟练度",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 6,
		["awards"] = "1|2|70000",
		["conditions"] = "61|6|1",
		["id"] = 239,
		["desc"] = "各熟练度技能研习到6级",
	},
	["240"] = {
		["name"] = "熟练度",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 6,
		["awards"] = "1|2|80000",
		["conditions"] = "61|7|1",
		["id"] = 240,
		["desc"] = "各熟练度技能研习到7级",
	},
	["241"] = {
		["name"] = "熟练度",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 6,
		["awards"] = "1|2|90000",
		["conditions"] = "61|8|1",
		["id"] = 241,
		["desc"] = "各熟练度技能研习到8级",
	},
	["242"] = {
		["name"] = "熟练度",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 6,
		["awards"] = "1|2|100000",
		["conditions"] = "61|9|1",
		["id"] = 242,
		["desc"] = "各熟练度技能研习到9级",
	},
	["243"] = {
		["name"] = "熟练度",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 6,
		["awards"] = "1|2|150000",
		["conditions"] = "61|10|1",
		["id"] = 243,
		["desc"] = "各熟练度技能研习到10级",
	},
	["244"] = {
		["name"] = "特价限购",
		["schedule"] = 0,
		["type"] = 4,
		["days"] = 6,
		["awards"] = "4|139|1000",
		["conditions"] = "44|6000|4800",
		["id"] = 244,
		["desc"] = "",
	},
	["245"] = {
		["name"] = "每日目标",
		["schedule"] = 0,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "3|69|1,3|30|1,3|34|1,3|81|1,3|96|1,3|95|1",
		["conditions"] = "48|0|0",
		["id"] = 245,
		["desc"] = "今日登录赠送",
	},
	["246"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|1000,1|10|1000",
		["conditions"] = "90|6|2|2",
		["id"] = 246,
		["desc"] = "拥有2个2级木场",
	},
	["247"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|1000,1|10|1000",
		["conditions"] = "90|7|2|2",
		["id"] = 247,
		["desc"] = "拥有2个2级矿场",
	},
	["248"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|2000,1|10|2000",
		["conditions"] = "90|6|2|3",
		["id"] = 248,
		["desc"] = "拥有2个3级木场",
	},
	["249"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|2000,1|10|2000",
		["conditions"] = "90|7|2|3",
		["id"] = 249,
		["desc"] = "拥有2个3级矿场",
	},
	["250"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|5000,1|10|5000",
		["conditions"] = "90|6|3|4",
		["id"] = 250,
		["desc"] = "拥有3个4级木场",
	},
	["251"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|5000,1|10|5000",
		["conditions"] = "90|7|3|4",
		["id"] = 251,
		["desc"] = "拥有3个4级矿场",
	},
	["252"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|10000,1|10|10000",
		["conditions"] = "90|6|4|5",
		["id"] = 252,
		["desc"] = "拥有4个5级木场",
	},
	["253"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|10000,1|10|10000",
		["conditions"] = "90|7|4|5",
		["id"] = 253,
		["desc"] = "拥有4个5级矿场",
	},
	["254"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|30000,1|10|30000",
		["conditions"] = "90|6|5|6",
		["id"] = 254,
		["desc"] = "拥有5个6级木场",
	},
	["255"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|30000,1|10|30000",
		["conditions"] = "90|7|5|6",
		["id"] = 255,
		["desc"] = "拥有5个6级矿场",
	},
	["256"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|50000,1|10|50000",
		["conditions"] = "90|6|6|7",
		["id"] = 256,
		["desc"] = "拥有6个7级木场",
	},
	["257"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|50000,1|10|50000",
		["conditions"] = "90|7|6|7",
		["id"] = 257,
		["desc"] = "拥有6个7级矿场",
	},
	["258"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|80000,1|10|80000",
		["conditions"] = "90|6|7|8",
		["id"] = 258,
		["desc"] = "拥有7个8级木场",
	},
	["259"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|80000,1|10|80000",
		["conditions"] = "90|7|7|8",
		["id"] = 259,
		["desc"] = "拥有7个8级矿场",
	},
	["260"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|100000,1|10|100000",
		["conditions"] = "90|6|8|9",
		["id"] = 260,
		["desc"] = "拥有8个9级木场",
	},
	["261"] = {
		["name"] = "每日目标",
		["schedule"] = 1,
		["type"] = 1,
		["days"] = 7,
		["awards"] = "1|9|100000,1|10|100000",
		["conditions"] = "90|7|8|9",
		["id"] = 261,
		["desc"] = "拥有8个9级矿场",
	},
	["262"] = {
		["name"] = "等级突破",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 7,
		["awards"] = "1|1|50",
		["conditions"] = "1|0|35",
		["id"] = 262,
		["desc"] = "等级达到35级",
	},
	["263"] = {
		["name"] = "等级突破",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 7,
		["awards"] = "1|1|60",
		["conditions"] = "1|0|37",
		["id"] = 263,
		["desc"] = "等级达到37级",
	},
	["264"] = {
		["name"] = "等级突破",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 7,
		["awards"] = "1|1|70",
		["conditions"] = "1|0|40",
		["id"] = 264,
		["desc"] = "等级达到40级",
	},
	["265"] = {
		["name"] = "等级突破",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 7,
		["awards"] = "1|1|80",
		["conditions"] = "1|0|42",
		["id"] = 265,
		["desc"] = "等级达到42级",
	},
	["266"] = {
		["name"] = "等级突破",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 7,
		["awards"] = "1|1|90",
		["conditions"] = "1|0|45",
		["id"] = 266,
		["desc"] = "等级达到45级",
	},
	["267"] = {
		["name"] = "等级突破",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 7,
		["awards"] = "1|1|100",
		["conditions"] = "1|0|50",
		["id"] = 267,
		["desc"] = "等级达到50级",
	},
	["268"] = {
		["name"] = "等级突破",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 7,
		["awards"] = "1|1|110",
		["conditions"] = "1|0|52",
		["id"] = 268,
		["desc"] = "等级达到52级",
	},
	["269"] = {
		["name"] = "等级突破",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 7,
		["awards"] = "1|1|120",
		["conditions"] = "1|0|55",
		["id"] = 269,
		["desc"] = "等级达到55级",
	},
	["270"] = {
		["name"] = "等级突破",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 7,
		["awards"] = "1|1|150",
		["conditions"] = "1|0|60",
		["id"] = 270,
		["desc"] = "等级达到60级",
	},
	["271"] = {
		["name"] = "等级突破",
		["schedule"] = 1,
		["type"] = 2,
		["days"] = 7,
		["awards"] = "1|1|200",
		["conditions"] = "1|0|70",
		["id"] = 271,
		["desc"] = "等级达到70级",
	},
	["272"] = {
		["name"] = "战力突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 7,
		["awards"] = "1|1|50",
		["conditions"] = "87|0|330000",
		["id"] = 272,
		["desc"] = "战斗力达到330000",
	},
	["273"] = {
		["name"] = "战力突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 7,
		["awards"] = "1|1|50",
		["conditions"] = "87|0|380000",
		["id"] = 273,
		["desc"] = "战斗力达到380000",
	},
	["274"] = {
		["name"] = "战力突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 7,
		["awards"] = "1|1|60",
		["conditions"] = "87|0|430000",
		["id"] = 274,
		["desc"] = "战斗力达到430000",
	},
	["275"] = {
		["name"] = "战力突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 7,
		["awards"] = "1|1|60",
		["conditions"] = "87|0|490000",
		["id"] = 275,
		["desc"] = "战斗力达到490000",
	},
	["276"] = {
		["name"] = "战力突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 7,
		["awards"] = "1|1|80",
		["conditions"] = "87|0|540000",
		["id"] = 276,
		["desc"] = "战斗力达到540000",
	},
	["277"] = {
		["name"] = "战力突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 7,
		["awards"] = "1|1|80",
		["conditions"] = "87|0|600000",
		["id"] = 277,
		["desc"] = "战斗力达到600000",
	},
	["278"] = {
		["name"] = "战力突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 7,
		["awards"] = "1|1|100",
		["conditions"] = "87|0|700000",
		["id"] = 278,
		["desc"] = "战斗力达到700000",
	},
	["279"] = {
		["name"] = "战力突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 7,
		["awards"] = "1|1|100",
		["conditions"] = "87|0|800000",
		["id"] = 279,
		["desc"] = "战斗力达到800000",
	},
	["280"] = {
		["name"] = "战力突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 7,
		["awards"] = "1|1|200",
		["conditions"] = "87|0|900000",
		["id"] = 280,
		["desc"] = "战斗力达到900000",
	},
	["281"] = {
		["name"] = "战力突破",
		["schedule"] = 1,
		["type"] = 3,
		["days"] = 7,
		["awards"] = "1|1|200",
		["conditions"] = "87|0|1000000",
		["id"] = 281,
		["desc"] = "战斗力达到1000000",
	},
	["282"] = {
		["name"] = "特价限购",
		["schedule"] = 0,
		["type"] = 4,
		["days"] = 7,
		["awards"] = "1|2|5000000",
		["conditions"] = "44|2500|1250",
		["id"] = 282,
		["desc"] = "",
	},
}
return sevenDay