-- 武器强化.xls
-- {
-- 	id = 强化等级
-- 	rate = 成功率
-- 	must = 元宝必成消耗
-- 	moneyBase = 强化银两基数
-- 	rate1 = +1暴击率
-- 	rate3 = +3暴击率
-- 	rate5 = +5暴击率
-- 	needAdvanced = 所需进阶次数
-- 	item1 = 材料1
-- 	item2 = 材料2
-- 	item3 = 材料3
-- 	item4 = 材料4
-- 	item5 = 材料5
-- 	item6 = 材料6
-- 	item7 = 材料7
-- }
local weapon_strengthen = {
	["1"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1,4|450|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1,4|623|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1,4|453|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 1,
		["must"] = 0,
	},
	["2"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1,4|450|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1,4|452|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 2,
		["must"] = 0,
	},
	["3"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1,4|451|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1,4|453|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 3,
		["must"] = 0,
	},
	["4"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1,4|450|2",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1,4|623|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1,4|452|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 4,
		["must"] = 0,
	},
	["5"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1,4|453|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 5,
		["must"] = 0,
	},
	["6"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1,4|450|2",
		["item3"] = "4|561|1,4|562|1,4|451|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1,4|452|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 6,
		["must"] = 0,
	},
	["7"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1,4|623|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1,4|453|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 7,
		["must"] = 0,
	},
	["8"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1,4|450|2",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1,4|452|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 8,
		["must"] = 0,
	},
	["9"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1,4|451|2",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1,4|453|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 9,
		["must"] = 0,
	},
	["10"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1,4|623|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1,4|452|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 10,
		["must"] = 0,
	},
	["11"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1,4|453|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 11,
		["must"] = 0,
	},
	["12"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1,4|451|2",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1,4|452|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 12,
		["must"] = 0,
	},
	["13"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1,4|623|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1,4|453|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 13,
		["must"] = 0,
	},
	["14"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1,4|452|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 14,
		["must"] = 0,
	},
	["15"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1,4|453|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 15,
		["must"] = 0,
	},
	["16"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1,4|623|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1,4|452|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 16,
		["must"] = 0,
	},
	["17"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1,4|452|1",
		["item5"] = "4|583|1,4|584|1,4|453|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 17,
		["must"] = 0,
	},
	["18"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1,4|452|2",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 18,
		["must"] = 0,
	},
	["19"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1,4|623|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1,4|452|2",
		["item5"] = "4|583|1,4|584|1,4|453|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 19,
		["must"] = 0,
	},
	["20"] = {
		["needAdvanced"] = 1,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 20,
		["must"] = 0,
	},
	["21"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1,4|453|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 21,
		["must"] = 0,
	},
	["22"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1,4|623|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 22,
		["must"] = 0,
	},
	["23"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1,4|453|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 23,
		["must"] = 0,
	},
	["24"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 24,
		["must"] = 0,
	},
	["25"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1,4|623|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 25,
		["must"] = 0,
	},
	["26"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 26,
		["must"] = 0,
	},
	["27"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 27,
		["must"] = 0,
	},
	["28"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1,4|623|2",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 28,
		["must"] = 0,
	},
	["29"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 29,
		["must"] = 0,
	},
	["30"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 30,
		["must"] = 0,
	},
	["31"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 31,
		["must"] = 0,
	},
	["32"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 32,
		["must"] = 0,
	},
	["33"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2,4|670|1",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 33,
		["must"] = 0,
	},
	["34"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 34,
		["must"] = 0,
	},
	["35"] = {
		["needAdvanced"] = 2,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 35,
		["must"] = 0,
	},
	["36"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 36,
		["must"] = 0,
	},
	["37"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 37,
		["must"] = 0,
	},
	["38"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 38,
		["must"] = 0,
	},
	["39"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 39,
		["must"] = 0,
	},
	["40"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 40,
		["must"] = 0,
	},
	["41"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 41,
		["must"] = 0,
	},
	["42"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 42,
		["must"] = 0,
	},
	["43"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 43,
		["must"] = 0,
	},
	["44"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 44,
		["must"] = 0,
	},
	["45"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 45,
		["must"] = 0,
	},
	["46"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 46,
		["must"] = 0,
	},
	["47"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 47,
		["must"] = 0,
	},
	["48"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 48,
		["must"] = 0,
	},
	["49"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 49,
		["must"] = 0,
	},
	["50"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 50,
		["must"] = 0,
	},
	["51"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 51,
		["must"] = 0,
	},
	["52"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 52,
		["must"] = 0,
	},
	["53"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 53,
		["must"] = 0,
	},
	["54"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 54,
		["must"] = 0,
	},
	["55"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 55,
		["must"] = 0,
	},
	["56"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 56,
		["must"] = 0,
	},
	["57"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 57,
		["must"] = 0,
	},
	["58"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 58,
		["must"] = 0,
	},
	["59"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 59,
		["must"] = 0,
	},
	["60"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 60,
		["must"] = 0,
	},
	["61"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 61,
		["must"] = 0,
	},
	["62"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 62,
		["must"] = 0,
	},
	["63"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 63,
		["must"] = 0,
	},
	["64"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 64,
		["must"] = 0,
	},
	["65"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 65,
		["must"] = 0,
	},
	["66"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 66,
		["must"] = 0,
	},
	["67"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 67,
		["must"] = 0,
	},
	["68"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 68,
		["must"] = 0,
	},
	["69"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 69,
		["must"] = 0,
	},
	["70"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 70,
		["must"] = 0,
	},
	["71"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 71,
		["must"] = 0,
	},
	["72"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 72,
		["must"] = 0,
	},
	["73"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 73,
		["must"] = 0,
	},
	["74"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 74,
		["must"] = 0,
	},
	["75"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 75,
		["must"] = 0,
	},
	["76"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 76,
		["must"] = 0,
	},
	["77"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 77,
		["must"] = 0,
	},
	["78"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 78,
		["must"] = 0,
	},
	["79"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 79,
		["must"] = 0,
	},
	["80"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 80,
		["must"] = 0,
	},
	["81"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 81,
		["must"] = 0,
	},
	["82"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 82,
		["must"] = 0,
	},
	["83"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 83,
		["must"] = 0,
	},
	["84"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 84,
		["must"] = 0,
	},
	["85"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 85,
		["must"] = 0,
	},
	["86"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 86,
		["must"] = 0,
	},
	["87"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 87,
		["must"] = 0,
	},
	["88"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 88,
		["must"] = 0,
	},
	["89"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 89,
		["must"] = 0,
	},
	["90"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 90,
		["must"] = 0,
	},
	["91"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 91,
		["must"] = 0,
	},
	["92"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 92,
		["must"] = 0,
	},
	["93"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 93,
		["must"] = 0,
	},
	["94"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 94,
		["must"] = 0,
	},
	["95"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 95,
		["must"] = 0,
	},
	["96"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 96,
		["must"] = 0,
	},
	["97"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 97,
		["must"] = 0,
	},
	["98"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 98,
		["must"] = 0,
	},
	["99"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 99,
		["must"] = 0,
	},
	["100"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 100,
		["must"] = 0,
	},
	["101"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 101,
		["must"] = 0,
	},
	["102"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 102,
		["must"] = 0,
	},
	["103"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 103,
		["must"] = 0,
	},
	["104"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 104,
		["must"] = 0,
	},
	["105"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 105,
		["must"] = 0,
	},
	["106"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 106,
		["must"] = 0,
	},
	["107"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 107,
		["must"] = 0,
	},
	["108"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 108,
		["must"] = 0,
	},
	["109"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 109,
		["must"] = 0,
	},
	["110"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 110,
		["must"] = 0,
	},
	["111"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 111,
		["must"] = 0,
	},
	["112"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 112,
		["must"] = 0,
	},
	["113"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 113,
		["must"] = 0,
	},
	["114"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 114,
		["must"] = 0,
	},
	["115"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 115,
		["must"] = 0,
	},
	["116"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 116,
		["must"] = 0,
	},
	["117"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 117,
		["must"] = 0,
	},
	["118"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 118,
		["must"] = 0,
	},
	["119"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 119,
		["must"] = 0,
	},
	["120"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 120,
		["must"] = 0,
	},
	["121"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 121,
		["must"] = 0,
	},
	["122"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 122,
		["must"] = 0,
	},
	["123"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 123,
		["must"] = 0,
	},
	["124"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 124,
		["must"] = 0,
	},
	["125"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 125,
		["must"] = 0,
	},
	["126"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 126,
		["must"] = 0,
	},
	["127"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 127,
		["must"] = 0,
	},
	["128"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 128,
		["must"] = 0,
	},
	["129"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 129,
		["must"] = 0,
	},
	["130"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 130,
		["must"] = 0,
	},
	["131"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 131,
		["must"] = 0,
	},
	["132"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 132,
		["must"] = 0,
	},
	["133"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 133,
		["must"] = 0,
	},
	["134"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 134,
		["must"] = 0,
	},
	["135"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 135,
		["must"] = 0,
	},
	["136"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 136,
		["must"] = 0,
	},
	["137"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 137,
		["must"] = 0,
	},
	["138"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 138,
		["must"] = 0,
	},
	["139"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 139,
		["must"] = 0,
	},
	["140"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 140,
		["must"] = 0,
	},
	["141"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 141,
		["must"] = 0,
	},
	["142"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 142,
		["must"] = 0,
	},
	["143"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 143,
		["must"] = 0,
	},
	["144"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 144,
		["must"] = 0,
	},
	["145"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 145,
		["must"] = 0,
	},
	["146"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 146,
		["must"] = 0,
	},
	["147"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 147,
		["must"] = 0,
	},
	["148"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 148,
		["must"] = 0,
	},
	["149"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 149,
		["must"] = 0,
	},
	["150"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 150,
		["must"] = 0,
	},
	["151"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 151,
		["must"] = 0,
	},
	["152"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 152,
		["must"] = 0,
	},
	["153"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 153,
		["must"] = 0,
	},
	["154"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 154,
		["must"] = 0,
	},
	["155"] = {
		["needAdvanced"] = 3,
		["item2"] = "4|553|1,4|554|1",
		["item3"] = "4|561|1,4|562|1",
		["item1"] = 0,
		["item6"] = "4|602|1,4|603|1",
		["moneyBase"] = 0,
		["item4"] = "4|571|1,4|572|1",
		["item5"] = "4|583|1,4|584|1",
		["item7"] = "4|668|2,4|669|2",
		["rate"] = 1,
		["rate3"] = 0,
		["rate1"] = 0,
		["rate5"] = 0,
		["id"] = 155,
		["must"] = 0,
	},
}
return weapon_strengthen